Neo.Core

The .NET Entity Objects framework

Neo.Core Namespace

The Neo.Core namespace contains the publically visible classes and interfaces that provide essential functionality of Neo. As far as possible dependencies are expressed as interfaces that have concrete implementations in the Neo.Framework namespace. (This split makes it possible to create alternative frameworks on top of the Neo core.) The sub namespaces Neo.Core.Parser, Neo.Core.Qualifier and Neo.Core.Util provide functionality for the core classes and while some of the classes in these namespaces are public it is expected that typical applications do not depend on them.

Classes

Class | Description
DataStoreSaveException | General DataStore exception, thrown when saves fail.
DataStoreSaveException.ErrorInfo | Missing <summary> documentation for T:Neo.Core.DataStoreSaveException.ErrorInfo
EntityObjectChangeEventArgs | Provides data for the EntityObjectChangedHandler.
FetchSpecification | Defines which objects should be fetched from a datastore. This class is a straight-forward implementation of this interface which allows to set all aspects directly.
InvalidDbNullException | Thrown when a database null is not valid for a given attribute or column.
InvalidQueryException | Thrown when a query is invalid.
LifecycleCreateAttribute | Marks a method to be called after the creation of an IEntityObject.
NeoException | General Neo exception and base class for other Neo exceptions.
NotUniqueException | Thrown when a unique value is expected but none or more than one was found.
ObjectContext | Central class in the Neo core which manages IEntityObjects.
ObjectNotFoundException | Thrown when an object was not found when looking for it via a foreign key.
PkChangeTable | Used to redistribute database generated keys.
PropertyComparer | Concrete IComparer used to compare properties between EntityObject instances
Qualifier | Qualifiers define criteria for object selections.

Interfaces

Interface | Description
IDataStore | Concrete implementations of this interface can be used to persist objects.
IEntityMap | Describes the mapping from ADO.NET concepts, such as DataTable and DataColumn, to the corresponding entity object concepts; and vice versa.
IEntityMapFactory | Provides IEntityMap implementations for given types and/or table names.
IEntityObject | Interface required for objects that are managed by an ObjectContext
IFetchSpecification | Defines which objects should be fetched from a context or datastore.
IObjectQualifier | Some qualifier classes can evaluate against regular objects, not only against IEntityObjects. These qualifiers implement IObjectQualifier.
IPkInitializer | Contains a single method which must initialise a new database row. If PK generation scheme involves PK values provided by the application they are passed in.

Structures

Structure | Description
PkChangeTable.ChangeRecord | A simple struct holding the old and new values for a change.

Delegates

Delegate | Description
ColumnChangeHandler | Delegate method used by ObjectContext to notify column change observers.
EntityObjectChangedHandler | Represents the method that will handle the EntityObjectChanged event.
RowChangeHandler | Delegate method used by ObjectContext to notify row change observers.

Enumerations

Enumeration | Description
EntityObjectAction | Describes an action performed on an IEntityObject.
RefreshStrategy | Values for specifying which refresh strategy ObjectContext should use for known objects retrieved by a fetch.
SchemaUpdate | Flags for specifying which aspects of the schema an EntityMap should write into a DataTable.
SortDirection | Determines the direction of sorting, and case sensitivity. Used by PropertyComparer.

Neo is Open Source Software. For copyright details see neo.codehaus.org.


ColumnChangeHandler Delegate

Delegate method used by ObjectContext to notify column change observers.

public delegate void ColumnChangeHandler(
object sender,
DataColumnChangeEventArgs e
);

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

Neo.Core Namespace

Neo is Open Source Software. For copyright details see neo.codehaus.org.

Generated from assembly Neo [1.4.2.36157]


DataStoreSaveException Class

General DataStore exception, thrown when saves fail.

For a list of all members of this type, see DataStoreSaveException Members.

System.Object
Exception
ApplicationException
NeoException
DataStoreSaveException

public class DataStoreSaveException : NeoException

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

DataStoreSaveException Members | Neo.Core Namespace


DataStoreSaveException Members

DataStoreSaveException overview

Public Instance Properties

Errors | An array of ErrorInfo for rows that caused problems and the corresponding error message.
HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
ObjectId | The ObjectId for the row that cause the problem, if there was exactly one error.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData | Missing <summary> documentation for M:Neo.Core.DataStoreSaveException.GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

See Also

DataStoreSaveException Class | Neo.Core Namespace


DataStoreSaveException Properties

The properties of the DataStoreSaveException class are listed below. For a complete list of DataStoreSaveException class members, see the DataStoreSaveException Members topic.

Public Instance Properties

Errors | An array of ErrorInfo for rows that caused problems and the corresponding error message.
HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
ObjectId | The ObjectId for the row that cause the problem, if there was exactly one error.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

See Also

DataStoreSaveException Class | Neo.Core Namespace


DataStoreSaveException.Errors Property

An array of ErrorInfo for rows that caused problems and the corresponding error message.

public DataStoreSaveException.ErrorInfo[] Errors {get;}

See Also

DataStoreSaveException Class | Neo.Core Namespace


DataStoreSaveException.ObjectId Property

The ObjectId for the row that cause the problem, if there was exactly one error.

public Util.ObjectId ObjectId {get;}

See Also

DataStoreSaveException Class | Neo.Core Namespace


DataStoreSaveException Methods

The methods of the DataStoreSaveException class are listed below. For a complete list of DataStoreSaveException class members, see the DataStoreSaveException Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData | Missing <summary> documentation for M:Neo.Core.DataStoreSaveException.GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

See Also

DataStoreSaveException Class | Neo.Core Namespace


DataStoreSaveException.GetObjectData Method

Missing <summary> documentation for M:Neo.Core.DataStoreSaveException.GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)

public override void GetObjectData(
SerializationInfo info,
StreamingContext context
);

Implements

ISerializable.GetObjectData

See Also

DataStoreSaveException Class | Neo.Core Namespace


DataStoreSaveException.ErrorInfo Class

Missing <summary> documentation for T:Neo.Core.DataStoreSaveException.ErrorInfo

For a list of all members of this type, see DataStoreSaveException.ErrorInfo Members.

System.Object
DataStoreSaveException.ErrorInfo

public class DataStoreSaveException.ErrorInfo

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

DataStoreSaveException.ErrorInfo Members | Neo.Core Namespace


DataStoreSaveException.ErrorInfo Members

DataStoreSaveException.ErrorInfo overview

Public Instance Constructors

DataStoreSaveException.ErrorInfo Constructor Missing <summary> documentation for M:Neo.Core.DataStoreSaveException.ErrorInfo.#ctor(Neo.Core.Util.ObjectId,System.String)

Public Instance Properties

EntityObject | Missing <summary> documentation for P:Neo.Core.DataStoreSaveException.ErrorInfo.EntityObject
Message | Missing <summary> documentation for P:Neo.Core.DataStoreSaveException.ErrorInfo.Message
ObjectId | Missing <summary> documentation for P:Neo.Core.DataStoreSaveException.ErrorInfo.ObjectId

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

DataStoreSaveException.ErrorInfo Class | Neo.Core Namespace


DataStoreSaveException.ErrorInfo Constructor

Missing <summary> documentation for M:Neo.Core.DataStoreSaveException.ErrorInfo.#ctor(Neo.Core.Util.ObjectId,System.String)

public DataStoreSaveException.ErrorInfo(
ObjectId objectId,
string message
);

See Also

DataStoreSaveException.ErrorInfo Class | Neo.Core Namespace


DataStoreSaveException.ErrorInfo Properties

The properties of the DataStoreSaveException.ErrorInfo class are listed below. For a complete list of DataStoreSaveException.ErrorInfo class members, see the DataStoreSaveException.ErrorInfo Members topic.

Public Instance Properties

EntityObject | Missing <summary> documentation for P:Neo.Core.DataStoreSaveException.ErrorInfo.EntityObject
Message | Missing <summary> documentation for P:Neo.Core.DataStoreSaveException.ErrorInfo.Message
ObjectId | Missing <summary> documentation for P:Neo.Core.DataStoreSaveException.ErrorInfo.ObjectId

See Also

DataStoreSaveException.ErrorInfo Class | Neo.Core Namespace


DataStoreSaveException.ErrorInfo.EntityObject Property

Missing <summary> documentation for P:Neo.Core.DataStoreSaveException.ErrorInfo.EntityObject

public IEntityObject EntityObject {get;}

See Also

DataStoreSaveException.ErrorInfo Class | Neo.Core Namespace


DataStoreSaveException.ErrorInfo.Message Property

Missing <summary> documentation for P:Neo.Core.DataStoreSaveException.ErrorInfo.Message

public string Message {get;}

See Also

DataStoreSaveException.ErrorInfo Class | Neo.Core Namespace


DataStoreSaveException.ErrorInfo.ObjectId Property

Missing <summary> documentation for P:Neo.Core.DataStoreSaveException.ErrorInfo.ObjectId

public Util.ObjectId ObjectId {get;}

See Also

DataStoreSaveException.ErrorInfo Class | Neo.Core Namespace


EntityObjectAction Enumeration

Describes an action performed on an IEntityObject.

public enum EntityObjectAction

Remarks

A EntityObjectAction is returned as part of the EntityObjectChangeEventArgs to indicate the action that was taken on a IEntityObject to raise the event.

Use the members of this enumeration to determine the action that has occurred on a IEntityObject with respect to the ObjectContext to which it belongs.

Members

Member Name | Description
Add | Missing <summary> documentation for F:Neo.Core.EntityObjectAction.Add
Change | Missing <summary> documentation for F:Neo.Core.EntityObjectAction.Change
Commit | Missing <summary> documentation for F:Neo.Core.EntityObjectAction.Commit
Delete | Missing <summary> documentation for F:Neo.Core.EntityObjectAction.Delete
Nothing | Missing <summary> documentation for F:Neo.Core.EntityObjectAction.Nothing
Rollback | Missing <summary> documentation for F:Neo.Core.EntityObjectAction.Rollback

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

Neo.Core Namespace


EntityObjectChangedHandler Delegate

Represents the method that will handle the EntityObjectChanged event.

public delegate void EntityObjectChangedHandler(
object sender,
EntityObjectChangeEventArgs e
);

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

Neo.Core Namespace


EntityObjectChangeEventArgs Class

Provides data for the EntityObjectChangedHandler.

For a list of all members of this type, see EntityObjectChangeEventArgs Members.

System.Object
EventArgs
EntityObjectChangeEventArgs

public class EntityObjectChangeEventArgs : EventArgs

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

EntityObjectChangeEventArgs Members | Neo.Core Namespace


EntityObjectChangeEventArgs Members

EntityObjectChangeEventArgs overview

Public Instance Constructors

EntityObjectChangeEventArgs Constructor Missing <summary> documentation for M:Neo.Core.EntityObjectChangeEventArgs.#ctor(Neo.Core.IEntityObject,Neo.Core.EntityObjectAction)

Public Instance Properties

Action | Gets the action that has occurred on a IEntityObject.
EntityObject | Gets the object upon which an action has occurred.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

EntityObjectChangeEventArgs Class | Neo.Core Namespace


EntityObjectChangeEventArgs Constructor

Missing <summary> documentation for M:Neo.Core.EntityObjectChangeEventArgs.#ctor(Neo.Core.IEntityObject,Neo.Core.EntityObjectAction)

public EntityObjectChangeEventArgs(
IEntityObject entityObject,
EntityObjectAction action
);

See Also

EntityObjectChangeEventArgs Class | Neo.Core Namespace


EntityObjectChangeEventArgs Properties

The properties of the EntityObjectChangeEventArgs class are listed below. For a complete list of EntityObjectChangeEventArgs class members, see the EntityObjectChangeEventArgs Members topic.

Public Instance Properties

Action | Gets the action that has occurred on a IEntityObject.
EntityObject | Gets the object upon which an action has occurred.

See Also

EntityObjectChangeEventArgs Class | Neo.Core Namespace


EntityObjectChangeEventArgs.Action Property

Gets the action that has occurred on a IEntityObject.

public EntityObjectAction Action {get;}

See Also

EntityObjectChangeEventArgs Class | Neo.Core Namespace


EntityObjectChangeEventArgs.EntityObject Property

Gets the object upon which an action has occurred.

public IEntityObject EntityObject {get;}

See Also

EntityObjectChangeEventArgs Class | Neo.Core Namespace


FetchSpecification Class

Defines which objects should be fetched from a datastore. This class is a straight-forward implementation of this interface which allows to set all aspects directly.

For a list of all members of this type, see FetchSpecification Members.

System.Object
FetchSpecification

public class FetchSpecification : IFetchSpecification

Remarks

The Code Generator creates query templates for each entity that also implement IFetchSpecification and provide a strongly typed API.

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

FetchSpecification Members | Neo.Core Namespace


FetchSpecification Members

FetchSpecification overview

Public Instance Constructors

FetchSpecification Overloaded. Initializes a new instance of the FetchSpecification class.

Public Instance Properties

EntityMap | The EntityMap for the entity to fetch the objects from.
FetchLimit | The maximum number of objects to return, or -1 for no limit.
Qualifier | The Qualifier to apply to the fetched objects.
RefreshStrategy | If true, objects in memory will be updated with the values returned by the fetch. If false, which is the default, in-memory values for objects that the context knew about before the fetch are kept.
SortOrderings | An array of PropertyComparer that describes how the returned objects are to be sorted. First comparer has highest precedence.
Spans | An array of property paths to entities that should be fetch alongside the main entity.

Public Instance Methods

AddSortOrdering | Creates a new PropertyComparer from the arguments and adds it to the end of the list of SortOrderings.
AddSpan | Adds the property path to the list of spans.
AddSpans | Adds the property paths to the list of spans.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Returns a textual description of the fetch specification.

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification Constructor

Creates an empty fetch specification.

Overload List

Creates an empty fetch specification.

public FetchSpecification();

Creates a fetch specification for the given entity without limit and qualifier.

public FetchSpecification(IEntityMap);

Creates a fetch specification for the given entity with the given qualifier.

public FetchSpecification(IEntityMap,Qualifier);

Creates a fetch specification for the given entity with the given qualifier and fetch limit.

public FetchSpecification(IEntityMap,Qualifier,int);

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification Constructor ()

Creates an empty fetch specification.

public FetchSpecification();

See Also

FetchSpecification Class | Neo.Core Namespace | FetchSpecification Constructor Overload List


FetchSpecification Constructor (IEntityMap)

Creates a fetch specification for the given entity without limit and qualifier.

public FetchSpecification(
IEntityMap anEntityMap
);

See Also

FetchSpecification Class | Neo.Core Namespace | FetchSpecification Constructor Overload List


FetchSpecification Constructor (IEntityMap, Qualifier)

Creates a fetch specification for the given entity with the given qualifier.

public FetchSpecification(
IEntityMap anEntityMap,
Qualifier aQualifier
);

See Also

FetchSpecification Class | Neo.Core Namespace | FetchSpecification Constructor Overload List


FetchSpecification Constructor (IEntityMap, Qualifier, Int32)

Creates a fetch specification for the given entity with the given qualifier and fetch limit.

public FetchSpecification(
IEntityMap anEntityMap,
Qualifier aQualifer,
int aLimit
);

See Also

FetchSpecification Class | Neo.Core Namespace | FetchSpecification Constructor Overload List


FetchSpecification Properties

The properties of the FetchSpecification class are listed below. For a complete list of FetchSpecification class members, see the FetchSpecification Members topic.

Public Instance Properties

EntityMap | The EntityMap for the entity to fetch the objects from.
FetchLimit | The maximum number of objects to return, or -1 for no limit.
Qualifier | The Qualifier to apply to the fetched objects.
RefreshStrategy | If true, objects in memory will be updated with the values returned by the fetch. If false, which is the default, in-memory values for objects that the context knew about before the fetch are kept.
SortOrderings | An array of PropertyComparer that describes how the returned objects are to be sorted. First comparer has highest precedence.
Spans | An array of property paths to entities that should be fetch alongside the main entity.

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification.EntityMap Property

The EntityMap for the entity to fetch the objects from.

public virtual IEntityMap EntityMap {get; set;}

Implements

IFetchSpecification.EntityMap

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification.FetchLimit Property

The maximum number of objects to return, or -1 for no limit.

public virtual int FetchLimit {get; set;}

Implements

IFetchSpecification.FetchLimit

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification.Qualifier Property

The Qualifier to apply to the fetched objects.

public virtual Qualifier Qualifier {get; set;}

Implements

IFetchSpecification.Qualifier

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification.RefreshStrategy Property

If true, objects in memory will be updated with the values returned by the fetch. If false, which is the default, in-memory values for objects that the context knew about before the fetch are kept.

public RefreshStrategy RefreshStrategy {get; set;}

Implements

IFetchSpecification.RefreshStrategy

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification.SortOrderings Property

An array of PropertyComparer that describes how the returned objects are to be sorted. First comparer has highest precedence.

public virtual PropertyComparer[] SortOrderings {get; set;}

Implements

IFetchSpecification.SortOrderings

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification.Spans Property

An array of property paths to entities that should be fetch alongside the main entity.

public string[] Spans {get; set;}

Implements

IFetchSpecification.Spans

Remarks

Specifying a path will fetch all entities along that path. So, specifying "TitleAuthor.Author" for a query on the Title entity, will result in all title author link objects and all corresponding authors to be fetched.

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification Methods

The methods of the FetchSpecification class are listed below. For a complete list of FetchSpecification class members, see the FetchSpecification Members topic.

Public Instance Methods

AddSortOrdering | Creates a new PropertyComparer from the arguments and adds it to the end of the list of SortOrderings.
AddSpan | Adds the property path to the list of spans.
AddSpans | Adds the property paths to the list of spans.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Returns a textual description of the fetch specification.

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification.AddSortOrdering Method

Creates a new PropertyComparer from the arguments and adds it to the end of the list of SortOrderings.

public void AddSortOrdering(
string aPropName,
SortDirection aDirection
);

Parameters

aPropName
property to sort on
aDirection
direction

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification.AddSpan Method

Adds the property path to the list of spans.

public void AddSpan(
string aSpan
);

Parameters

aSpan
path to be added

Remarks

See Spans property for details.

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification.AddSpans Method

Adds the property paths to the list of spans.

public void AddSpans(
params string[] someSpans
);

Parameters

someSpans
paths to be added

Remarks

See Spans property for details.

See Also

FetchSpecification Class | Neo.Core Namespace


FetchSpecification.ToString Method

Returns a textual description of the fetch specification.

public override string ToString();

Remarks

Note that this is not parsable by a qualifier.

See Also

FetchSpecification Class | Neo.Core Namespace


IDataStore Interface

Concrete implementations of this interface can be used to persist objects.

For a list of all members of this type, see IDataStore Members.

public interface IDataStore

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

IDataStore Members | Neo.Core Namespace


IDataStore Members

IDataStore overview

Public Instance Methods

FetchRows | Gets rows from the underlying store matching the supplied specification.
SaveChangesInObjectContext | Analyses the supplied context and pushes the changed rows back into the underlying store.

See Also

IDataStore Interface | Neo.Core Namespace


IDataStore Methods

The methods of the IDataStore interface are listed below. For a complete list of IDataStore interface members, see the IDataStore Members topic.

Public Instance Methods

FetchRows | Gets rows from the underlying store matching the supplied specification.
SaveChangesInObjectContext | Analyses the supplied context and pushes the changed rows back into the underlying store.

See Also

IDataStore Interface | Neo.Core Namespace


IDataStore.FetchRows Method

Gets rows from the underlying store matching the supplied specification.

DataSet FetchRows(
IFetchSpecification fetchSpec
);

Parameters

fetchSpec
An IFetchSpecification describing which rows to retrieve

Return Value

A DataTable containing all matching rows.

See Also

IDataStore Interface | Neo.Core Namespace


IDataStore.SaveChangesInObjectContext Method

Analyses the supplied context and pushes the changed rows back into the underlying store.

ICollection SaveChangesInObjectContext(
ObjectContext context
);

Parameters

context
The context to save

Return Value

A list of PkChangeTable objects containing new persistent keys

Remarks

Note that only for the 'native' primary key generation scheme, which leaves the key generation to the database, anything is returned.

See Also

IDataStore Interface | Neo.Core Namespace


IEntityMap Interface

Describes the mapping from ADO.NET concepts, such as DataTable and DataColumn, to the corresponding entity object concepts; and vice versa.

For a list of all members of this type, see IEntityMap Members.

public interface IEntityMap

Remarks

EntityMaps should never be instantiated directly. Use the following code to retrieve an IEntityMap for a given type:

            IEntityMap map = context.EntityMapFactory.GetMap(typeof(TheType));

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

IEntityMap Members | Neo.Core Namespace


IEntityMap Members

IEntityMap overview

Public Instance Properties

Attributes | All attributes within this type
Columns | All columns within this table
ConcreteObjectType | The type that is really created. Should be a subclass of ObjectType
Factory | The IEntityMapFactory object used to generate an instance of this object
ObjectType | This object's type
PrimaryKeyColumns | All primary key columns for this table
Relations | All relations withing this type
TableName | Table Name (usually a SQL table name, but may be other sort)

Public Instance Methods

CreateInstance | Creates an instance for this entity, a blank entity object
GetColumnForAttribute | Translates between Attribute name and column name
GetPkInitializer | Gets an object to create primary keys
GetRelationInfo | Translates between Relation name and relation info.
GetRelationName | Translates between Relation name and relation info.
UpdateSchema | Adds or updates ADO.NET schema information for the entity in the table.
UpdateSchemaInDataSet | Adds or updates ADO.NET schema information for the entity to the data set.

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap Properties

The properties of the IEntityMap interface are listed below. For a complete list of IEntityMap interface members, see the IEntityMap Members topic.

Public Instance Properties

Attributes | All attributes within this type
Columns | All columns within this table
ConcreteObjectType | The type that is really created. Should be a subclass of ObjectType
Factory | The IEntityMapFactory object used to generate an instance of this object
ObjectType | This object's type
PrimaryKeyColumns | All primary key columns for this table
Relations | All relations withing this type
TableName | Table Name (usually a SQL table name, but may be other sort)

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.Attributes Property

All attributes within this type

string[] Attributes {get;}

Remarks

The name Attribute refers to Entity-Relationship modelling terminology. An attribute is usually implemented using a property in the corresponding type.

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.Columns Property

All columns within this table

string[] Columns {get;}

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.ConcreteObjectType Property

The type that is really created. Should be a subclass of ObjectType

System.Type ConcreteObjectType {get; set;}

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.Factory Property

The IEntityMapFactory object used to generate an instance of this object

IEntityMapFactory Factory {get; set;}

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.ObjectType Property

This object's type

System.Type ObjectType {get;}

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.PrimaryKeyColumns Property

All primary key columns for this table

string[] PrimaryKeyColumns {get;}

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.Relations Property

All relations withing this type

string[] Relations {get;}

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.TableName Property

Table Name (usually a SQL table name, but may be other sort)

string TableName {get;}

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap Methods

The methods of the IEntityMap interface are listed below. For a complete list of IEntityMap interface members, see the IEntityMap Members topic.

Public Instance Methods

CreateInstance | Creates an instance for this entity, a blank entity object
GetColumnForAttribute | Translates between Attribute name and column name
GetPkInitializer | Gets an object to create primary keys
GetRelationInfo | Translates between Relation name and relation info.
GetRelationName | Translates between Relation name and relation info.
UpdateSchema | Adds or updates ADO.NET schema information for the entity in the table.
UpdateSchemaInDataSet | Adds or updates ADO.NET schema information for the entity to the data set.

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.CreateInstance Method

Creates an instance for this entity, a blank entity object

IEntityObject CreateInstance(
DataRow row,
ObjectContext context
);

Parameters

row
The row that is represented by this object
context
The context with which the object is associated with

Return Value

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.GetColumnForAttribute Method

Translates between Attribute name and column name

string GetColumnForAttribute(
string attribute
);

Parameters

attribute
attribute name

Return Value

corresponding column name

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.GetPkInitializer Method

Gets an object to create primary keys

IPkInitializer GetPkInitializer();

Return Value

An object to create primary keys for this entity

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.GetRelationInfo Method

Translates between Relation name and relation info.

RelationInfo GetRelationInfo(
string relation
);

Parameters

relation
relation name

Return Value

corresponding relation info

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.GetRelationName Method

Translates between Relation name and relation info.

string GetRelationName(
RelationInfo RelationInfo
);

Return Value

corresponding relation name

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.UpdateSchema Method

Adds or updates ADO.NET schema information for the entity in the table.

void UpdateSchema(
DataTable table,
SchemaUpdate update
);

Parameters

table
The table to work on
update
Flags specifying what kind of schema information to add/update

Remarks

The table passed must match the entity map's.

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMap.UpdateSchemaInDataSet Method

Adds or updates ADO.NET schema information for the entity to the data set.

void UpdateSchemaInDataSet(
DataSet aDataSet,
SchemaUpdate update
);

Parameters

aDataSet
The dataset to work on
update
Flags specifying what kind of schema information to add/update

See Also

IEntityMap Interface | Neo.Core Namespace


IEntityMapFactory Interface

Provides IEntityMap implementations for given types and/or table names.

For a list of all members of this type, see IEntityMapFactory Members.

public interface IEntityMapFactory

Remarks

EntityMaps should never be instantiated directly. Use the following code to retrieve an IEntityMap for a given type:

            IEntityMap map = context.EntityMapFactory.GetMap(typeof(TheType));

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

IEntityMapFactory Members | Neo.Core Namespace


IEntityMapFactory Members

IEntityMapFactory overview

Public Instance Methods

AddCustomType | Adds a custom mapping. Note that multiple types can be mapped to one IEntityMap.
GetAllMaps | Gets a collection of all maps
GetMap | Overloaded. Gets a map to translate between a table and a type

See Also

IEntityMapFactory Interface | Neo.Core Namespace


IEntityMapFactory Methods

The methods of the IEntityMapFactory interface are listed below. For a complete list of IEntityMapFactory interface members, see the IEntityMapFactory Members topic.

Public Instance Methods

AddCustomType | Adds a custom mapping. Note that multiple types can be mapped to one IEntityMap.
GetAllMaps | Gets a collection of all maps
GetMap | Overloaded. Gets a map to translate between a table and a type

See Also

IEntityMapFactory Interface | Neo.Core Namespace


IEntityMapFactory.AddCustomType Method

Adds a custom mapping. Note that multiple types can be mapped to one IEntityMap.

void AddCustomType(
Type objType,
IEntityMap map
);

See Also

IEntityMapFactory Interface | Neo.Core Namespace


IEntityMapFactory.GetAllMaps Method

Gets a collection of all maps

ICollection GetAllMaps();

Return Value

A collection of all Object Type Maps

See Also

IEntityMapFactory Interface | Neo.Core Namespace


GetMap Method

The .NET Entity Objects framework

IEntityMapFactory.GetMap Method

Gets a map to translate between a table and a type

Overload List

Gets a map to translate between a table and a type

IEntityMap GetMap(string);

Gets a map to translate between a type and a table

IEntityMap GetMap(Type);

See Also

IEntityMapFactory Interface | Neo.Core Namespace


IEntityMapFactory.GetMap Method (String)

Gets a map to translate between a table and a type

IEntityMap GetMap(
string tablename
);

Parameters

tablename
Table Name to map

Return Value

IEntityMap object matching the supplied table name

See Also

IEntityMapFactory Interface | Neo.Core Namespace | IEntityMapFactory.GetMap Overload List


IEntityMapFactory.GetMap Method (Type)

Gets a map to translate between a type and a table

IEntityMap GetMap(
Type type
);

Parameters

type
Type to map

Return Value

IEntityMap object matching the supplied type

See Also

IEntityMapFactory Interface | Neo.Core Namespace | IEntityMapFactory.GetMap Overload List


IEntityObject Interface

Interface required for objects that are managed by an ObjectContext

For a list of all members of this type, see IEntityObject Members.

public interface IEntityObject

Remarks

The object must also implement a constructor taking an ObjectContext and a DataRow.

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

IEntityObject Members | Neo.Core Namespace


IEntityObject Members

IEntityObject overview

Public Instance Properties

Context | The ObjectContext object containing this IEntityObject
Row | The Row object from which properties are derived.

See Also

IEntityObject Interface | Neo.Core Namespace


IEntityObject Properties

The properties of the IEntityObject interface are listed below. For a complete list of IEntityObject interface members, see the IEntityObject Members topic.

Public Instance Properties

Context | The ObjectContext object containing this IEntityObject
Row | The Row object from which properties are derived.

See Also

IEntityObject Interface | Neo.Core Namespace


IEntityObject.Context Property

The ObjectContext object containing this IEntityObject

ObjectContext Context {get;}

See Also

IEntityObject Interface | Neo.Core Namespace


IEntityObject.Row Property

The Row object from which properties are derived.

System.Data.DataRow Row {get;}

Remarks

Modifications to this Row via object properties are persisted back into the underlying store. It is perfectly acceptable, while most of the time not advisable, to modify the row directly; it is guaranteed to be in sync with the object's properties.

See Also

IEntityObject Interface | Neo.Core Namespace


IFetchSpecification Interface

Defines which objects should be fetched from a context or datastore.

For a list of all members of this type, see IFetchSpecification Members.

public interface IFetchSpecification

Remarks

The FetchSpecification class is a straigh-forward implementation of this interface which allows to set all aspects directly. The Code Generator creates query templates for each entity that also implement IFetchSpecification and provide a strongly typed API.

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

IFetchSpecification Members | Neo.Core Namespace


IFetchSpecification Members

IFetchSpecification overview

Public Instance Properties

EntityMap | Entity map used to specify the entity from which to fetch the objects.
FetchLimit | The maximum number of objects to return, or -1 for no limit.
Qualifier | The Qualifier to apply to the fetched objects.
RefreshStrategy | If true, objects in memory will be updated with the values returned by the fetch. If false, in-memory values for objects that the context knew about before the fetch are kept.
SortOrderings | An array of PropertyComparer that describes how the returned objects are to be sorted. First comparer has highest precedence.
Spans | An array of paths to entities from which related objects are fetched with this query.

See Also

IFetchSpecification Interface | Neo.Core Namespace


IFetchSpecification Properties

The properties of the IFetchSpecification interface are listed below. For a complete list of IFetchSpecification interface members, see the IFetchSpecification Members topic.

Public Instance Properties

EntityMap | Entity map used to specify the entity from which to fetch the objects.
FetchLimit | The maximum number of objects to return, or -1 for no limit.
Qualifier | The Qualifier to apply to the fetched objects.
RefreshStrategy | If true, objects in memory will be updated with the values returned by the fetch. If false, in-memory values for objects that the context knew about before the fetch are kept.
SortOrderings | An array of PropertyComparer that describes how the returned objects are to be sorted. First comparer has highest precedence.
Spans | An array of paths to entities from which related objects are fetched with this query.

See Also

IFetchSpecification Interface | Neo.Core Namespace


IFetchSpecification.EntityMap Property

Entity map used to specify the entity from which to fetch the objects.

IEntityMap EntityMap {get;}

See Also

IFetchSpecification Interface | Neo.Core Namespace


IFetchSpecification.FetchLimit Property

The maximum number of objects to return, or -1 for no limit.

int FetchLimit {get;}

See Also

IFetchSpecification Interface | Neo.Core Namespace


IFetchSpecification.Qualifier Property

The Qualifier to apply to the fetched objects.

Qualifier Qualifier {get;}

See Also

IFetchSpecification Interface | Neo.Core Namespace


IFetchSpecification.RefreshStrategy Property

If true, objects in memory will be updated with the values returned by the fetch. If false, in-memory values for objects that the context knew about before the fetch are kept.

RefreshStrategy RefreshStrategy {get;}

See Also

IFetchSpecification Interface | Neo.Core Namespace


IFetchSpecification.SortOrderings Property

An array of PropertyComparer that describes how the returned objects are to be sorted. First comparer has highest precedence.

PropertyComparer[] SortOrderings {get;}

See Also

IFetchSpecification Interface | Neo.Core Namespace


IFetchSpecification.Spans Property

An array of paths to entities from which related objects are fetched with this query.

string[] Spans {get;}

See Also

IFetchSpecification Interface | Neo.Core Namespace


InvalidDbNullException Class

Thrown when a database null is not valid for a given attribute or column.

For a list of all members of this type, see InvalidDbNullException Members.

System.Object
Exception
ApplicationException
NeoException
InvalidDbNullException

public class InvalidDbNullException : NeoException

Remarks

You can implement HandleNullValue on your entity objects to deal with null values arriving from the database, e.g. convert null into zero for an int.

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

InvalidDbNullException Members | Neo.Core Namespace


InvalidDbNullException Members

InvalidDbNullException overview

Public Instance Properties

HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

See Also

InvalidDbNullException Class | Neo.Core Namespace


InvalidQueryException Class

Thrown when a query is invalid.

For a list of all members of this type, see InvalidQueryException Members.

System.Object
Exception
ApplicationException
NeoException
InvalidQueryException

public class InvalidQueryException : NeoException

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

InvalidQueryException Members | Neo.Core Namespace


InvalidQueryException Members

InvalidQueryException overview

Public Instance Properties

HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

See Also

InvalidQueryException Class | Neo.Core Namespace


IObjectQualifier Interface

Some qualifier classes can evaluate against regular objects, not only against IEntityObjects. These qualifiers implement IObjectQualifier.

For a list of all members of this type, see IObjectQualifier Members.

public interface IObjectQualifier

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

IObjectQualifier Members | Neo.Core Namespace


IObjectQualifier Members

IObjectQualifier overview

Public Instance Methods

EvaluateWithObject Performs this qualifier's action agains the supplied object

See Also

IObjectQualifier Interface | Neo.Core Namespace


IObjectQualifier Methods

The methods of the IObjectQualifier interface are listed below. For a complete list of IObjectQualifier interface members, see the IObjectQualifier Members topic.

Public Instance Methods

EvaluateWithObject Performs this qualifier's action agains the supplied object

See Also

IObjectQualifier Interface | Neo.Core Namespace


IObjectQualifier.EvaluateWithObject Method

Performs this qualifier's action agains the supplied object

bool EvaluateWithObject(
object anObject
);

Parameters

anObject
object to be tested

Return Value

true if the object meets this qualifier's requirements

See Also

IObjectQualifier Interface | Neo.Core Namespace


IPkInitializer Interface

Contains a single method which must initialise a new database row. If PK generation scheme involves PK values provided by the application they are passed in.

For a list of all members of this type, see IPkInitializer Members.

public interface IPkInitializer

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

IPkInitializer Members | Neo.Core Namespace


IPkInitializer Members

IPkInitializer overview

Public Instance Methods

InitializeRow Sets up primary key for the supplied row

See Also

IPkInitializer Interface | Neo.Core Namespace


IPkInitializer Methods

The methods of the IPkInitializer interface are listed below. For a complete list of IPkInitializer interface members, see the IPkInitializer Members topic.

Public Instance Methods

InitializeRow Sets up primary key for the supplied row

See Also

IPkInitializer Interface | Neo.Core Namespace


IPkInitializer.InitializeRow Method

Sets up primary key for the supplied row

void InitializeRow(
DataRow row,
object argument
);

Parameters

row
row requiring primary key
argument
extra information needed to set primary key values

See Also

IPkInitializer Interface | Neo.Core Namespace


LifecycleCreateAttribute Class

Marks a method to be called after the creation of an IEntityObject.

For a list of all members of this type, see LifecycleCreateAttribute Members.

System.Object
Attribute
LifecycleCreateAttribute

public sealed class LifecycleCreateAttribute : Attribute

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

LifecycleCreateAttribute Members | Neo.Core Namespace


LifecycleCreateAttribute Members

LifecycleCreateAttribute overview

Public Instance Constructors

LifecycleCreateAttribute Constructor Default constructor

Public Instance Properties

TypeId (inherited from Attribute) When implemented in a derived class, gets a unique identifier for this Attribute.

Public Instance Methods

Equals (inherited from Attribute) |
GetHashCode (inherited from Attribute) | Returns the hash code for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
IsDefaultAttribute (inherited from Attribute) | When overridden in a derived class, returns an indication whether the value of this instance is the default value for the derived class.
Match (inherited from Attribute) | When overridden in a derived class, returns a value indicating whether this instance equals a specified object.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

_Attribute.GetIDsOfNames (inherited from Attribute)
_Attribute.GetTypeInfo (inherited from Attribute)
_Attribute.GetTypeInfoCount (inherited from Attribute)
_Attribute.Invoke (inherited from Attribute)

See Also

LifecycleCreateAttribute Class | Neo.Core Namespace


LifecycleCreateAttribute Constructor

Default constructor

public LifecycleCreateAttribute();

See Also

LifecycleCreateAttribute Class | Neo.Core Namespace


NeoException Class

General Neo exception and base class for other Neo exceptions.

For a list of all members of this type, see NeoException Members.

System.Object
Exception
ApplicationException
NeoException

public class NeoException : ApplicationException

Remarks

All exception that are thrown as a part of the normal operation of Neo are subclasses of this type. In case of internal errors, other exceptions might be thrown.

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

NeoException Members | Neo.Core Namespace


NeoException Members

NeoException overview

Public Instance Properties

HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

See Also

NeoException Class | Neo.Core Namespace


NotUniqueException Class

Thrown when a unique value is expected but none or more than one was found.

For a list of all members of this type, see NotUniqueException Members.

System.Object
Exception
ApplicationException
NeoException
NotUniqueException

public class NotUniqueException : NeoException

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

NotUniqueException Members | Neo.Core Namespace


NotUniqueException Members

NotUniqueException overview

Public Instance Properties

HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

See Also

NotUniqueException Class | Neo.Core Namespace


ObjectContext Class

Central class in the Neo core which manages IEntityObjects.

For a list of all members of this type, see ObjectContext Members.

System.Object
ObjectContext

public class ObjectContext : IDataStore, ISerializable

Remarks

ObjectContext uses an IDataStore implementation to retrieve objects and save changes. It relies on its internal DataSet to track changes, i.e. creates, updates and deletes.

Generated classes, such as subclasses of ObjectFactory, provide a strongly typed API for much of the functionality in ObjectContext.

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

ObjectContext Members | Neo.Core Namespace


ObjectContext Members

ObjectContext overview

Public Instance Constructors

ObjectContext Overloaded. Initializes a new instance of the ObjectContext class.

Public Instance Properties

DataSet | The DataSet containing this ObjectContext's data.
DataStore | The DataStore used for persistence.
EntityMapFactory | The EntityMapFactory used to retrieve instances of IEntityMap which map objects to DataTable and vice versa.
ExtendedProperties | A property collection instance that can be used to store application specific information in the context.
IgnoresDataStore | If set to true the context will ignore its store when searching for objects.

Public Instance Methods

AcceptChanges | Marks all changes as having been persisted.
Clear | Clears and resets the this context.
CreateObject | Creates a new IEntityObject with all of the required primary key values
DeleteObject | Marks object as deleted. This will delete the corresponding row from persistent storage when the changes are saved.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllRegisteredObjects | Gets all non-deleted objects that the context manages.
GetChanges | Gets all changes made to the ObjectContext in the form of a diffgram DataSet.
GetDeletedObjects | Gets all objects managed by this context that are marked for deletion.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetLocalObject | Looks up the supplied IEntityObject in this context. Throws if the object is not present in this context.
GetLocalObjects | Creates a new list of EntityObjects based upon the supplied list, but using its internal representation of those objects.
GetObject | Retrieves an object based on its ObjectId.
GetObjectData | Serializes this instance.
GetObjectFromTable | Retrieves an object based on table name and primary key values.
GetObjects | Retrieves all objects matching the supplied specification
GetReferencingObjects | Gets all objects in other entities that have references to the object passed in.
GetType (inherited from Object) | Gets the Type of the current instance.
HasChanges | Determines whether there are any changes to objects managed by this context.
ImportRow | Adds a DataRow to the context. This creates a corresponding object if necessary.
MergeData | Merges the supplied DataSet with the data in the context. This creates, deletes and changes objects as required.
RegisterForColumnChanges | Registers an observer for column change events.
RegisterForRowChanges | Registers an observer for row change events. Only sent for delete events!
SaveChanges | Persists data changes in this context to the data store.
SaveChangesTransactionAware | Persists data changes in this context to the data store.
ToString (inherited from Object) | Returns a String that represents the current Object.
UnRegisterForColumnChanges | Unregisters and observer for column change events.
UnRegisterForRowChanges | Unregisters an observer for row change events.
UpdatePrimaryKeys | Overloaded. Updates the primary keys for the objects managed by this context.

Public Instance Events

EntityObjectChanged Occurs when a IEntityObject has changed successfully.

Explicit Interface Implementations

IDataStore.FetchRows | Gets rows from the data store according to the specification
IDataStore.SaveChangesInObjectContext | Saves changes in the child context into this context.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext Constructor

Creates empty context which uses the DefaultEntityMapFactory.

Overload List

Creates empty context which uses the DefaultEntityMapFactory.

public ObjectContext();

Constructor. Uses the supplied data store for persistence.

public ObjectContext(IDataStore);

Constructor. Takes data from the supplied parent context into this context.

public ObjectContext(ObjectContext,bool);

Constructor. Takes data from the supplied data set into this context.

public ObjectContext(DataSet);

Constructor. Takes data from the supplied data set into this context and uses a custom IEntityMapFactory to find maps.

public ObjectContext(DataSet,IEntityMapFactory);

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext Constructor ()

Creates empty context which uses the DefaultEntityMapFactory.

public ObjectContext();

See Also

ObjectContext Class | Neo.Core Namespace | ObjectContext Constructor Overload List


ObjectContext Constructor (DataSet)

Constructor. Takes data from the supplied data set into this context.

public ObjectContext(
DataSet aDataSet
);

Parameters

aDataSet
data to be imported

See Also

ObjectContext Class | Neo.Core Namespace | ObjectContext Constructor Overload List


ObjectContext Constructor (DataSet, IEntityMapFactory)

Constructor. Takes data from the supplied data set into this context and uses a custom IEntityMapFactory to find maps.

public ObjectContext(
DataSet aDataSet,
IEntityMapFactory aFactory
);

See Also

ObjectContext Class | Neo.Core Namespace | ObjectContext Constructor Overload List


ObjectContext Constructor (IDataStore)

Constructor. Uses the supplied data store for persistence.

public ObjectContext(
IDataStore aDataStore
);

Parameters

aDataStore
data to be imported

Remarks

Data from the store is usually loaded on demand.

See Also

ObjectContext Class | Neo.Core Namespace | ObjectContext Constructor Overload List


ObjectContext Constructor (ObjectContext, Boolean)

Constructor. Takes data from the supplied parent context into this context.

public ObjectContext(
ObjectContext parentContext,
bool copyInCtor
);

Parameters

parentContext
data to be imported
copyInCtor
whether to copy the parent intially or load data on demand

Remarks

Data from a parent context is normally copied to improve performace. If the parent context is huge it might improve overall performance to enable on-demand copying.

See Also

ObjectContext Class | Neo.Core Namespace | ObjectContext Constructor Overload List


ObjectContext Properties

The properties of the ObjectContext class are listed below. For a complete list of ObjectContext class members, see the ObjectContext Members topic.

Public Instance Properties

DataSet | The DataSet containing this ObjectContext's data.
DataStore | The DataStore used for persistence.
EntityMapFactory | The EntityMapFactory used to retrieve instances of IEntityMap which map objects to DataTable and vice versa.
ExtendedProperties | A property collection instance that can be used to store application specific information in the context.
IgnoresDataStore | If set to true the context will ignore its store when searching for objects.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.DataSet Property

The DataSet containing this ObjectContext's data.

public System.Data.DataSet DataSet {get;}

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.DataStore Property

The DataStore used for persistence.

public IDataStore DataStore {get;}

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.EntityMapFactory Property

The EntityMapFactory used to retrieve instances of IEntityMap which map objects to DataTable and vice versa.

public IEntityMapFactory EntityMapFactory {get; set;}

Remarks

While settable it is not advisable to change the factory after objects have been loaded/created.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.ExtendedProperties Property

A property collection instance that can be used to store application specific information in the context.

public System.Data.PropertyCollection ExtendedProperties {get;}

Remarks

The context completely ignores the contents of the property collection. It is meant as convenience to avoid having to subclass ObjectContext just because some extra properties are needed.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.IgnoresDataStore Property

If set to true the context will ignore its store when searching for objects.

public bool IgnoresDataStore {get; set;}

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext Methods

The methods of the ObjectContext class are listed below. For a complete list of ObjectContext class members, see the ObjectContext Members topic.

Public Instance Methods

AcceptChanges | Marks all changes as having been persisted.
Clear | Clears and resets the this context.
CreateObject | Creates a new IEntityObject with all of the required primary key values
DeleteObject | Marks object as deleted. This will delete the corresponding row from persistent storage when the changes are saved.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllRegisteredObjects | Gets all non-deleted objects that the context manages.
GetChanges | Gets all changes made to the ObjectContext in the form of a diffgram DataSet.
GetDeletedObjects | Gets all objects managed by this context that are marked for deletion.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetLocalObject | Looks up the supplied IEntityObject in this context. Throws if the object is not present in this context.
GetLocalObjects | Creates a new list of EntityObjects based upon the supplied list, but using its internal representation of those objects.
GetObject | Retrieves an object based on its ObjectId.
GetObjectData | Serializes this instance.
GetObjectFromTable | Retrieves an object based on table name and primary key values.
GetObjects | Retrieves all objects matching the supplied specification
GetReferencingObjects | Gets all objects in other entities that have references to the object passed in.
GetType (inherited from Object) | Gets the Type of the current instance.
HasChanges | Determines whether there are any changes to objects managed by this context.
ImportRow | Adds a DataRow to the context. This creates a corresponding object if necessary.
MergeData | Merges the supplied DataSet with the data in the context. This creates, deletes and changes objects as required.
RegisterForColumnChanges | Registers an observer for column change events.
RegisterForRowChanges | Registers an observer for row change events. Only sent for delete events!
SaveChanges | Persists data changes in this context to the data store.
SaveChangesTransactionAware | Persists data changes in this context to the data store.
ToString (inherited from Object) | Returns a String that represents the current Object.
UnRegisterForColumnChanges | Unregisters and observer for column change events.
UnRegisterForRowChanges | Unregisters an observer for row change events.
UpdatePrimaryKeys | Overloaded. Updates the primary keys for the objects managed by this context.

Explicit Interface Implementations

IDataStore.FetchRows | Gets rows from the data store according to the specification
IDataStore.SaveChangesInObjectContext | Saves changes in the child context into this context.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.AcceptChanges Method

Marks all changes as having been persisted.

public virtual void AcceptChanges();

Remarks

Use this in conjunction with GetChanges() to implement alternative persistence operations, in client/server scenarios for example.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.Clear Method

Clears and resets the this context.

public virtual void Clear();

Remarks

This makes the context effectively forget all object and their changes.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.CreateObject Method

Creates a new IEntityObject with all of the required primary key values

public virtual IEntityObject CreateObject(
Type objectType,
object[] pkvalues
);

Parameters

objectType
IEntityObject type to be created
pkvalues
array holding the correct number of primary key values or null if the pk scheme generates its own keys, e.g. GUID and native schemes.

Return Value

the newly created object

Remarks

It is usually better to use the strongly typed API on the factory for the required entity or the untyped API on ObjectFactory.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.DeleteObject Method

Marks object as deleted. This will delete the corresponding row from persistent storage when the changes are saved.

public virtual void DeleteObject(
IEntityObject eo
);

Parameters

eo
IEntityObject to be deleted

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.GetAllRegisteredObjects Method

Gets all non-deleted objects that the context manages.

public ICollection GetAllRegisteredObjects();

Return Value

all rows registered in the internal dataset

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.GetChanges Method

Gets all changes made to the ObjectContext in the form of a diffgram DataSet.

public virtual DataSet GetChanges();

Return Value

all changes made to the main DataSet

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.GetDeletedObjects Method

Gets all objects managed by this context that are marked for deletion.

public IList GetDeletedObjects();

Return Value

list of objects marked for deletion

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.GetLocalObject Method

Looks up the supplied IEntityObject in this context. Throws if the object is not present in this context.

public IEntityObject GetLocalObject(
IEntityObject eo
);

Parameters

eo
IEntityObject to find

Return Value

instance of supplied IEntityObject in this context

Remarks

Use this when you have a set of objects in a parent context and need references to them in a child context; or vice versa.

This method does not trigger the lazy-loading functionality.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.GetLocalObjects Method

Creates a new list of EntityObjects based upon the supplied list, but using its internal representation of those objects.

public IList GetLocalObjects(
IList eoList
);

Parameters

eoList

Return Value

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.GetObject Method

Retrieves an object based on its ObjectId.

public IEntityObject GetObject(
ObjectId oid
);

Parameters

oid
the id of the object

Return Value

object matching primary keys, if found

Remarks

Any results are merged with this context. Tries to use cached version, if that is available

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.GetObjectData Method

Serializes this instance.

public virtual void GetObjectData(
SerializationInfo info,
StreamingContext context
);

Parameters

info
the SerializationInfo into which the context will be written
context
not used

Implements

ISerializable.GetObjectData

Remarks

When serialising a connected context, i.e. a context that has a data store, care must be taken that the data store is serialisable. By default many stores do not persist security info, which means that connections attempts after deserialisation will fail.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.GetObjectFromTable Method

Retrieves an object based on table name and primary key values.

public virtual IEntityObject GetObjectFromTable(
string tableName,
object[] pkvalues
);

Parameters

tableName
name of table
pkvalues
primary keys identifying the object

Return Value

object matching primary keys, if found

Remarks

Any results are merged with this context. Tries to use cached version, if that is available

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.GetObjects Method

Retrieves all objects matching the supplied specification

public virtual IList GetObjects(
IFetchSpecification fetchSpec
);

Parameters

fetchSpec
IFetchSpecification object describing the objects

Return Value

matching objects

Remarks

This method merges results from the data store, if present, and internal objects.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.GetReferencingObjects Method

Gets all objects in other entities that have references to the object passed in.

public IList GetReferencingObjects(
IEntityObject theObject,
bool excludeCascades
);

Parameters

theObject
the object to start from
excludeCascades
true to ignore reference from tables into which the object's table cascades deletes.

Return Value

related objects

Remarks

This method is useful to find out whether a given object can be deleted in the data store.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.HasChanges Method

Determines whether there are any changes to objects managed by this context.

public virtual bool HasChanges();

Return Value

true if changes have been made

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.ImportRow Method

Adds a DataRow to the context. This creates a corresponding object if necessary.

public virtual IEntityObject ImportRow(
DataRow aRow
);

Parameters

aRow
row to import

Return Value

IEntityObject representing the row

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.MergeData Method

Merges the supplied DataSet with the data in the context. This creates, deletes and changes objects as required.

public virtual IList MergeData(
DataSet aDataSet
);

Parameters

aDataSet
DataSet to be merged

Return Value

List of IEntityObjects affected by merge.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.IDataStore.FetchRows Method

Gets rows from the data store according to the specification

DataSet IDataStore.FetchRows(
IFetchSpecification fetchSpec
);

Parameters

fetchSpec
IFetchSpecification object describing what rows to fetch

Return Value

Always returns null

Implements

IDataStore.FetchRows

Remarks

Do not use this method directly. It may be removed in future releases.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.IDataStore.SaveChangesInObjectContext Method

Saves changes in the child context into this context.

ICollection IDataStore.SaveChangesInObjectContext(
ObjectContext childContext
);

Parameters

childContext
child context that is to be saved

Return Value

Always returns null

Implements

IDataStore.SaveChangesInObjectContext

Remarks

Do not use this method directly. It may be removed in future releases.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.RegisterForColumnChanges Method

Registers an observer for column change events.

public void RegisterForColumnChanges(
ColumnChangeHandler handler,
string tableName,
string columnName
);

Parameters

handler
delegate to be called
tableName
table name the observer is interested in
columnName
column the observer is inerested in

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.RegisterForRowChanges Method

Registers an observer for row change events. Only sent for delete events!

public void RegisterForRowChanges(
RowChangeHandler handler,
string tableName
);

Parameters

handler
delgate to be called
tableName
table name the observer is interested in

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.SaveChanges Method

Persists data changes in this context to the data store.

public virtual ICollection SaveChanges();

Return Value

list of primary keys that were changed during the operation (only for native scheme)

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.SaveChangesTransactionAware Method

Persists data changes in this context to the data store.

public ICollection SaveChangesTransactionAware();

Return Value

list of primary keys that were changed during the operation (only for native scheme)

Remarks

This method will work with an existing Enterprise Services transaction, voting commit if the save is successfull and abort if any problem occurs.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.UnRegisterForColumnChanges Method

Unregisters and observer for column change events.

public void UnRegisterForColumnChanges(
ColumnChangeHandler handler,
string tableName,
string columnName
);

Parameters

handler
delegate that was registered before
tableName
table name the delegate wishes to stop observing
columnName
column name the delegate wishes to stop observing

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.UnRegisterForRowChanges Method

Unregisters an observer for row change events.

public void UnRegisterForRowChanges(
RowChangeHandler handler,
string tableName
);

Parameters

handler
delegate that was registered before
tableName
table name the delegate wishes to stop observing

See Also

ObjectContext Class | Neo.Core Namespace


UpdatePrimaryKeys Method

The .NET Entity Objects framework

ObjectContext.UpdatePrimaryKeys Method

Updates the primary keys for the objects managed by this context.

Overload List

Updates the primary keys for the objects managed by this context.

public virtual void UpdatePrimaryKeys(PkChangeTable);

Updates the primary keys for the objects managed by this context.

public virtual void UpdatePrimaryKeys(ICollection);

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.UpdatePrimaryKeys Method (PkChangeTable)

Updates the primary keys for the objects managed by this context.

public virtual void UpdatePrimaryKeys(
PkChangeTable changeTable
);

Parameters

changeTable
table describing the key changes for a DataTable

Remarks

The context should not have any nested objects while the keys are updated.

See Also

ObjectContext Class | Neo.Core Namespace | ObjectContext.UpdatePrimaryKeys Overload List


ObjectContext.UpdatePrimaryKeys Method (ICollection)

Updates the primary keys for the objects managed by this context.

public virtual void UpdatePrimaryKeys(
ICollection changeTables
);

Parameters

changeTables
list of tables describing the key changes

Remarks

This is used in client/server scenarios where a datastore in a different process persisted the changes and returned the keys as generated by the database.

See Also

ObjectContext Class | Neo.Core Namespace | ObjectContext.UpdatePrimaryKeys Overload List


ObjectContext Events

The events of the ObjectContext class are listed below. For a complete list of ObjectContext class members, see the ObjectContext Members topic.

Public Instance Events

EntityObjectChanged Occurs when a IEntityObject has changed successfully.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectContext.EntityObjectChanged Event

Occurs when a IEntityObject has changed successfully.

public event EntityObjectChangedHandler EntityObjectChanged;

Event Data

The event handler receives an argument of type EntityObjectChangeEventArgs containing data related to this event. The following EntityObjectChangeEventArgs properties provide information specific to this event.

Property | Description
Action | Gets the action that has occurred on a .
EntityObject | Gets the object upon which an action has occurred.

See Also

ObjectContext Class | Neo.Core Namespace


ObjectNotFoundException Class

Thrown when an object was not found when looking for it via a foreign key.

For a list of all members of this type, see ObjectNotFoundException Members.

System.Object
Exception
ApplicationException
NeoException
ObjectNotFoundException

public class ObjectNotFoundException : NeoException

Remarks

An exception is thrown because this condition indicates a data integrity problem.

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

ObjectNotFoundException Members | Neo.Core Namespace


ObjectNotFoundException Members

ObjectNotFoundException overview

Public Instance Properties

HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

See Also

ObjectNotFoundException Class | Neo.Core Namespace


PkChangeTable Class

Used to redistribute database generated keys.

For a list of all members of this type, see PkChangeTable Members.

System.Object
PkChangeTable

public class PkChangeTable

Remarks

When working with database generated (native) primary keys, Neo uses temporary (negative) primary key values until an object is saved to the store. The data stores must provide a mapping from these temporary keys to the actual db values by returning a PkChangeTable from the SaveChangesInObjectContext method.

            table = new PkChangeTable("jobs");
            table.AddPkChange(row["job_id"], actualKeyVal);
When an ObjectContext is connected directly to an IDataStore it handles the key mapping internally but in distributed environments it is possible to pass the change table between different processes as follows.
            ds = clientContext.GetChanges();
            // now this ds is passed to the server, which could use another context
            serverContext.ImportData(ds)
            pkctArray = serverContext.SaveChanges();
            // the pkctArray is passed back to the client process which needs to apply them
            clientContext.UpdatePrimaryKeys(pkctArray);
            clientContext.AcceptChanges();

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

PkChangeTable Members | Neo.Core Namespace


PkChangeTable Members

PkChangeTable overview

Public Instance Constructors

PkChangeTable Constructor Default constructor. Creates a blank change table for a database table

Public Instance Properties

Count | Count of primary key changes for this table
Item | Returns ChangeRecord struct at this index
TableName | Name of table for this PkChangeTable object

Public Instance Methods

AddPkChange | Adds a new entry to the table.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator | Returns an enumarator for the changes and thus allows the use of foreach with the table.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

PkChangeTable Class | Neo.Core Namespace


PkChangeTable Constructor

Default constructor. Creates a blank change table for a database table

public PkChangeTable(
string aTableName
);

Parameters

aTableName
name of table whose primary keys are changing

See Also

PkChangeTable Class | Neo.Core Namespace


PkChangeTable Properties

The properties of the PkChangeTable class are listed below. For a complete list of PkChangeTable class members, see the PkChangeTable Members topic.

Public Instance Properties

Count | Count of primary key changes for this table
Item | Returns ChangeRecord struct at this index
TableName | Name of table for this PkChangeTable object

See Also

PkChangeTable Class | Neo.Core Namespace


PkChangeTable.Count Property

Count of primary key changes for this table

public int Count {get;}

See Also

PkChangeTable Class | Neo.Core Namespace


PkChangeTable.Item Property

Returns ChangeRecord struct at this index

public PkChangeTable.ChangeRecord this[
int index
] {get;}

See Also

PkChangeTable Class | Neo.Core Namespace


PkChangeTable.TableName Property

Name of table for this PkChangeTable object

public string TableName {get;}

See Also

PkChangeTable Class | Neo.Core Namespace


PkChangeTable Methods

The methods of the PkChangeTable class are listed below. For a complete list of PkChangeTable class members, see the PkChangeTable Members topic.

Public Instance Methods

AddPkChange | Adds a new entry to the table.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator | Returns an enumarator for the changes and thus allows the use of foreach with the table.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

PkChangeTable Class | Neo.Core Namespace


PkChangeTable.AddPkChange Method

Adds a new entry to the table.

public void AddPkChange(
object oldValue,
object newValue
);

Parameters

oldValue
original primary key value
newValue
new primary key value

See Also

PkChangeTable Class | Neo.Core Namespace


PkChangeTable.GetEnumerator Method

Returns an enumarator for the changes and thus allows the use of foreach with the table.

public IEnumerator GetEnumerator();

Return Value

See Also

PkChangeTable Class | Neo.Core Namespace


PkChangeTable.ChangeRecord Structure

A simple struct holding the old and new values for a change.

For a list of all members of this type, see PkChangeTable.ChangeRecord Members.

System.Object
ValueType
PkChangeTable.ChangeRecord

public struct PkChangeTable.ChangeRecord

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

PkChangeTable.ChangeRecord Members | Neo.Core Namespace


PkChangeTable.ChangeRecord Members

PkChangeTable.ChangeRecord overview

Public Instance Fields

NewValue | New primary key value
OldValue | Original primary key value

Public Instance Methods

Equals (inherited from ValueType) | Indicates whether this instance and a specified object are equal.
GetHashCode (inherited from ValueType) | Returns the hash code for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from ValueType) | Returns the fully qualified type name of this instance.

See Also

PkChangeTable.ChangeRecord Class | Neo.Core Namespace


PkChangeTable.ChangeRecord Fields

The fields of the PkChangeTable.ChangeRecord structure are listed below. For a complete list of PkChangeTable.ChangeRecord structure members, see the PkChangeTable.ChangeRecord Members topic.

Public Instance Fields

NewValue | New primary key value
OldValue | Original primary key value

See Also

PkChangeTable.ChangeRecord Class | Neo.Core Namespace


PkChangeTable.ChangeRecord.NewValue Field

New primary key value

public object NewValue;

See Also

PkChangeTable.ChangeRecord Class | Neo.Core Namespace


PkChangeTable.ChangeRecord.OldValue Field

Original primary key value

public object OldValue;

See Also

PkChangeTable.ChangeRecord Class | Neo.Core Namespace


PropertyComparer Class

Concrete IComparer used to compare properties between EntityObject instances

For a list of all members of this type, see PropertyComparer Members.

System.Object
PropertyComparer

public class PropertyComparer : IComparer

Remarks

This comparer will only compare objects by a single property. Multiple property comparisons are not supported

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

PropertyComparer Members | Neo.Core Namespace


PropertyComparer Members

PropertyComparer overview

Public Instance Constructors

PropertyComparer Overloaded. Initializes a new instance of the PropertyComparer class.

Public Instance Properties

Property | Name of property to compare when sorting.
SortDirection | Sort direction (Ascending, Descending).

Public Instance Methods

Compare | Compares one IEntityObject instance with another using the value of Property
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Sort | Uses ArrayList' QuickSort implementation to sort the supplied list.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

PropertyComparer Class | Neo.Core Namespace


PropertyComparer Constructor

Constructor. Sets property name and sort direction to be used in subsequent sorts.

Overload List

Constructor. Sets property name and sort direction to be used in subsequent sorts.

public PropertyComparer(string,SortDirection);

Constructor. Sets property name and sort direction to be used in subsequent sorts.

public PropertyComparer(string,SortDirection,CultureInfo);

See Also

PropertyComparer Class | Neo.Core Namespace


PropertyComparer Constructor (String, SortDirection)

Constructor. Sets property name and sort direction to be used in subsequent sorts.

public PropertyComparer(
string aPropName,
SortDirection aDirection
);

Parameters

aPropName
Name of property value to compare
aDirection
Sort direction and case matching

See Also

PropertyComparer Class | Neo.Core Namespace | PropertyComparer Constructor Overload List


PropertyComparer Constructor (String, SortDirection, CultureInfo)

Constructor. Sets property name and sort direction to be used in subsequent sorts.

public PropertyComparer(
string aPropName,
SortDirection aDirection,
CultureInfo culture
);

Parameters

aPropName
Name of property value to compare
aDirection
Sort direction and case matching
culture
Culture used when performing string comparisons

See Also

PropertyComparer Class | Neo.Core Namespace | PropertyComparer Constructor Overload List


PropertyComparer Properties

The properties of the PropertyComparer class are listed below. For a complete list of PropertyComparer class members, see the PropertyComparer Members topic.

Public Instance Properties

Property | Name of property to compare when sorting.
SortDirection | Sort direction (Ascending, Descending).

See Also

PropertyComparer Class | Neo.Core Namespace


PropertyComparer.Property Property

Name of property to compare when sorting.

public string Property {get;}

See Also

PropertyComparer Class | Neo.Core Namespace


PropertyComparer.SortDirection Property

Sort direction (Ascending, Descending).

public SortDirection SortDirection {get;}

See Also

PropertyComparer Class | Neo.Core Namespace


PropertyComparer Methods

The methods of the PropertyComparer class are listed below. For a complete list of PropertyComparer class members, see the PropertyComparer Members topic.

Public Instance Methods

Compare | Compares one IEntityObject instance with another using the value of Property
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Sort | Uses ArrayList' QuickSort implementation to sort the supplied list.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

PropertyComparer Class | Neo.Core Namespace


PropertyComparer.Compare Method

Compares one IEntityObject instance with another using the value of Property

public virtual int Compare(
object x,
object y
);

Parameters

x
First object to compare
y
Second object to compare

Return Value

0, if the objects are the same, 1, if x > y, -1 if x > y

Implements

IComparer.Compare

See Also

PropertyComparer Class | Neo.Core Namespace


PropertyComparer.Sort Method

Uses ArrayList' QuickSort implementation to sort the supplied list.

public void Sort(
ArrayList list
);

Parameters

list
list to be sorted

See Also

PropertyComparer Class | Neo.Core Namespace


Qualifier Class

Qualifiers define criteria for object selections.

For a list of all members of this type, see Qualifier Members.

System.Object
Qualifier

public abstract class Qualifier

Remarks

There is a class hierarchy of different qualifiers to express different types of qualification but normally qualifiers are constructed using formats:

            q = Qualifier.Format("Name = {0}", input);
Formats can use inlined values and comprise multiple clauses:
            q = Qualifier.Format("Name = 'Haruki'");
            q = Qualifier.Format("Name = {0} and locked = false", input);
Formats can contain brackets and paths spanning multiple entities:
            q = Qualifier.Format("Publisher.Name = {0}", pubname);
            q = Qualifier.Format("TitleAuthor.Title.(TheTitle like 'A%' or TheTitle like 'B%')");
Formats provide a shortcut for simple matches:
q = new Qualifier.Format("Name", input);
Qualifiers are used in conjunction with FetchSpecification or can be used to evaluate whether an object matches their criteria:
if(q.EvaluateWithObject(anAuthor))
                doSomething(anAuthor);

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

Qualifier Members | Neo.Core Namespace


Qualifier Members

Qualifier overview

Public Static Methods

Format | Overloaded. Creates a Qualifier for the given query.
FromPropertyDictionary | Creates a Qualifier which tests for the supplied property/value pairs.

Public Instance Methods

AcceptVisitor | Begins traversal of the qualifier. The visitor passed in will receive methods from the IQualifierVisitor interface as subqualifiers are reached during traversal.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Returns whether the supplied IEntityObject matches the criteria of this qualifier.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

Qualifier Class | Neo.Core Namespace


Qualifier Methods

The methods of the Qualifier class are listed below. For a complete list of Qualifier class members, see the Qualifier Members topic.

Public Static Methods

Format | Overloaded. Creates a Qualifier for the given query.
FromPropertyDictionary | Creates a Qualifier which tests for the supplied property/value pairs.

Public Instance Methods

AcceptVisitor | Begins traversal of the qualifier. The visitor passed in will receive methods from the IQualifierVisitor interface as subqualifiers are reached during traversal.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Returns whether the supplied IEntityObject matches the criteria of this qualifier.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

Qualifier Class | Neo.Core Namespace


Qualifier.AcceptVisitor Method

Begins traversal of the qualifier. The visitor passed in will receive methods from the IQualifierVisitor interface as subqualifiers are reached during traversal.

public abstract object AcceptVisitor(
IQualifierVisitor visitor
);

Parameters

visitor
The visitor that receives the call-back methods

Return Value

The object returned from the vistor for this qualifier

Remarks

This method is not normally used from applications.

See Also

Qualifier Class | Neo.Core Namespace


Qualifier.EvaluateWithObject Method

Returns whether the supplied IEntityObject matches the criteria of this qualifier.

public abstract bool EvaluateWithObject(
IEntityObject anObject
);

See Also

Qualifier Class | Neo.Core Namespace


Format Method

The .NET Entity Objects framework

Qualifier.Format Method

Creates a Qualifier for the given query.

Overload List

Creates a Qualifier for the given query.

public static Qualifier Format(string);

Creates a Qualifier for the given query.

public static Qualifier Format(string,params object[]);

See Also

Qualifier Class | Neo.Core Namespace


Qualifier.Format Method (String)

Creates a Qualifier for the given query.

public static Qualifier Format(
string qformat
);

Parameters

qformat
string version of test

Return Value

Qualifier object for the query

See Also

Qualifier Class | Neo.Core Namespace | Qualifier.Format Overload List


Qualifier.Format Method (String, Object[])

Creates a Qualifier for the given query.

public static Qualifier Format(
string formatString,
params object[] values
);

Parameters

formatString
string version of the query
values
positional parameters for the query string

Return Value

Qualifier object for the query

See Also

Qualifier Class | Neo.Core Namespace | Qualifier.Format Overload List


Qualifier.FromPropertyDictionary Method

Creates a Qualifier which tests for the supplied property/value pairs.

public static Qualifier FromPropertyDictionary(
IDictionary queryValues
);

Parameters

queryValues
property/value pairs to be compared

Return Value

Qualifier object for the query

See Also

Qualifier Class | Neo.Core Namespace


RefreshStrategy Enumeration

Values for specifying which refresh strategy ObjectContext should use for known objects retrieved by a fetch.

public enum RefreshStrategy

Members

Member Name | Description
Keep | Keep what is in memory, ignore values from refetched objects.
Update | Update object in memory, overwrite local changes with database contents.
Merge | Update object in memory, but keep local changes

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

Neo.Core Namespace


RowChangeHandler Delegate

Delegate method used by ObjectContext to notify row change observers.

public delegate void RowChangeHandler(
object sender,
DataRowChangeEventArgs e
);

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

Neo.Core Namespace


SchemaUpdate Enumeration

Flags for specifying which aspects of the schema an EntityMap should write into a DataTable.

public enum SchemaUpdate

Members

Member Name | Description
Basic | Write the table definition
Constraints | Write the constraints
Relations | Write all related table and the relations between this table and the others
Full | Write everything

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

Neo.Core Namespace


SortDirection Enumeration

Determines the direction of sorting, and case sensitivity. Used by PropertyComparer.

public enum SortDirection

Members

Member Name | Description
Ascending | Ascending, case-sensitive alphabetic sort
Descending | Decending, case-sensitive alphabetic sort
AscendingCaseInsensitive | Ascending, non case-sensitive alphabetic sort
DescendingCaseInsensitive | Decending, non case-sensitive alphabetic sort

Requirements

Namespace: Neo.Core

Assembly: Neo (in Neo.dll)

See Also

Neo.Core Namespace


Neo.Core.Parser

The .NET Entity Objects framework

Neo.Core.Parser Namespace

The Neo.Core.Parser namespace contains classes that are used to parse the format strings from which Qualifiers are constructed. While some of the classes in this namespace are public it is expected that typical applications do not depend on them.

Classes

Class | Description
QualifierParser | Internal class used to create a tree of qualifier objects from a format string.
QualifierParserException | Exception thrown by the QualifierParser if the format contains errors.
Token | Internal class used by the QualifierParser.
Tokenizer | Internal class used by the QualifierParser.
TokenStack | Internal class used by Tokenizer and QualifierParser.

Enumerations

Enumeration | Description
TokenType | Specifies the type of a Token.


QualifierParser Class

Internal class used to create a tree of qualifier objects from a format string.

For a list of all members of this type, see QualifierParser Members.

System.Object
QualifierParser

public class QualifierParser

Requirements

Namespace: Neo.Core.Parser

Assembly: Neo (in Neo.dll)

See Also

QualifierParser Members | Neo.Core.Parser Namespace


QualifierParser Members

QualifierParser overview

Public Instance Constructors

QualifierParser Constructor Constructor. Creates a new parser.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetQualifier | Parses the format and creates the qualifier objects.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

QualifierParser Class | Neo.Core.Parser Namespace


QualifierParser Constructor

Constructor. Creates a new parser.

public QualifierParser(
string qformat,
params object[] someParameters
);

Parameters

qformat
The format to parse
someParameters
The position paramters for the format

See Also

QualifierParser Class | Neo.Core.Parser Namespace


QualifierParser Methods

The methods of the QualifierParser class are listed below. For a complete list of QualifierParser class members, see the QualifierParser Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetQualifier | Parses the format and creates the qualifier objects.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

QualifierParser Class | Neo.Core.Parser Namespace


QualifierParser.GetQualifier Method

Parses the format and creates the qualifier objects.

public Qualifier GetQualifier();

Return Value

The top-level qualifier

See Also

QualifierParser Class | Neo.Core.Parser Namespace


QualifierParserException Class

Exception thrown by the QualifierParser if the format contains errors.

For a list of all members of this type, see QualifierParserException Members.

System.Object
Exception
ApplicationException
NeoException
QualifierParserException

public class QualifierParserException : NeoException

Requirements

Namespace: Neo.Core.Parser

Assembly: Neo (in Neo.dll)

See Also

QualifierParserException Members | Neo.Core.Parser Namespace


QualifierParserException Members

QualifierParserException overview

Public Instance Constructors

QualifierParserException Constructor Constructor.

Public Instance Properties

HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

See Also

QualifierParserException Class | Neo.Core.Parser Namespace


QualifierParserException Constructor

Constructor.

public QualifierParserException(
string message,
Tokenizer tokenizer
);

Parameters

message
Reason for the error
tokenizer
Tokenizer positioned at the error

See Also

QualifierParserException Class | Neo.Core.Parser Namespace


Token Class

Internal class used by the QualifierParser.

For a list of all members of this type, see Token Members.

System.Object
Token

public class Token

Requirements

Namespace: Neo.Core.Parser

Assembly: Neo (in Neo.dll)

See Also

Token Members | Neo.Core.Parser Namespace


Token Members

Token overview

Public Instance Constructors

Token Constructor Initializes a new instance of the Token class.

Public Instance Fields

Type | The type of the token.
Value | The value of the token.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

Token Class | Neo.Core.Parser Namespace


Token Constructor

Initializes a new instance of the Token class.

public Token(
TokenType aType,
object aValue
);

Parameters

aType
Type of the token
aValue
Value of the token

See Also

Token Class | Neo.Core.Parser Namespace


Token Fields

The fields of the Token class are listed below. For a complete list of Token class members, see the Token Members topic.

Public Instance Fields

Type | The type of the token.
Value | The value of the token.

See Also

Token Class | Neo.Core.Parser Namespace


Token.Type Field

The type of the token.

public readonly TokenType Type;

See Also

Token Class | Neo.Core.Parser Namespace


Token.Value Field

The value of the token.

public readonly object Value;

See Also

Token Class | Neo.Core.Parser Namespace


Tokenizer Class

Internal class used by the QualifierParser.

For a list of all members of this type, see Tokenizer Members.

System.Object
Tokenizer

public class Tokenizer

Requirements

Namespace: Neo.Core.Parser

Assembly: Neo (in Neo.dll)

See Also

Tokenizer Members | Neo.Core.Parser Namespace


Tokenizer Members

Tokenizer overview

Public Instance Constructors

Tokenizer Constructor Missing <summary> documentation for M:Neo.Core.Parser.Tokenizer.#ctor(System.String)

Public Instance Properties

Input | Missing <summary> documentation for P:Neo.Core.Parser.Tokenizer.Input
Position | Missing <summary> documentation for P:Neo.Core.Parser.Tokenizer.Position

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetNextToken | Missing <summary> documentation for M:Neo.Core.Parser.Tokenizer.GetNextToken
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

Tokenizer Class | Neo.Core.Parser Namespace


Tokenizer Constructor

Missing <summary> documentation for M:Neo.Core.Parser.Tokenizer.#ctor(System.String)

public Tokenizer(
string inputString
);

See Also

Tokenizer Class | Neo.Core.Parser Namespace


Tokenizer Properties

The properties of the Tokenizer class are listed below. For a complete list of Tokenizer class members, see the Tokenizer Members topic.

Public Instance Properties

Input | Missing <summary> documentation for P:Neo.Core.Parser.Tokenizer.Input
Position | Missing <summary> documentation for P:Neo.Core.Parser.Tokenizer.Position

See Also

Tokenizer Class | Neo.Core.Parser Namespace


Tokenizer.Input Property

Missing <summary> documentation for P:Neo.Core.Parser.Tokenizer.Input

public string Input {get;}

See Also

Tokenizer Class | Neo.Core.Parser Namespace


Tokenizer.Position Property

Missing <summary> documentation for P:Neo.Core.Parser.Tokenizer.Position

public int Position {get;}

See Also

Tokenizer Class | Neo.Core.Parser Namespace


Tokenizer Methods

The methods of the Tokenizer class are listed below. For a complete list of Tokenizer class members, see the Tokenizer Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetNextToken | Missing <summary> documentation for M:Neo.Core.Parser.Tokenizer.GetNextToken
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

Tokenizer Class | Neo.Core.Parser Namespace


Tokenizer.GetNextToken Method

Missing <summary> documentation for M:Neo.Core.Parser.Tokenizer.GetNextToken

public Token GetNextToken();

See Also

Tokenizer Class | Neo.Core.Parser Namespace


TokenStack Class

Internal class used by Tokenizer and QualifierParser.

For a list of all members of this type, see TokenStack Members.

System.Object
TokenStack

public class TokenStack

Requirements

Namespace: Neo.Core.Parser

Assembly: Neo (in Neo.dll)

See Also

TokenStack Members | Neo.Core.Parser Namespace


TokenStack Members

TokenStack overview

Public Instance Constructors

TokenStack Constructor Initializes a new instance of the TokenStack class.

Public Instance Properties

Count Missing <summary> documentation for P:Neo.Core.Parser.TokenStack.Count

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Match | Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Match(Neo.Core.Parser.TokenType[])
Peek | Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Peek
Pop | Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Pop
PopValue | Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.PopValue
Push | Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Push(Neo.Core.Parser.Token)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

TokenStack Class | Neo.Core.Parser Namespace


TokenStack Constructor

Initializes a new instance of the TokenStack class.

public TokenStack();

See Also

TokenStack Class | Neo.Core.Parser Namespace


TokenStack Properties

The properties of the TokenStack class are listed below. For a complete list of TokenStack class members, see the TokenStack Members topic.

Public Instance Properties

Count Missing <summary> documentation for P:Neo.Core.Parser.TokenStack.Count

See Also

TokenStack Class | Neo.Core.Parser Namespace


TokenStack.Count Property

Missing <summary> documentation for P:Neo.Core.Parser.TokenStack.Count

public int Count {get;}

See Also

TokenStack Class | Neo.Core.Parser Namespace


TokenStack Methods

The methods of the TokenStack class are listed below. For a complete list of TokenStack class members, see the TokenStack Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Match | Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Match(Neo.Core.Parser.TokenType[])
Peek | Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Peek
Pop | Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Pop
PopValue | Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.PopValue
Push | Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Push(Neo.Core.Parser.Token)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

TokenStack Class | Neo.Core.Parser Namespace


TokenStack.Match Method

Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Match(Neo.Core.Parser.TokenType[])

public bool Match(
params TokenType[] types
);

See Also

TokenStack Class | Neo.Core.Parser Namespace


TokenStack.Peek Method

Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Peek

public Token Peek();

See Also

TokenStack Class | Neo.Core.Parser Namespace


TokenStack.Pop Method

Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Pop

public Token Pop();

See Also

TokenStack Class | Neo.Core.Parser Namespace


TokenStack.PopValue Method

Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.PopValue

public object PopValue();

See Also

TokenStack Class | Neo.Core.Parser Namespace


TokenStack.Push Method

Missing <summary> documentation for M:Neo.Core.Parser.TokenStack.Push(Neo.Core.Parser.Token)

public void Push(
Token t
);

See Also

TokenStack Class | Neo.Core.Parser Namespace


TokenType Enumeration

Specifies the type of a Token.

public enum TokenType

Members

Member Name | Description
String | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.String
Operator | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.Operator
Conjunctor | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.Conjunctor
Constant | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.Constant
ParamRef | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.ParamRef
Predicate | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.Predicate
Qualifier | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.Qualifier
PathSep | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.PathSep
Path | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.Path
OpenBracket | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.OpenBracket
CloseBracket | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.CloseBracket
OpenSqBracket | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.OpenSqBracket
CloseSqBracket | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.CloseSqBracket
SetRestriction | Missing <summary> documentation for F:Neo.Core.Parser.TokenType.SetRestriction

Requirements

Namespace: Neo.Core.Parser

Assembly: Neo (in Neo.dll)

See Also

Neo.Core.Parser Namespace


Neo.Core.Qualifiers

The .NET Entity Objects framework

Neo.Core.Qualifiers Namespace

The Neo.Core.Qualifiers namespace contains concrete implementations of the abstract Qualifier class and a predicate class hierarchy. While most of the classes in this namespace are public it is expected that typical applications do not depend on them and instead use Qualifier.Format to create instances of Qualifier.

Classes

Class | Description
AndQualifier | A qualifier that combines a number of qualifiers, evaluating to true if all of the qualifiers evaluate to true.
CaseInsensitiveEqualsPredicate | Predicate that returns true if the string is equal to the string stored in the predicate not taking case into account.
ClauseQualifier | Abstract base class for qualifiers that combines a number of qualifiers.
ColumnQualifier | A qualifier that compares a value to the value stored in a given column of the DataRow that underlies the EntityObject.
ContainsPredicate | Predicate that returns true if the string contains the string stored in the predicate.
EndsWithPredicate | Predicate that returns true if the string ends with the string stored in the predicate.
EqualsPredicate | Predicate that returns true if the value is equal to the value stored in the predicate.
GreaterOrEqualPredicate | Predicate that returns true if the value is greater or equal to the value stored in the predicate.
GreaterThanPredicate | Predicate that returns true if the value is greater than the value stored in the predicate.
LessOrEqualPredicate | Predicate that returns true if the value is less or equal to the value stored in the predicate.
LessThanPredicate | Predicate that returns true if the value is less than the value stored in the predicate.
LikePredicate | Predicate that returns true if the string matches the pattern.
NotEqualPredicate | Predicate that returns true if the value is not equal to the value stored in the predicate.
OrQualifier | A qualifier that combines a number of qualifiers, evaluating to true if any of the qualifiers evaluate to true.
PathQualifier | A qualifier that describes a path of relations to follow before evaluating another qualifier.
PropertyQualifier | A qualifier that compares a value to the value of a property of an EntityObject.
RelationalPredicateBase | Abstract base class for predicates that compare values, i.e. determine the ordering of two values.
StartsWithPredicate | Predicate that returns true if the string begins with the string stored in the predicate.
StringPredicateBase | Abstract base class for predicates that work with string values.

Interfaces

Interface | Description
IPredicate | Describes a predicate that can be applied to a value.
IQualifierVisitor | Callback interface for objects that can visit a Qualifier objects.


AndQualifier Class

A qualifier that combines a number of qualifiers, evaluating to true if all of the qualifiers evaluate to true.

For a list of all members of this type, see AndQualifier Members.

System.Object
Qualifier
ClauseQualifier
AndQualifier

public sealed class AndQualifier : ClauseQualifier, IObjectQualifier

Remarks

Uses short-circuit evaluation, i.e. stops evaluating its qualifiers when the first one returns false.

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

AndQualifier Members | Neo.Core.Qualifiers Namespace


AndQualifier Members

AndQualifier overview

Public Instance Constructors

AndQualifier Overloaded. Initializes a new instance of the AndQualifier class.

Public Instance Properties

Qualifiers (inherited from ClauseQualifier) Missing <summary> documentation for P:Neo.Core.Qualifiers.ClauseQualifier.Qualifiers

Public Instance Methods

AcceptVisitor | Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)
AddToQualifiers (inherited from ClauseQualifier) | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.AddToQualifiers(Neo.Core.Qualifier)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.EvaluateWithObject(System.Object)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from ClauseQualifier) | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.ToString

See Also

AndQualifier Class | Neo.Core.Qualifiers Namespace


AndQualifier Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.#ctor(Neo.Core.Qualifier[])

Overload List

Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.#ctor(Neo.Core.Qualifier[])

public AndQualifier(params Qualifier[]);

Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.#ctor(System.Collections.ArrayList)

public AndQualifier(ArrayList);

See Also

AndQualifier Class | Neo.Core.Qualifiers Namespace


AndQualifier Constructor (Qualifier[])

Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.#ctor(Neo.Core.Qualifier[])

public AndQualifier(
params Qualifier[] someQualifiers
);

See Also

AndQualifier Class | Neo.Core.Qualifiers Namespace | AndQualifier Constructor Overload List


AndQualifier Constructor (ArrayList)

Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.#ctor(System.Collections.ArrayList)

public AndQualifier(
ArrayList someQualifiers
);

See Also

AndQualifier Class | Neo.Core.Qualifiers Namespace | AndQualifier Constructor Overload List


AndQualifier Methods

The methods of the AndQualifier class are listed below. For a complete list of AndQualifier class members, see the AndQualifier Members topic.

Public Instance Methods

AcceptVisitor | Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)
AddToQualifiers (inherited from ClauseQualifier) | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.AddToQualifiers(Neo.Core.Qualifier)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.EvaluateWithObject(System.Object)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from ClauseQualifier) | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.ToString

See Also

AndQualifier Class | Neo.Core.Qualifiers Namespace


AndQualifier.AcceptVisitor Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)

public override object AcceptVisitor(
IQualifierVisitor v
);

See Also

AndQualifier Class | Neo.Core.Qualifiers Namespace


EvaluateWithObject Method

The .NET Entity Objects framework

AndQualifier.EvaluateWithObject Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

Overload List

Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

public override bool EvaluateWithObject(IEntityObject);

Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.EvaluateWithObject(System.Object)

public bool EvaluateWithObject(object);

See Also

AndQualifier Class | Neo.Core.Qualifiers Namespace


AndQualifier.EvaluateWithObject Method (IEntityObject)

Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

public override bool EvaluateWithObject(
IEntityObject anObject
);

See Also

AndQualifier Class | Neo.Core.Qualifiers Namespace | AndQualifier.EvaluateWithObject Overload List


AndQualifier.EvaluateWithObject Method (Object)

Missing <summary> documentation for M:Neo.Core.Qualifiers.AndQualifier.EvaluateWithObject(System.Object)

public bool EvaluateWithObject(
object anObject
);

Implements

IObjectQualifier.EvaluateWithObject

See Also

AndQualifier Class | Neo.Core.Qualifiers Namespace | AndQualifier.EvaluateWithObject Overload List


CaseInsensitiveEqualsPredicate Class

Predicate that returns true if the string is equal to the string stored in the predicate not taking case into account.

For a list of all members of this type, see CaseInsensitiveEqualsPredicate Members.

System.Object
StringPredicateBase
CaseInsensitiveEqualsPredicate

public class CaseInsensitiveEqualsPredicate : StringPredicateBase, IPredicate

Remarks

This predicate does not necessarily translate into SQL.

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

CaseInsensitiveEqualsPredicate Members | Neo.Core.Qualifiers Namespace


CaseInsensitiveEqualsPredicate Members

CaseInsensitiveEqualsPredicate overview

Public Instance Constructors

CaseInsensitiveEqualsPredicate Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.CaseInsensitiveEqualsPredicate.#ctor(System.String)

Public Instance Properties

Value (inherited from StringPredicateBase) Missing <summary> documentation for P:Neo.Core.Qualifiers.StringPredicateBase.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.CaseInsensitiveEqualsPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from StringPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.CaseInsensitiveEqualsPredicate.ToString

See Also

CaseInsensitiveEqualsPredicate Class | Neo.Core.Qualifiers Namespace


CaseInsensitiveEqualsPredicate Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.CaseInsensitiveEqualsPredicate.#ctor(System.String)

public CaseInsensitiveEqualsPredicate(
string aValue
);

See Also

CaseInsensitiveEqualsPredicate Class | Neo.Core.Qualifiers Namespace


CaseInsensitiveEqualsPredicate Methods

The methods of the CaseInsensitiveEqualsPredicate class are listed below. For a complete list of CaseInsensitiveEqualsPredicate class members, see the CaseInsensitiveEqualsPredicate Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.CaseInsensitiveEqualsPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from StringPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.CaseInsensitiveEqualsPredicate.ToString

See Also

CaseInsensitiveEqualsPredicate Class | Neo.Core.Qualifiers Namespace


CaseInsensitiveEqualsPredicate.IsTrueForValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.CaseInsensitiveEqualsPredicate.IsTrueForValue(System.Object,System.Object)

public bool IsTrueForValue(
object aValue,
object nullVal
);

Implements

IPredicate.IsTrueForValue

See Also

CaseInsensitiveEqualsPredicate Class | Neo.Core.Qualifiers Namespace


CaseInsensitiveEqualsPredicate.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.CaseInsensitiveEqualsPredicate.ToString

public override string ToString();

See Also

CaseInsensitiveEqualsPredicate Class | Neo.Core.Qualifiers Namespace


ClauseQualifier Class

Abstract base class for qualifiers that combines a number of qualifiers.

For a list of all members of this type, see ClauseQualifier Members.

System.Object
Qualifier
ClauseQualifier

public abstract class ClauseQualifier : Qualifier

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

ClauseQualifier Members | Neo.Core.Qualifiers Namespace


ClauseQualifier Members

ClauseQualifier overview

Public Instance Constructors

ClauseQualifier Overloaded. Initializes a new instance of the ClauseQualifier class.

Public Instance Properties

Qualifiers Missing <summary> documentation for P:Neo.Core.Qualifiers.ClauseQualifier.Qualifiers

Public Instance Methods

AcceptVisitor (inherited from Qualifier) | Begins traversal of the qualifier. The visitor passed in will receive methods from the IQualifierVisitor interface as subqualifiers are reached during traversal.
AddToQualifiers | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.AddToQualifiers(Neo.Core.Qualifier)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject (inherited from Qualifier) | Returns whether the supplied IEntityObject matches the criteria of this qualifier.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.ToString

See Also

ClauseQualifier Class | Neo.Core.Qualifiers Namespace


ClauseQualifier Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.#ctor(Neo.Core.Qualifier[])

Overload List

Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.#ctor(Neo.Core.Qualifier[])

public ClauseQualifier(params Qualifier[]);

Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.#ctor(System.Collections.ArrayList)

public ClauseQualifier(ArrayList);

See Also

ClauseQualifier Class | Neo.Core.Qualifiers Namespace


ClauseQualifier Constructor (Qualifier[])

Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.#ctor(Neo.Core.Qualifier[])

public ClauseQualifier(
params Qualifier[] someQualifiers
);

See Also

ClauseQualifier Class | Neo.Core.Qualifiers Namespace | ClauseQualifier Constructor Overload List


ClauseQualifier Constructor (ArrayList)

Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.#ctor(System.Collections.ArrayList)

public ClauseQualifier(
ArrayList someQualifiers
);

See Also

ClauseQualifier Class | Neo.Core.Qualifiers Namespace | ClauseQualifier Constructor Overload List


ClauseQualifier Properties

The properties of the ClauseQualifier class are listed below. For a complete list of ClauseQualifier class members, see the ClauseQualifier Members topic.

Public Instance Properties

Qualifiers Missing <summary> documentation for P:Neo.Core.Qualifiers.ClauseQualifier.Qualifiers

See Also

ClauseQualifier Class | Neo.Core.Qualifiers Namespace


ClauseQualifier.Qualifiers Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.ClauseQualifier.Qualifiers

public Neo.Core.Qualifier[] Qualifiers {get;}

See Also

ClauseQualifier Class | Neo.Core.Qualifiers Namespace


ClauseQualifier Methods

The methods of the ClauseQualifier class are listed below. For a complete list of ClauseQualifier class members, see the ClauseQualifier Members topic.

Public Instance Methods

AcceptVisitor (inherited from Qualifier) | Begins traversal of the qualifier. The visitor passed in will receive methods from the IQualifierVisitor interface as subqualifiers are reached during traversal.
AddToQualifiers | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.AddToQualifiers(Neo.Core.Qualifier)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject (inherited from Qualifier) | Returns whether the supplied IEntityObject matches the criteria of this qualifier.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.ToString

See Also

ClauseQualifier Class | Neo.Core.Qualifiers Namespace


ClauseQualifier.AddToQualifiers Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.AddToQualifiers(Neo.Core.Qualifier)

public void AddToQualifiers(
Qualifier aQualifier
);

See Also

ClauseQualifier Class | Neo.Core.Qualifiers Namespace


ClauseQualifier.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.ToString

public override string ToString();

See Also

ClauseQualifier Class | Neo.Core.Qualifiers Namespace


ColumnQualifier Class

A qualifier that compares a value to the value stored in a given column of the DataRow that underlies the EntityObject.

For a list of all members of this type, see ColumnQualifier Members.

System.Object
Qualifier
ColumnQualifier

public sealed class ColumnQualifier : Qualifier

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

ColumnQualifier Members | Neo.Core.Qualifiers Namespace


ColumnQualifier Members

ColumnQualifier overview

Public Instance Constructors

ColumnQualifier Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.ColumnQualifier.#ctor(System.String,Neo.Core.Qualifiers.IPredicate)

Public Instance Properties

Column | Missing <summary> documentation for P:Neo.Core.Qualifiers.ColumnQualifier.Column
Predicate | Missing <summary> documentation for P:Neo.Core.Qualifiers.ColumnQualifier.Predicate

Public Instance Methods

AcceptVisitor | Missing <summary> documentation for M:Neo.Core.Qualifiers.ColumnQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Missing <summary> documentation for M:Neo.Core.Qualifiers.ColumnQualifier.EvaluateWithObject(Neo.Core.IEntityObject)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.ColumnQualifier.ToString

See Also

ColumnQualifier Class | Neo.Core.Qualifiers Namespace


ColumnQualifier Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.ColumnQualifier.#ctor(System.String,Neo.Core.Qualifiers.IPredicate)

public ColumnQualifier(
string aColumn,
IPredicate aPredicate
);

See Also

ColumnQualifier Class | Neo.Core.Qualifiers Namespace


ColumnQualifier Properties

The properties of the ColumnQualifier class are listed below. For a complete list of ColumnQualifier class members, see the ColumnQualifier Members topic.

Public Instance Properties

Column | Missing <summary> documentation for P:Neo.Core.Qualifiers.ColumnQualifier.Column
Predicate | Missing <summary> documentation for P:Neo.Core.Qualifiers.ColumnQualifier.Predicate

See Also

ColumnQualifier Class | Neo.Core.Qualifiers Namespace


ColumnQualifier.Column Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.ColumnQualifier.Column

public string Column {get;}

See Also

ColumnQualifier Class | Neo.Core.Qualifiers Namespace


ColumnQualifier.Predicate Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.ColumnQualifier.Predicate

public IPredicate Predicate {get;}

See Also

ColumnQualifier Class | Neo.Core.Qualifiers Namespace


ColumnQualifier Methods

The methods of the ColumnQualifier class are listed below. For a complete list of ColumnQualifier class members, see the ColumnQualifier Members topic.

Public Instance Methods

AcceptVisitor | Missing <summary> documentation for M:Neo.Core.Qualifiers.ColumnQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Missing <summary> documentation for M:Neo.Core.Qualifiers.ColumnQualifier.EvaluateWithObject(Neo.Core.IEntityObject)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.ColumnQualifier.ToString

See Also

ColumnQualifier Class | Neo.Core.Qualifiers Namespace


ColumnQualifier.AcceptVisitor Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.ColumnQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)

public override object AcceptVisitor(
IQualifierVisitor v
);

See Also

ColumnQualifier Class | Neo.Core.Qualifiers Namespace


ColumnQualifier.EvaluateWithObject Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.ColumnQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

public override bool EvaluateWithObject(
IEntityObject anObject
);

See Also

ColumnQualifier Class | Neo.Core.Qualifiers Namespace


ColumnQualifier.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.ColumnQualifier.ToString

public override string ToString();

See Also

ColumnQualifier Class | Neo.Core.Qualifiers Namespace


ContainsPredicate Class

Predicate that returns true if the string contains the string stored in the predicate.

For a list of all members of this type, see ContainsPredicate Members.

System.Object
StringPredicateBase
ContainsPredicate

public class ContainsPredicate : StringPredicateBase, IPredicate

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

ContainsPredicate Members | Neo.Core.Qualifiers Namespace


ContainsPredicate Members

ContainsPredicate overview

Public Instance Constructors

ContainsPredicate Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.ContainsPredicate.#ctor(System.String)

Public Instance Properties

Value (inherited from StringPredicateBase) Missing <summary> documentation for P:Neo.Core.Qualifiers.StringPredicateBase.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.ContainsPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from StringPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.ContainsPredicate.ToString

See Also

ContainsPredicate Class | Neo.Core.Qualifiers Namespace


ContainsPredicate Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.ContainsPredicate.#ctor(System.String)

public ContainsPredicate(
string aValue
);

See Also

ContainsPredicate Class | Neo.Core.Qualifiers Namespace


ContainsPredicate Methods

The methods of the ContainsPredicate class are listed below. For a complete list of ContainsPredicate class members, see the ContainsPredicate Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.ContainsPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from StringPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.ContainsPredicate.ToString

See Also

ContainsPredicate Class | Neo.Core.Qualifiers Namespace


ContainsPredicate.IsTrueForValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.ContainsPredicate.IsTrueForValue(System.Object,System.Object)

public bool IsTrueForValue(
object aValue,
object nullVal
);

Implements

IPredicate.IsTrueForValue

See Also

ContainsPredicate Class | Neo.Core.Qualifiers Namespace


ContainsPredicate.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.ContainsPredicate.ToString

public override string ToString();

See Also

ContainsPredicate Class | Neo.Core.Qualifiers Namespace


EndsWithPredicate Class

Predicate that returns true if the string ends with the string stored in the predicate.

For a list of all members of this type, see EndsWithPredicate Members.

System.Object
StringPredicateBase
EndsWithPredicate

public class EndsWithPredicate : StringPredicateBase, IPredicate

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

EndsWithPredicate Members | Neo.Core.Qualifiers Namespace


EndsWithPredicate Members

EndsWithPredicate overview

Public Instance Constructors

EndsWithPredicate Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.EndsWithPredicate.#ctor(System.String)

Public Instance Properties

Value (inherited from StringPredicateBase) Missing <summary> documentation for P:Neo.Core.Qualifiers.StringPredicateBase.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.EndsWithPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from StringPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.EndsWithPredicate.ToString

See Also

EndsWithPredicate Class | Neo.Core.Qualifiers Namespace


EndsWithPredicate Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.EndsWithPredicate.#ctor(System.String)

public EndsWithPredicate(
string aValue
);

See Also

EndsWithPredicate Class | Neo.Core.Qualifiers Namespace


EndsWithPredicate Methods

The methods of the EndsWithPredicate class are listed below. For a complete list of EndsWithPredicate class members, see the EndsWithPredicate Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.EndsWithPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from StringPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.EndsWithPredicate.ToString

See Also

EndsWithPredicate Class | Neo.Core.Qualifiers Namespace


EndsWithPredicate.IsTrueForValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.EndsWithPredicate.IsTrueForValue(System.Object,System.Object)

public bool IsTrueForValue(
object aValue,
object nullVal
);

Implements

IPredicate.IsTrueForValue

See Also

EndsWithPredicate Class | Neo.Core.Qualifiers Namespace


EndsWithPredicate.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.EndsWithPredicate.ToString

public override string ToString();

See Also

EndsWithPredicate Class | Neo.Core.Qualifiers Namespace


EqualsPredicate Class

Predicate that returns true if the value is equal to the value stored in the predicate.

For a list of all members of this type, see EqualsPredicate Members.

System.Object
EqualsPredicate

public class EqualsPredicate : IPredicate

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

EqualsPredicate Members | Neo.Core.Qualifiers Namespace


EqualsPredicate Members

EqualsPredicate overview

Public Instance Constructors

EqualsPredicate Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.#ctor(System.Object)

Public Instance Properties

Value Missing <summary> documentation for P:Neo.Core.Qualifiers.EqualsPredicate.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.ToString

See Also

EqualsPredicate Class | Neo.Core.Qualifiers Namespace


EqualsPredicate Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.#ctor(System.Object)

public EqualsPredicate(
object aValue
);

See Also

EqualsPredicate Class | Neo.Core.Qualifiers Namespace


EqualsPredicate Properties

The properties of the EqualsPredicate class are listed below. For a complete list of EqualsPredicate class members, see the EqualsPredicate Members topic.

Public Instance Properties

Value Missing <summary> documentation for P:Neo.Core.Qualifiers.EqualsPredicate.Value

See Also

EqualsPredicate Class | Neo.Core.Qualifiers Namespace


EqualsPredicate.Value Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.EqualsPredicate.Value

public object Value {get;}

Implements

IPredicate.Value

See Also

EqualsPredicate Class | Neo.Core.Qualifiers Namespace


EqualsPredicate Methods

The methods of the EqualsPredicate class are listed below. For a complete list of EqualsPredicate class members, see the EqualsPredicate Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.ToString

See Also

EqualsPredicate Class | Neo.Core.Qualifiers Namespace


EqualsPredicate.IsTrueForValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.IsTrueForValue(System.Object,System.Object)

public virtual bool IsTrueForValue(
object aValue,
object nullVal
);

Implements

IPredicate.IsTrueForValue

See Also

EqualsPredicate Class | Neo.Core.Qualifiers Namespace


EqualsPredicate.SetPredicateValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.SetPredicateValue(System.Object)

public void SetPredicateValue(
object aValue
);

See Also

EqualsPredicate Class | Neo.Core.Qualifiers Namespace


EqualsPredicate.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.ToString

public override string ToString();

See Also

EqualsPredicate Class | Neo.Core.Qualifiers Namespace


GreaterOrEqualPredicate Class

Predicate that returns true if the value is greater or equal to the value stored in the predicate.

For a list of all members of this type, see GreaterOrEqualPredicate Members.

System.Object
RelationalPredicateBase
GreaterOrEqualPredicate

public class GreaterOrEqualPredicate : RelationalPredicateBase

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

GreaterOrEqualPredicate Members | Neo.Core.Qualifiers Namespace


GreaterOrEqualPredicate Members

GreaterOrEqualPredicate overview

Public Instance Constructors

GreaterOrEqualPredicate Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.GreaterOrEqualPredicate.#ctor(System.IComparable)

Public Instance Properties

Value (inherited from RelationalPredicateBase) Missing <summary> documentation for P:Neo.Core.Qualifiers.RelationalPredicateBase.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.SetPredicateValue(System.Object)
ToString (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.ToString

See Also

GreaterOrEqualPredicate Class | Neo.Core.Qualifiers Namespace


GreaterOrEqualPredicate Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.GreaterOrEqualPredicate.#ctor(System.IComparable)

public GreaterOrEqualPredicate(
IComparable aValue
);

See Also

GreaterOrEqualPredicate Class | Neo.Core.Qualifiers Namespace


GreaterThanPredicate Class

Predicate that returns true if the value is greater than the value stored in the predicate.

For a list of all members of this type, see GreaterThanPredicate Members.

System.Object
RelationalPredicateBase
GreaterThanPredicate

public class GreaterThanPredicate : RelationalPredicateBase

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

GreaterThanPredicate Members | Neo.Core.Qualifiers Namespace


GreaterThanPredicate Members

GreaterThanPredicate overview

Public Instance Constructors

GreaterThanPredicate Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.GreaterThanPredicate.#ctor(System.IComparable)

Public Instance Properties

Value (inherited from RelationalPredicateBase) Missing <summary> documentation for P:Neo.Core.Qualifiers.RelationalPredicateBase.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.SetPredicateValue(System.Object)
ToString (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.ToString

See Also

GreaterThanPredicate Class | Neo.Core.Qualifiers Namespace


GreaterThanPredicate Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.GreaterThanPredicate.#ctor(System.IComparable)

public GreaterThanPredicate(
IComparable aValue
);

See Also

GreaterThanPredicate Class | Neo.Core.Qualifiers Namespace


IPredicate Interface

Describes a predicate that can be applied to a value.

For a list of all members of this type, see IPredicate Members.

public interface IPredicate

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

IPredicate Members | Neo.Core.Qualifiers Namespace


IPredicate Members

IPredicate overview

Public Instance Properties

Value Missing <summary> documentation for P:Neo.Core.Qualifiers.IPredicate.Value

Public Instance Methods

IsTrueForValue Missing <summary> documentation for M:Neo.Core.Qualifiers.IPredicate.IsTrueForValue(System.Object,System.Object)

See Also

IPredicate Interface | Neo.Core.Qualifiers Namespace


IPredicate Properties

The properties of the IPredicate interface are listed below. For a complete list of IPredicate interface members, see the IPredicate Members topic.

Public Instance Properties

Value Missing <summary> documentation for P:Neo.Core.Qualifiers.IPredicate.Value

See Also

IPredicate Interface | Neo.Core.Qualifiers Namespace


IPredicate.Value Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.IPredicate.Value

object Value {get;}

See Also

IPredicate Interface | Neo.Core.Qualifiers Namespace


IPredicate Methods

The methods of the IPredicate interface are listed below. For a complete list of IPredicate interface members, see the IPredicate Members topic.

Public Instance Methods

IsTrueForValue Missing <summary> documentation for M:Neo.Core.Qualifiers.IPredicate.IsTrueForValue(System.Object,System.Object)

See Also

IPredicate Interface | Neo.Core.Qualifiers Namespace


IPredicate.IsTrueForValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.IPredicate.IsTrueForValue(System.Object,System.Object)

bool IsTrueForValue(
object aValue,
object nullVal
);

See Also

IPredicate Interface | Neo.Core.Qualifiers Namespace


IQualifierVisitor Interface

Callback interface for objects that can visit a Qualifier objects.

For a list of all members of this type, see IQualifierVisitor Members.

public interface IQualifierVisitor

Remarks

The value returned from the individual methods is returned from the AcceptQualifier method.

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

IQualifierVisitor Members | Neo.Core.Qualifiers Namespace


IQualifierVisitor Members

IQualifierVisitor overview

Public Instance Methods

VisitAndQualifier | Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitAndQualifier(Neo.Core.Qualifiers.AndQualifier)
VisitColumnQualifier | Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitColumnQualifier(Neo.Core.Qualifiers.ColumnQualifier)
VisitOrQualifier | Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitOrQualifier(Neo.Core.Qualifiers.OrQualifier)
VisitPathQualifier | Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitPathQualifier(Neo.Core.Qualifiers.PathQualifier)
VisitPropertyQualifier | Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitPropertyQualifier(Neo.Core.Qualifiers.PropertyQualifier)

See Also

IQualifierVisitor Interface | Neo.Core.Qualifiers Namespace


IQualifierVisitor Methods

The methods of the IQualifierVisitor interface are listed below. For a complete list of IQualifierVisitor interface members, see the IQualifierVisitor Members topic.

Public Instance Methods

VisitAndQualifier | Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitAndQualifier(Neo.Core.Qualifiers.AndQualifier)
VisitColumnQualifier | Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitColumnQualifier(Neo.Core.Qualifiers.ColumnQualifier)
VisitOrQualifier | Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitOrQualifier(Neo.Core.Qualifiers.OrQualifier)
VisitPathQualifier | Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitPathQualifier(Neo.Core.Qualifiers.PathQualifier)
VisitPropertyQualifier | Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitPropertyQualifier(Neo.Core.Qualifiers.PropertyQualifier)

See Also

IQualifierVisitor Interface | Neo.Core.Qualifiers Namespace


IQualifierVisitor.VisitAndQualifier Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitAndQualifier(Neo.Core.Qualifiers.AndQualifier)

object VisitAndQualifier(
AndQualifier q
);

See Also

IQualifierVisitor Interface | Neo.Core.Qualifiers Namespace


IQualifierVisitor.VisitColumnQualifier Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitColumnQualifier(Neo.Core.Qualifiers.ColumnQualifier)

object VisitColumnQualifier(
ColumnQualifier q
);

See Also

IQualifierVisitor Interface | Neo.Core.Qualifiers Namespace


IQualifierVisitor.VisitOrQualifier Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitOrQualifier(Neo.Core.Qualifiers.OrQualifier)

object VisitOrQualifier(
OrQualifier q
);

See Also

IQualifierVisitor Interface | Neo.Core.Qualifiers Namespace


IQualifierVisitor.VisitPathQualifier Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitPathQualifier(Neo.Core.Qualifiers.PathQualifier)

object VisitPathQualifier(
PathQualifier q
);

See Also

IQualifierVisitor Interface | Neo.Core.Qualifiers Namespace


IQualifierVisitor.VisitPropertyQualifier Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.IQualifierVisitor.VisitPropertyQualifier(Neo.Core.Qualifiers.PropertyQualifier)

object VisitPropertyQualifier(
PropertyQualifier q
);

See Also

IQualifierVisitor Interface | Neo.Core.Qualifiers Namespace


LessOrEqualPredicate Class

Predicate that returns true if the value is less or equal to the value stored in the predicate.

For a list of all members of this type, see LessOrEqualPredicate Members.

System.Object
RelationalPredicateBase
LessOrEqualPredicate

public class LessOrEqualPredicate : RelationalPredicateBase

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

LessOrEqualPredicate Members | Neo.Core.Qualifiers Namespace


LessOrEqualPredicate Members

LessOrEqualPredicate overview

Public Instance Constructors

LessOrEqualPredicate Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.LessOrEqualPredicate.#ctor(System.IComparable)

Public Instance Properties

Value (inherited from RelationalPredicateBase) Missing <summary> documentation for P:Neo.Core.Qualifiers.RelationalPredicateBase.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.SetPredicateValue(System.Object)
ToString (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.ToString

See Also

LessOrEqualPredicate Class | Neo.Core.Qualifiers Namespace


LessOrEqualPredicate Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.LessOrEqualPredicate.#ctor(System.IComparable)

public LessOrEqualPredicate(
IComparable aValue
);

See Also

LessOrEqualPredicate Class | Neo.Core.Qualifiers Namespace


LessThanPredicate Class

Predicate that returns true if the value is less than the value stored in the predicate.

For a list of all members of this type, see LessThanPredicate Members.

System.Object
RelationalPredicateBase
LessThanPredicate

public class LessThanPredicate : RelationalPredicateBase

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

LessThanPredicate Members | Neo.Core.Qualifiers Namespace


LessThanPredicate Members

LessThanPredicate overview

Public Instance Constructors

LessThanPredicate Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.LessThanPredicate.#ctor(System.IComparable)

Public Instance Properties

Value (inherited from RelationalPredicateBase) Missing <summary> documentation for P:Neo.Core.Qualifiers.RelationalPredicateBase.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.SetPredicateValue(System.Object)
ToString (inherited from RelationalPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.ToString

See Also

LessThanPredicate Class | Neo.Core.Qualifiers Namespace


LessThanPredicate Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.LessThanPredicate.#ctor(System.IComparable)

public LessThanPredicate(
IComparable aValue
);

See Also

LessThanPredicate Class | Neo.Core.Qualifiers Namespace


LikePredicate Class

Predicate that returns true if the string matches the pattern.

For a list of all members of this type, see LikePredicate Members.

System.Object
StringPredicateBase
LikePredicate

public class LikePredicate : StringPredicateBase, IPredicate

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

LikePredicate Members | Neo.Core.Qualifiers Namespace


LikePredicate Members

LikePredicate overview

Public Instance Constructors

LikePredicate Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.LikePredicate.#ctor(System.String)

Public Instance Properties

Value (inherited from StringPredicateBase) Missing <summary> documentation for P:Neo.Core.Qualifiers.StringPredicateBase.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.LikePredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from StringPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.LikePredicate.ToString

See Also

LikePredicate Class | Neo.Core.Qualifiers Namespace


LikePredicate Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.LikePredicate.#ctor(System.String)

public LikePredicate(
string aValue
);

See Also

LikePredicate Class | Neo.Core.Qualifiers Namespace


LikePredicate Methods

The methods of the LikePredicate class are listed below. For a complete list of LikePredicate class members, see the LikePredicate Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.LikePredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from StringPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.LikePredicate.ToString

See Also

LikePredicate Class | Neo.Core.Qualifiers Namespace


LikePredicate.IsTrueForValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.LikePredicate.IsTrueForValue(System.Object,System.Object)

public bool IsTrueForValue(
object aValue,
object nullVal
);

Implements

IPredicate.IsTrueForValue

See Also

LikePredicate Class | Neo.Core.Qualifiers Namespace


LikePredicate.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.LikePredicate.ToString

public override string ToString();

See Also

LikePredicate Class | Neo.Core.Qualifiers Namespace


NotEqualPredicate Class

Predicate that returns true if the value is not equal to the value stored in the predicate.

For a list of all members of this type, see NotEqualPredicate Members.

System.Object
EqualsPredicate
NotEqualPredicate

public class NotEqualPredicate : EqualsPredicate

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

NotEqualPredicate Members | Neo.Core.Qualifiers Namespace


NotEqualPredicate Members

NotEqualPredicate overview

Public Instance Constructors

NotEqualPredicate Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.NotEqualPredicate.#ctor(System.Object)

Public Instance Properties

Value (inherited from EqualsPredicate) Missing <summary> documentation for P:Neo.Core.Qualifiers.EqualsPredicate.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.NotEqualPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from EqualsPredicate) | Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.NotEqualPredicate.ToString

See Also

NotEqualPredicate Class | Neo.Core.Qualifiers Namespace


NotEqualPredicate Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.NotEqualPredicate.#ctor(System.Object)

public NotEqualPredicate(
object aValue
);

See Also

NotEqualPredicate Class | Neo.Core.Qualifiers Namespace


NotEqualPredicate Methods

The methods of the NotEqualPredicate class are listed below. For a complete list of NotEqualPredicate class members, see the NotEqualPredicate Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.NotEqualPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from EqualsPredicate) | Missing <summary> documentation for M:Neo.Core.Qualifiers.EqualsPredicate.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.NotEqualPredicate.ToString

See Also

NotEqualPredicate Class | Neo.Core.Qualifiers Namespace


NotEqualPredicate.IsTrueForValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.NotEqualPredicate.IsTrueForValue(System.Object,System.Object)

public override bool IsTrueForValue(
object aValue,
object nullVal
);

Implements

IPredicate.IsTrueForValue

See Also

NotEqualPredicate Class | Neo.Core.Qualifiers Namespace


NotEqualPredicate.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.NotEqualPredicate.ToString

public override string ToString();

See Also

NotEqualPredicate Class | Neo.Core.Qualifiers Namespace


OrQualifier Class

A qualifier that combines a number of qualifiers, evaluating to true if any of the qualifiers evaluate to true.

For a list of all members of this type, see OrQualifier Members.

System.Object
Qualifier
ClauseQualifier
OrQualifier

public sealed class OrQualifier : ClauseQualifier, IObjectQualifier

Remarks

Uses short-circuit evaluation, i.e. stops evaluating its qualifiers when the first one returns true.

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

OrQualifier Members | Neo.Core.Qualifiers Namespace


OrQualifier Members

OrQualifier overview

Public Instance Constructors

OrQualifier Overloaded. Initializes a new instance of the OrQualifier class.

Public Instance Properties

Qualifiers (inherited from ClauseQualifier) Missing <summary> documentation for P:Neo.Core.Qualifiers.ClauseQualifier.Qualifiers

Public Instance Methods

AcceptVisitor | Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)
AddToQualifiers (inherited from ClauseQualifier) | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.AddToQualifiers(Neo.Core.Qualifier)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.EvaluateWithObject(System.Object)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from ClauseQualifier) | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.ToString

See Also

OrQualifier Class | Neo.Core.Qualifiers Namespace


OrQualifier Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.#ctor(Neo.Core.Qualifier[])

Overload List

Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.#ctor(Neo.Core.Qualifier[])

public OrQualifier(params Qualifier[]);

Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.#ctor(System.Collections.ArrayList)

public OrQualifier(ArrayList);

See Also

OrQualifier Class | Neo.Core.Qualifiers Namespace


OrQualifier Constructor (Qualifier[])

Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.#ctor(Neo.Core.Qualifier[])

public OrQualifier(
params Qualifier[] someQualifiers
);

See Also

OrQualifier Class | Neo.Core.Qualifiers Namespace | OrQualifier Constructor Overload List


OrQualifier Constructor (ArrayList)

Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.#ctor(System.Collections.ArrayList)

public OrQualifier(
ArrayList someQualifiers
);

See Also

OrQualifier Class | Neo.Core.Qualifiers Namespace | OrQualifier Constructor Overload List


OrQualifier Methods

The methods of the OrQualifier class are listed below. For a complete list of OrQualifier class members, see the OrQualifier Members topic.

Public Instance Methods

AcceptVisitor | Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)
AddToQualifiers (inherited from ClauseQualifier) | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.AddToQualifiers(Neo.Core.Qualifier)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.EvaluateWithObject(System.Object)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from ClauseQualifier) | Missing <summary> documentation for M:Neo.Core.Qualifiers.ClauseQualifier.ToString

See Also

OrQualifier Class | Neo.Core.Qualifiers Namespace


OrQualifier.AcceptVisitor Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)

public override object AcceptVisitor(
IQualifierVisitor v
);

See Also

OrQualifier Class | Neo.Core.Qualifiers Namespace


EvaluateWithObject Method

The .NET Entity Objects framework

OrQualifier.EvaluateWithObject Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

Overload List

Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

public override bool EvaluateWithObject(IEntityObject);

Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.EvaluateWithObject(System.Object)

public bool EvaluateWithObject(object);

See Also

OrQualifier Class | Neo.Core.Qualifiers Namespace


OrQualifier.EvaluateWithObject Method (IEntityObject)

Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

public override bool EvaluateWithObject(
IEntityObject anObject
);

See Also

OrQualifier Class | Neo.Core.Qualifiers Namespace | OrQualifier.EvaluateWithObject Overload List


OrQualifier.EvaluateWithObject Method (Object)

Missing <summary> documentation for M:Neo.Core.Qualifiers.OrQualifier.EvaluateWithObject(System.Object)

public bool EvaluateWithObject(
object anObject
);

Implements

IObjectQualifier.EvaluateWithObject

See Also

OrQualifier Class | Neo.Core.Qualifiers Namespace | OrQualifier.EvaluateWithObject Overload List


PathQualifier Class

A qualifier that describes a path of relations to follow before evaluating another qualifier.

For a list of all members of this type, see PathQualifier Members.

System.Object
Qualifier
PathQualifier

public sealed class PathQualifier : Qualifier, IObjectQualifier

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

PathQualifier Members | Neo.Core.Qualifiers Namespace


PathQualifier Members

PathQualifier overview

Public Instance Constructors

PathQualifier Overloaded. Initializes a new instance of the PathQualifier class.

Public Instance Properties

Path | Missing <summary> documentation for P:Neo.Core.Qualifiers.PathQualifier.Path
PathElements | Missing <summary> documentation for P:Neo.Core.Qualifiers.PathQualifier.PathElements
Qualifier | Missing <summary> documentation for P:Neo.Core.Qualifiers.PathQualifier.Qualifier

Public Instance Methods

AcceptVisitor | Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.EvaluateWithObject(System.Object)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.ToString

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace


PathQualifier Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.#ctor(System.String[],Neo.Core.Qualifier)

Overload List

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.#ctor(System.String,Neo.Core.Qualifier)

public PathQualifier(string,Qualifier);

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.#ctor(System.String[],Neo.Core.Qualifier)

public PathQualifier(string[],Qualifier);

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace


PathQualifier Constructor (String[], Qualifier)

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.#ctor(System.String[],Neo.Core.Qualifier)

public PathQualifier(
string[] somePathElement,
Qualifier aQualifier
);

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace | PathQualifier Constructor Overload List


PathQualifier Constructor (String, Qualifier)

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.#ctor(System.String,Neo.Core.Qualifier)

public PathQualifier(
string aPath,
Qualifier aQualifier
);

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace | PathQualifier Constructor Overload List


PathQualifier Properties

The properties of the PathQualifier class are listed below. For a complete list of PathQualifier class members, see the PathQualifier Members topic.

Public Instance Properties

Path | Missing <summary> documentation for P:Neo.Core.Qualifiers.PathQualifier.Path
PathElements | Missing <summary> documentation for P:Neo.Core.Qualifiers.PathQualifier.PathElements
Qualifier | Missing <summary> documentation for P:Neo.Core.Qualifiers.PathQualifier.Qualifier

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace


PathQualifier.Path Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.PathQualifier.Path

public string Path {get;}

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace


PathQualifier.PathElements Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.PathQualifier.PathElements

public string[] PathElements {get;}

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace


PathQualifier.Qualifier Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.PathQualifier.Qualifier

public Neo.Core.Qualifier Qualifier {get;}

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace | PathQualifier.Qualifier Overload List


PathQualifier Methods

The methods of the PathQualifier class are listed below. For a complete list of PathQualifier class members, see the PathQualifier Members topic.

Public Instance Methods

AcceptVisitor | Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.EvaluateWithObject(System.Object)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.ToString

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace


PathQualifier.AcceptVisitor Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)

public override object AcceptVisitor(
IQualifierVisitor v
);

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace


EvaluateWithObject Method

The .NET Entity Objects framework

PathQualifier.EvaluateWithObject Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

Overload List

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

public override bool EvaluateWithObject(IEntityObject);

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.EvaluateWithObject(System.Object)

public bool EvaluateWithObject(object);

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace


PathQualifier.EvaluateWithObject Method (IEntityObject)

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

public override bool EvaluateWithObject(
IEntityObject anObject
);

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace | PathQualifier.EvaluateWithObject Overload List


PathQualifier.EvaluateWithObject Method (Object)

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.EvaluateWithObject(System.Object)

public bool EvaluateWithObject(
object anObject
);

Implements

IObjectQualifier.EvaluateWithObject

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace | PathQualifier.EvaluateWithObject Overload List


PathQualifier.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.PathQualifier.ToString

public override string ToString();

See Also

PathQualifier Class | Neo.Core.Qualifiers Namespace


PropertyQualifier Class

A qualifier that compares a value to the value of a property of an EntityObject.

For a list of all members of this type, see PropertyQualifier Members.

System.Object
Qualifier
PropertyQualifier

public sealed class PropertyQualifier : Qualifier, IObjectQualifier

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

PropertyQualifier Members | Neo.Core.Qualifiers Namespace


PropertyQualifier Members

PropertyQualifier overview

Public Instance Constructors

PropertyQualifier Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.#ctor(System.String,Neo.Core.Qualifiers.IPredicate)

Public Instance Properties

Predicate | Missing <summary> documentation for P:Neo.Core.Qualifiers.PropertyQualifier.Predicate
Property | Missing <summary> documentation for P:Neo.Core.Qualifiers.PropertyQualifier.Property

Public Instance Methods

AcceptVisitor | Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.EvaluateWithObject(System.Object)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.ToString

See Also

PropertyQualifier Class | Neo.Core.Qualifiers Namespace


PropertyQualifier Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.#ctor(System.String,Neo.Core.Qualifiers.IPredicate)

public PropertyQualifier(
string propName,
IPredicate aPredicate
);

See Also

PropertyQualifier Class | Neo.Core.Qualifiers Namespace


PropertyQualifier Properties

The properties of the PropertyQualifier class are listed below. For a complete list of PropertyQualifier class members, see the PropertyQualifier Members topic.

Public Instance Properties

Predicate | Missing <summary> documentation for P:Neo.Core.Qualifiers.PropertyQualifier.Predicate
Property | Missing <summary> documentation for P:Neo.Core.Qualifiers.PropertyQualifier.Property

See Also

PropertyQualifier Class | Neo.Core.Qualifiers Namespace


PropertyQualifier.Predicate Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.PropertyQualifier.Predicate

public IPredicate Predicate {get;}

See Also

PropertyQualifier Class | Neo.Core.Qualifiers Namespace


PropertyQualifier.Property Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.PropertyQualifier.Property

public string Property {get;}

See Also

PropertyQualifier Class | Neo.Core.Qualifiers Namespace


PropertyQualifier Methods

The methods of the PropertyQualifier class are listed below. For a complete list of PropertyQualifier class members, see the PropertyQualifier Members topic.

Public Instance Methods

AcceptVisitor | Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
EvaluateWithObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.EvaluateWithObject(System.Object)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.ToString

See Also

PropertyQualifier Class | Neo.Core.Qualifiers Namespace


PropertyQualifier.AcceptVisitor Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.AcceptVisitor(Neo.Core.Qualifiers.IQualifierVisitor)

public override object AcceptVisitor(
IQualifierVisitor v
);

See Also

PropertyQualifier Class | Neo.Core.Qualifiers Namespace


EvaluateWithObject Method

The .NET Entity Objects framework

PropertyQualifier.EvaluateWithObject Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

Overload List

Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

public override bool EvaluateWithObject(IEntityObject);

Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.EvaluateWithObject(System.Object)

public bool EvaluateWithObject(object);

See Also

PropertyQualifier Class | Neo.Core.Qualifiers Namespace


PropertyQualifier.EvaluateWithObject Method (IEntityObject)

Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.EvaluateWithObject(Neo.Core.IEntityObject)

public override bool EvaluateWithObject(
IEntityObject anObject
);

See Also

PropertyQualifier Class | Neo.Core.Qualifiers Namespace | PropertyQualifier.EvaluateWithObject Overload List


PropertyQualifier.EvaluateWithObject Method (Object)

Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.EvaluateWithObject(System.Object)

public bool EvaluateWithObject(
object anObject
);

Implements

IObjectQualifier.EvaluateWithObject

See Also

PropertyQualifier Class | Neo.Core.Qualifiers Namespace | PropertyQualifier.EvaluateWithObject Overload List


PropertyQualifier.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.PropertyQualifier.ToString

public override string ToString();

See Also

PropertyQualifier Class | Neo.Core.Qualifiers Namespace


RelationalPredicateBase Class

Abstract base class for predicates that compare values, i.e. determine the ordering of two values.

For a list of all members of this type, see RelationalPredicateBase Members.

System.Object
RelationalPredicateBase

public abstract class RelationalPredicateBase : IPredicate

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

RelationalPredicateBase Members | Neo.Core.Qualifiers Namespace


RelationalPredicateBase Members

RelationalPredicateBase overview

Public Instance Constructors

RelationalPredicateBase Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.#ctor(System.IComparable)

Public Instance Properties

Value Missing <summary> documentation for P:Neo.Core.Qualifiers.RelationalPredicateBase.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.IsTrueForValue(System.Object,System.Object)
SetPredicateValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.ToString

See Also

RelationalPredicateBase Class | Neo.Core.Qualifiers Namespace


RelationalPredicateBase Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.#ctor(System.IComparable)

public RelationalPredicateBase(
IComparable aValue
);

See Also

RelationalPredicateBase Class | Neo.Core.Qualifiers Namespace


RelationalPredicateBase Properties

The properties of the RelationalPredicateBase class are listed below. For a complete list of RelationalPredicateBase class members, see the RelationalPredicateBase Members topic.

Public Instance Properties

Value Missing <summary> documentation for P:Neo.Core.Qualifiers.RelationalPredicateBase.Value

See Also

RelationalPredicateBase Class | Neo.Core.Qualifiers Namespace


RelationalPredicateBase.Value Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.RelationalPredicateBase.Value

public object Value {get;}

Implements

IPredicate.Value

See Also

RelationalPredicateBase Class | Neo.Core.Qualifiers Namespace


RelationalPredicateBase Methods

The methods of the RelationalPredicateBase class are listed below. For a complete list of RelationalPredicateBase class members, see the RelationalPredicateBase Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.IsTrueForValue(System.Object,System.Object)
SetPredicateValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.ToString

See Also

RelationalPredicateBase Class | Neo.Core.Qualifiers Namespace


RelationalPredicateBase.IsTrueForValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.IsTrueForValue(System.Object,System.Object)

public bool IsTrueForValue(
object aValue,
object nullVal
);

Implements

IPredicate.IsTrueForValue

See Also

RelationalPredicateBase Class | Neo.Core.Qualifiers Namespace


RelationalPredicateBase.SetPredicateValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.SetPredicateValue(System.Object)

public void SetPredicateValue(
object aValue
);

See Also

RelationalPredicateBase Class | Neo.Core.Qualifiers Namespace


RelationalPredicateBase.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.RelationalPredicateBase.ToString

public override string ToString();

See Also

RelationalPredicateBase Class | Neo.Core.Qualifiers Namespace


StartsWithPredicate Class

Predicate that returns true if the string begins with the string stored in the predicate.

For a list of all members of this type, see StartsWithPredicate Members.

System.Object
StringPredicateBase
StartsWithPredicate

public class StartsWithPredicate : StringPredicateBase, IPredicate

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

StartsWithPredicate Members | Neo.Core.Qualifiers Namespace


StartsWithPredicate Members

StartsWithPredicate overview

Public Instance Constructors

StartsWithPredicate Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.StartsWithPredicate.#ctor(System.String)

Public Instance Properties

Value (inherited from StringPredicateBase) Missing <summary> documentation for P:Neo.Core.Qualifiers.StringPredicateBase.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.StartsWithPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from StringPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.StartsWithPredicate.ToString

See Also

StartsWithPredicate Class | Neo.Core.Qualifiers Namespace


StartsWithPredicate Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.StartsWithPredicate.#ctor(System.String)

public StartsWithPredicate(
string aValue
);

See Also

StartsWithPredicate Class | Neo.Core.Qualifiers Namespace


StartsWithPredicate Methods

The methods of the StartsWithPredicate class are listed below. For a complete list of StartsWithPredicate class members, see the StartsWithPredicate Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
IsTrueForValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.StartsWithPredicate.IsTrueForValue(System.Object,System.Object)
SetPredicateValue (inherited from StringPredicateBase) | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString | Missing <summary> documentation for M:Neo.Core.Qualifiers.StartsWithPredicate.ToString

See Also

StartsWithPredicate Class | Neo.Core.Qualifiers Namespace


StartsWithPredicate.IsTrueForValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.StartsWithPredicate.IsTrueForValue(System.Object,System.Object)

public bool IsTrueForValue(
object aValue,
object nullVal
);

Implements

IPredicate.IsTrueForValue

See Also

StartsWithPredicate Class | Neo.Core.Qualifiers Namespace


StartsWithPredicate.ToString Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.StartsWithPredicate.ToString

public override string ToString();

See Also

StartsWithPredicate Class | Neo.Core.Qualifiers Namespace


StringPredicateBase Class

Abstract base class for predicates that work with string values.

For a list of all members of this type, see StringPredicateBase Members.

System.Object
StringPredicateBase

public abstract class StringPredicateBase

Requirements

Namespace: Neo.Core.Qualifiers

Assembly: Neo (in Neo.dll)

See Also

StringPredicateBase Members | Neo.Core.Qualifiers Namespace


StringPredicateBase Members

StringPredicateBase overview

Public Instance Constructors

StringPredicateBase Constructor Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.#ctor(System.String)

Public Instance Properties

Value Missing <summary> documentation for P:Neo.Core.Qualifiers.StringPredicateBase.Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
SetPredicateValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

StringPredicateBase Class | Neo.Core.Qualifiers Namespace


StringPredicateBase Constructor

Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.#ctor(System.String)

public StringPredicateBase(
string aValue
);

See Also

StringPredicateBase Class | Neo.Core.Qualifiers Namespace


StringPredicateBase Properties

The properties of the StringPredicateBase class are listed below. For a complete list of StringPredicateBase class members, see the StringPredicateBase Members topic.

Public Instance Properties

Value Missing <summary> documentation for P:Neo.Core.Qualifiers.StringPredicateBase.Value

See Also

StringPredicateBase Class | Neo.Core.Qualifiers Namespace


StringPredicateBase.Value Property

Missing <summary> documentation for P:Neo.Core.Qualifiers.StringPredicateBase.Value

public object Value {get;}

See Also

StringPredicateBase Class | Neo.Core.Qualifiers Namespace


StringPredicateBase Methods

The methods of the StringPredicateBase class are listed below. For a complete list of StringPredicateBase class members, see the StringPredicateBase Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
SetPredicateValue | Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

StringPredicateBase Class | Neo.Core.Qualifiers Namespace


StringPredicateBase.SetPredicateValue Method

Missing <summary> documentation for M:Neo.Core.Qualifiers.StringPredicateBase.SetPredicateValue(System.Object)

public void SetPredicateValue(
object aValue
);

See Also

StringPredicateBase Class | Neo.Core.Qualifiers Namespace


Neo.Core.Transactions

The .NET Entity Objects framework

Neo.Core.Transactions Namespace

Missing <summary> Documentation for Neo.Core.Transactions

Classes

Class | Description
DisabledTransactionEnvironment | Missing <summary> documentation for T:Neo.Core.Transactions.DisabledTransactionEnvironment
NewTransactionRequiredEnvironment | Missing <summary> documentation for T:Neo.Core.Transactions.NewTransactionRequiredEnvironment
NotSupportedTransactionEnvironment | Missing <summary> documentation for T:Neo.Core.Transactions.NotSupportedTransactionEnvironment
RequiresTransactionAttribute | Missing <summary> documentation for T:Neo.Core.Transactions.RequiresTransactionAttribute
SupportsTransactionEnvironment | Missing <summary> documentation for T:Neo.Core.Transactions.SupportsTransactionEnvironment
TransactionAwareAttribute | Missing <summary> documentation for T:Neo.Core.Transactions.TransactionAwareAttribute
TransactionEnvironment | Missing <summary> documentation for T:Neo.Core.Transactions.TransactionEnvironment
TransactionRequiredEnvironment | Missing <summary> documentation for T:Neo.Core.Transactions.TransactionRequiredEnvironment
TransactionSink | Provides the implementation for a transaction sink that uses the Remoting infrastructure.


DisabledTransactionEnvironment Class

Missing <summary> documentation for T:Neo.Core.Transactions.DisabledTransactionEnvironment

For a list of all members of this type, see DisabledTransactionEnvironment Members.

System.Object
MarshalByRefObject
ContextBoundObject
ServicedComponent
TransactionEnvironment
DisabledTransactionEnvironment

public class DisabledTransactionEnvironment : TransactionEnvironment

Requirements

Namespace: Neo.Core.Transactions

Assembly: Neo (in Neo.dll)

See Also

DisabledTransactionEnvironment Members | Neo.Core.Transactions Namespace


DisabledTransactionEnvironment Members

DisabledTransactionEnvironment overview

Public Instance Constructors

DisabledTransactionEnvironment Constructor Initializes a new instance of the DisabledTransactionEnvironment class.

Public Instance Methods

CreateObjRef (inherited from MarshalByRefObject) | Creates an object that contains all the relevant information required to generate a proxy used to communicate with a remote object.
Dispose (inherited from ServicedComponent) | Releases all resources used by the ServicedComponent .
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetLifetimeService (inherited from MarshalByRefObject) | Retrieves the current lifetime service object that controls the lifetime policy for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeLifetimeService (inherited from MarshalByRefObject) | Obtains a lifetime service object to control the lifetime policy for this instance.
InvokeMethod (inherited from TransactionEnvironment) | Invokes a method in the target environment.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

IRemoteDispatch.RemoteDispatchAutoDone (inherited from ServicedComponent)
IRemoteDispatch.RemoteDispatchNotAutoDone (inherited from ServicedComponent)
IServicedComponentInfo.GetComponentInfo (inherited from ServicedComponent)

See Also

DisabledTransactionEnvironment Class | Neo.Core.Transactions Namespace


DisabledTransactionEnvironment Constructor

Initializes a new instance of the DisabledTransactionEnvironment class.

public DisabledTransactionEnvironment();

See Also

DisabledTransactionEnvironment Class | Neo.Core.Transactions Namespace


NewTransactionRequiredEnvironment Class

Missing <summary> documentation for T:Neo.Core.Transactions.NewTransactionRequiredEnvironment

For a list of all members of this type, see NewTransactionRequiredEnvironment Members.

System.Object
MarshalByRefObject
ContextBoundObject
ServicedComponent
TransactionEnvironment
NewTransactionRequiredEnvironment

public class NewTransactionRequiredEnvironment : TransactionEnvironment

Requirements

Namespace: Neo.Core.Transactions

Assembly: Neo (in Neo.dll)

See Also

NewTransactionRequiredEnvironment Members | Neo.Core.Transactions Namespace


NewTransactionRequiredEnvironment Members

NewTransactionRequiredEnvironment overview

Public Instance Constructors

NewTransactionRequiredEnvironment Constructor Initializes a new instance of the NewTransactionRequiredEnvironment class.

Public Instance Methods

CreateObjRef (inherited from MarshalByRefObject) | Creates an object that contains all the relevant information required to generate a proxy used to communicate with a remote object.
Dispose (inherited from ServicedComponent) | Releases all resources used by the ServicedComponent .
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetLifetimeService (inherited from MarshalByRefObject) | Retrieves the current lifetime service object that controls the lifetime policy for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeLifetimeService (inherited from MarshalByRefObject) | Obtains a lifetime service object to control the lifetime policy for this instance.
InvokeMethod (inherited from TransactionEnvironment) | Invokes a method in the target environment.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

IRemoteDispatch.RemoteDispatchAutoDone (inherited from ServicedComponent)
IRemoteDispatch.RemoteDispatchNotAutoDone (inherited from ServicedComponent)
IServicedComponentInfo.GetComponentInfo (inherited from ServicedComponent)

See Also

NewTransactionRequiredEnvironment Class | Neo.Core.Transactions Namespace


NewTransactionRequiredEnvironment Constructor

Initializes a new instance of the NewTransactionRequiredEnvironment class.

public NewTransactionRequiredEnvironment();

See Also

NewTransactionRequiredEnvironment Class | Neo.Core.Transactions Namespace


NotSupportedTransactionEnvironment Class

Missing <summary> documentation for T:Neo.Core.Transactions.NotSupportedTransactionEnvironment

For a list of all members of this type, see NotSupportedTransactionEnvironment Members.

System.Object
MarshalByRefObject
ContextBoundObject
ServicedComponent
TransactionEnvironment
NotSupportedTransactionEnvironment

public class NotSupportedTransactionEnvironment : TransactionEnvironment

Requirements

Namespace: Neo.Core.Transactions

Assembly: Neo (in Neo.dll)

See Also

NotSupportedTransactionEnvironment Members | Neo.Core.Transactions Namespace


NotSupportedTransactionEnvironment Members

NotSupportedTransactionEnvironment overview

Public Instance Constructors

NotSupportedTransactionEnvironment Constructor Initializes a new instance of the NotSupportedTransactionEnvironment class.

Public Instance Methods

CreateObjRef (inherited from MarshalByRefObject) | Creates an object that contains all the relevant information required to generate a proxy used to communicate with a remote object.
Dispose (inherited from ServicedComponent) | Releases all resources used by the ServicedComponent .
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetLifetimeService (inherited from MarshalByRefObject) | Retrieves the current lifetime service object that controls the lifetime policy for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeLifetimeService (inherited from MarshalByRefObject) | Obtains a lifetime service object to control the lifetime policy for this instance.
InvokeMethod (inherited from TransactionEnvironment) | Invokes a method in the target environment.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

IRemoteDispatch.RemoteDispatchAutoDone (inherited from ServicedComponent)
IRemoteDispatch.RemoteDispatchNotAutoDone (inherited from ServicedComponent)
IServicedComponentInfo.GetComponentInfo (inherited from ServicedComponent)

See Also

NotSupportedTransactionEnvironment Class | Neo.Core.Transactions Namespace


NotSupportedTransactionEnvironment Constructor

Initializes a new instance of the NotSupportedTransactionEnvironment class.

public NotSupportedTransactionEnvironment();

See Also

NotSupportedTransactionEnvironment Class | Neo.Core.Transactions Namespace


RequiresTransactionAttribute Class

Missing <summary> documentation for T:Neo.Core.Transactions.RequiresTransactionAttribute

For a list of all members of this type, see RequiresTransactionAttribute Members.

System.Object
Attribute
RequiresTransactionAttribute

public class RequiresTransactionAttribute : Attribute

Requirements

Namespace: Neo.Core.Transactions

Assembly: Neo (in Neo.dll)

See Also

RequiresTransactionAttribute Members | Neo.Core.Transactions Namespace


RequiresTransactionAttribute Members

RequiresTransactionAttribute overview

Public Instance Constructors

RequiresTransactionAttribute Constructor Missing <summary> documentation for M:Neo.Core.Transactions.RequiresTransactionAttribute.#ctor(System.EnterpriseServices.TransactionOption)

Public Instance Properties

Option | Missing <summary> documentation for P:Neo.Core.Transactions.RequiresTransactionAttribute.Option
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

Public Instance Methods

Equals (inherited from Attribute) |
GetHashCode (inherited from Attribute) | Returns the hash code for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
IsDefaultAttribute (inherited from Attribute) | When overridden in a derived class, returns an indication whether the value of this instance is the default value for the derived class.
Match (inherited from Attribute) | When overridden in a derived class, returns a value indicating whether this instance equals a specified object.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

_Attribute.GetIDsOfNames (inherited from Attribute)
_Attribute.GetTypeInfo (inherited from Attribute)
_Attribute.GetTypeInfoCount (inherited from Attribute)
_Attribute.Invoke (inherited from Attribute)

See Also

RequiresTransactionAttribute Class | Neo.Core.Transactions Namespace


RequiresTransactionAttribute Constructor

Missing <summary> documentation for M:Neo.Core.Transactions.RequiresTransactionAttribute.#ctor(System.EnterpriseServices.TransactionOption)

public RequiresTransactionAttribute(
TransactionOption option
);

See Also

RequiresTransactionAttribute Class | Neo.Core.Transactions Namespace


RequiresTransactionAttribute Properties

The properties of the RequiresTransactionAttribute class are listed below. For a complete list of RequiresTransactionAttribute class members, see the RequiresTransactionAttribute Members topic.

Public Instance Properties

Option | Missing <summary> documentation for P:Neo.Core.Transactions.RequiresTransactionAttribute.Option
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

See Also

RequiresTransactionAttribute Class | Neo.Core.Transactions Namespace


RequiresTransactionAttribute.Option Property

Missing <summary> documentation for P:Neo.Core.Transactions.RequiresTransactionAttribute.Option

public System.EnterpriseServices.TransactionOption Option {get;}

See Also

RequiresTransactionAttribute Class | Neo.Core.Transactions Namespace


SupportsTransactionEnvironment Class

Missing <summary> documentation for T:Neo.Core.Transactions.SupportsTransactionEnvironment

For a list of all members of this type, see SupportsTransactionEnvironment Members.

System.Object
MarshalByRefObject
ContextBoundObject
ServicedComponent
TransactionEnvironment
SupportsTransactionEnvironment

public class SupportsTransactionEnvironment : TransactionEnvironment

Requirements

Namespace: Neo.Core.Transactions

Assembly: Neo (in Neo.dll)

See Also

SupportsTransactionEnvironment Members | Neo.Core.Transactions Namespace


SupportsTransactionEnvironment Members

SupportsTransactionEnvironment overview

Public Instance Constructors

SupportsTransactionEnvironment Constructor Initializes a new instance of the SupportsTransactionEnvironment class.

Public Instance Methods

CreateObjRef (inherited from MarshalByRefObject) | Creates an object that contains all the relevant information required to generate a proxy used to communicate with a remote object.
Dispose (inherited from ServicedComponent) | Releases all resources used by the ServicedComponent .
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetLifetimeService (inherited from MarshalByRefObject) | Retrieves the current lifetime service object that controls the lifetime policy for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeLifetimeService (inherited from MarshalByRefObject) | Obtains a lifetime service object to control the lifetime policy for this instance.
InvokeMethod (inherited from TransactionEnvironment) | Invokes a method in the target environment.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

IRemoteDispatch.RemoteDispatchAutoDone (inherited from ServicedComponent)
IRemoteDispatch.RemoteDispatchNotAutoDone (inherited from ServicedComponent)
IServicedComponentInfo.GetComponentInfo (inherited from ServicedComponent)

See Also

SupportsTransactionEnvironment Class | Neo.Core.Transactions Namespace


SupportsTransactionEnvironment Constructor

Initializes a new instance of the SupportsTransactionEnvironment class.

public SupportsTransactionEnvironment();

See Also

SupportsTransactionEnvironment Class | Neo.Core.Transactions Namespace


TransactionAwareAttribute Class

Missing <summary> documentation for T:Neo.Core.Transactions.TransactionAwareAttribute

For a list of all members of this type, see TransactionAwareAttribute Members.

System.Object
Attribute
ContextAttribute
TransactionAwareAttribute

public class TransactionAwareAttribute : ContextAttribute, IContributeObjectSink

Requirements

Namespace: Neo.Core.Transactions

Assembly: Neo (in Neo.dll)

See Also

TransactionAwareAttribute Members | Neo.Core.Transactions Namespace


TransactionAwareAttribute Members

TransactionAwareAttribute overview

Public Instance Constructors

TransactionAwareAttribute Constructor Initializes a new instance of the TransactionAwareAttribute class.

Public Instance Properties

Name (inherited from ContextAttribute) |
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

Public Instance Methods

Equals (inherited from ContextAttribute) |
Freeze (inherited from ContextAttribute) |
GetHashCode (inherited from ContextAttribute) |
GetObjectSink | Missing <summary> documentation for M:Neo.Core.Transactions.TransactionAwareAttribute.GetObjectSink(System.MarshalByRefObject,System.Runtime.Remoting.Messaging.IMessageSink)
GetPropertiesForNewContext | Missing <summary> documentation for M:Neo.Core.Transactions.TransactionAwareAttribute.GetPropertiesForNewContext(System.Runtime.Remoting.Activation.IConstructionCallMessage)
GetType (inherited from Object) | Gets the Type of the current instance.
IsContextOK | Missing <summary> documentation for M:Neo.Core.Transactions.TransactionAwareAttribute.IsContextOK(System.Runtime.Remoting.Contexts.Context,System.Runtime.Remoting.Activation.IConstructionCallMessage)
IsDefaultAttribute (inherited from Attribute) | When overridden in a derived class, returns an indication whether the value of this instance is the default value for the derived class.
IsNewContextOK (inherited from ContextAttribute) |
Match (inherited from Attribute) | When overridden in a derived class, returns a value indicating whether this instance equals a specified object.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

_Attribute.GetIDsOfNames (inherited from Attribute)
_Attribute.GetTypeInfo (inherited from Attribute)
_Attribute.GetTypeInfoCount (inherited from Attribute)
_Attribute.Invoke (inherited from Attribute)

See Also

TransactionAwareAttribute Class | Neo.Core.Transactions Namespace


TransactionAwareAttribute Constructor

Initializes a new instance of the TransactionAwareAttribute class.

public TransactionAwareAttribute();

See Also

TransactionAwareAttribute Class | Neo.Core.Transactions Namespace


TransactionAwareAttribute Methods

The methods of the TransactionAwareAttribute class are listed below. For a complete list of TransactionAwareAttribute class members, see the TransactionAwareAttribute Members topic.

Public Instance Methods

Equals (inherited from ContextAttribute) |
Freeze (inherited from ContextAttribute) |
GetHashCode (inherited from ContextAttribute) |
GetObjectSink | Missing <summary> documentation for M:Neo.Core.Transactions.TransactionAwareAttribute.GetObjectSink(System.MarshalByRefObject,System.Runtime.Remoting.Messaging.IMessageSink)
GetPropertiesForNewContext | Missing <summary> documentation for M:Neo.Core.Transactions.TransactionAwareAttribute.GetPropertiesForNewContext(System.Runtime.Remoting.Activation.IConstructionCallMessage)
GetType (inherited from Object) | Gets the Type of the current instance.
IsContextOK | Missing <summary> documentation for M:Neo.Core.Transactions.TransactionAwareAttribute.IsContextOK(System.Runtime.Remoting.Contexts.Context,System.Runtime.Remoting.Activation.IConstructionCallMessage)
IsDefaultAttribute (inherited from Attribute) | When overridden in a derived class, returns an indication whether the value of this instance is the default value for the derived class.
IsNewContextOK (inherited from ContextAttribute) |
Match (inherited from Attribute) | When overridden in a derived class, returns a value indicating whether this instance equals a specified object.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

_Attribute.GetIDsOfNames (inherited from Attribute)
_Attribute.GetTypeInfo (inherited from Attribute)
_Attribute.GetTypeInfoCount (inherited from Attribute)
_Attribute.Invoke (inherited from Attribute)

See Also

TransactionAwareAttribute Class | Neo.Core.Transactions Namespace


TransactionAwareAttribute.GetObjectSink Method

Missing <summary> documentation for M:Neo.Core.Transactions.TransactionAwareAttribute.GetObjectSink(System.MarshalByRefObject,System.Runtime.Remoting.Messaging.IMessageSink)

public IMessageSink GetObjectSink(
MarshalByRefObject target,
IMessageSink nextSink
);

Implements

IContributeObjectSink.GetObjectSink

See Also

TransactionAwareAttribute Class | Neo.Core.Transactions Namespace


TransactionAwareAttribute.GetPropertiesForNewContext Method

Missing <summary> documentation for M:Neo.Core.Transactions.TransactionAwareAttribute.GetPropertiesForNewContext(System.Runtime.Remoting.Activation.IConstructionCallMessage)

public override void GetPropertiesForNewContext(
IConstructionCallMessage constructionMesssage
);

Implements

IContextAttribute.GetPropertiesForNewContext

See Also

TransactionAwareAttribute Class | Neo.Core.Transactions Namespace


TransactionAwareAttribute.IsContextOK Method

Missing <summary> documentation for M:Neo.Core.Transactions.TransactionAwareAttribute.IsContextOK(System.Runtime.Remoting.Contexts.Context,System.Runtime.Remoting.Activation.IConstructionCallMessage)

public override bool IsContextOK(
Context context,
IConstructionCallMessage constructionMesssage
);

Implements

IContextAttribute.IsContextOK

See Also

TransactionAwareAttribute Class | Neo.Core.Transactions Namespace


TransactionEnvironment Class

Missing <summary> documentation for T:Neo.Core.Transactions.TransactionEnvironment

For a list of all members of this type, see TransactionEnvironment Members.

System.Object
MarshalByRefObject
ContextBoundObject
ServicedComponent
TransactionEnvironment

public abstract class TransactionEnvironment : ServicedComponent

Requirements

Namespace: Neo.Core.Transactions

Assembly: Neo (in Neo.dll)

See Also

TransactionEnvironment Members | Neo.Core.Transactions Namespace


TransactionEnvironment Members

TransactionEnvironment overview

Public Instance Methods

CreateObjRef (inherited from MarshalByRefObject) | Creates an object that contains all the relevant information required to generate a proxy used to communicate with a remote object.
Dispose (inherited from ServicedComponent) | Releases all resources used by the ServicedComponent .
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetLifetimeService (inherited from MarshalByRefObject) | Retrieves the current lifetime service object that controls the lifetime policy for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeLifetimeService (inherited from MarshalByRefObject) | Obtains a lifetime service object to control the lifetime policy for this instance.
InvokeMethod | Invokes a method in the target environment.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

IRemoteDispatch.RemoteDispatchAutoDone (inherited from ServicedComponent)
IRemoteDispatch.RemoteDispatchNotAutoDone (inherited from ServicedComponent)
IServicedComponentInfo.GetComponentInfo (inherited from ServicedComponent)

See Also

TransactionEnvironment Class | Neo.Core.Transactions Namespace


TransactionEnvironment Methods

The methods of the TransactionEnvironment class are listed below. For a complete list of TransactionEnvironment class members, see the TransactionEnvironment Members topic.

Public Instance Methods

CreateObjRef (inherited from MarshalByRefObject) | Creates an object that contains all the relevant information required to generate a proxy used to communicate with a remote object.
Dispose (inherited from ServicedComponent) | Releases all resources used by the ServicedComponent .
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetLifetimeService (inherited from MarshalByRefObject) | Retrieves the current lifetime service object that controls the lifetime policy for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeLifetimeService (inherited from MarshalByRefObject) | Obtains a lifetime service object to control the lifetime policy for this instance.
InvokeMethod | Invokes a method in the target environment.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

IRemoteDispatch.RemoteDispatchAutoDone (inherited from ServicedComponent)
IRemoteDispatch.RemoteDispatchNotAutoDone (inherited from ServicedComponent)
IServicedComponentInfo.GetComponentInfo (inherited from ServicedComponent)

See Also

TransactionEnvironment Class | Neo.Core.Transactions Namespace


TransactionEnvironment.InvokeMethod Method

Invokes a method in the target environment.

public IMethodReturnMessage InvokeMethod(
MarshalByRefObject target,
IMethodCallMessage message,
bool autoComplete
);

Parameters

target
The object instance that owns the message.
message
The message (method and arguments) to be executed.
autoComplete
Whether to complete the transaction if invokation was successful.

Return Value

Returns the invokation result.

See Also

TransactionEnvironment Class | Neo.Core.Transactions Namespace


TransactionRequiredEnvironment Class

Missing <summary> documentation for T:Neo.Core.Transactions.TransactionRequiredEnvironment

For a list of all members of this type, see TransactionRequiredEnvironment Members.

System.Object
MarshalByRefObject
ContextBoundObject
ServicedComponent
TransactionEnvironment
TransactionRequiredEnvironment

public class TransactionRequiredEnvironment : TransactionEnvironment

Requirements

Namespace: Neo.Core.Transactions

Assembly: Neo (in Neo.dll)

See Also

TransactionRequiredEnvironment Members | Neo.Core.Transactions Namespace


TransactionRequiredEnvironment Members

TransactionRequiredEnvironment overview

Public Instance Constructors

TransactionRequiredEnvironment Constructor Initializes a new instance of the TransactionRequiredEnvironment class.

Public Instance Methods

CreateObjRef (inherited from MarshalByRefObject) | Creates an object that contains all the relevant information required to generate a proxy used to communicate with a remote object.
Dispose (inherited from ServicedComponent) | Releases all resources used by the ServicedComponent .
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetLifetimeService (inherited from MarshalByRefObject) | Retrieves the current lifetime service object that controls the lifetime policy for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeLifetimeService (inherited from MarshalByRefObject) | Obtains a lifetime service object to control the lifetime policy for this instance.
InvokeMethod (inherited from TransactionEnvironment) | Invokes a method in the target environment.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

IRemoteDispatch.RemoteDispatchAutoDone (inherited from ServicedComponent)
IRemoteDispatch.RemoteDispatchNotAutoDone (inherited from ServicedComponent)
IServicedComponentInfo.GetComponentInfo (inherited from ServicedComponent)

See Also

TransactionRequiredEnvironment Class | Neo.Core.Transactions Namespace


TransactionRequiredEnvironment Constructor

Initializes a new instance of the TransactionRequiredEnvironment class.

public TransactionRequiredEnvironment();

See Also

TransactionRequiredEnvironment Class | Neo.Core.Transactions Namespace


TransactionSink Class

Provides the implementation for a transaction sink that uses the Remoting infrastructure.

For a list of all members of this type, see TransactionSink Members.

System.Object
TransactionSink

public class TransactionSink : IMessageSink

Remarks

The function of the transaction sink is to participate in the sink chain, intercepting and hosting transactional methods in a transactional enviroment using the Enterprise Services infrastructure and delegate it's execution.

Requirements

Namespace: Neo.Core.Transactions

Assembly: Neo (in Neo.dll)

See Also

TransactionSink Members | Neo.Core.Transactions Namespace


TransactionSink Members

TransactionSink overview

Public Instance Constructors

TransactionSink Constructor Initializes a new instance of the TransactionSink class.

Public Instance Properties

NextSink Gets the next message sink in the sink chain.

Public Instance Methods

AsyncProcessMessage | Asynchronously processes the provided message
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
SyncProcessMessage | Synchronously processes the provided message.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

TransactionSink Class | Neo.Core.Transactions Namespace


TransactionSink Constructor

Initializes a new instance of the TransactionSink class.

public TransactionSink(
MarshalByRefObject target,
IMessageSink nextSink
);

Parameters

target
nextSink
The next sink in the channel sink chain.

See Also

TransactionSink Class | Neo.Core.Transactions Namespace


TransactionSink Properties

The properties of the TransactionSink class are listed below. For a complete list of TransactionSink class members, see the TransactionSink Members topic.

Public Instance Properties

NextSink Gets the next message sink in the sink chain.

See Also

TransactionSink Class | Neo.Core.Transactions Namespace


TransactionSink.NextSink Property

Gets the next message sink in the sink chain.

public System.Runtime.Remoting.Messaging.IMessageSink NextSink {get;}

Implements

IMessageSink.NextSink

See Also

TransactionSink Class | Neo.Core.Transactions Namespace


TransactionSink Methods

The methods of the TransactionSink class are listed below. For a complete list of TransactionSink class members, see the TransactionSink Members topic.

Public Instance Methods

AsyncProcessMessage | Asynchronously processes the provided message
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
SyncProcessMessage | Synchronously processes the provided message.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

TransactionSink Class | Neo.Core.Transactions Namespace


TransactionSink.AsyncProcessMessage Method

Asynchronously processes the provided message

public IMessageCtrl AsyncProcessMessage(
IMessage message,
IMessageSink replySink
);

Parameters

message
The message to process.
replySink
The sink that will receive the reply to the provided message.

Return Value

An IMessageCtrl that provides a way to control the asynchronous message after it has been dispatched.

Implements

IMessageSink.AsyncProcessMessage

Remarks

NOT SUPPORTED

See Also

TransactionSink Class | Neo.Core.Transactions Namespace


TransactionSink.SyncProcessMessage Method

Synchronously processes the provided message.

public IMessage SyncProcessMessage(
IMessage message
);

Parameters

message
The message to process.

Return Value

The response to the processed message.

Implements

IMessageSink.SyncProcessMessage

See Also

TransactionSink Class | Neo.Core.Transactions Namespace


Neo.Core.Util

The .NET Entity Objects framework

Neo.Core.Util Namespace

The Neo.Core.Util namespace contains classes that are used to implement the core Neo functionality. While some of the classes in this namespace are public it is expected that typical applications do not depend on them.

Classes

Class | Description
ColumnChangeBroker | Missing <summary> documentation for T:Neo.Core.Util.ColumnChangeBroker
DefaultEntityMapFactory | Default implementation of IEntityMapFactory.
EntityMapFactoryBase | A useful base class for implementing custom entity map factories.
InvalidPropertyException | Thrown when a property that was accessed using reflection does not exist on a type.
ObjectHelper | Class containing several static methods that
ObjectId | A unique identifier for an object comprising its table name and pk values. You should not need to access instances of ObjectId directly.
ObjectTable | Missing <summary> documentation for T:Neo.Core.Util.ObjectTable
OrderedTableCollection | Missing <summary> documentation for T:Neo.Core.Util.OrderedTableCollection
QualifierConverter | Missing <summary> documentation for T:Neo.Core.Util.QualifierConverter
QueryChecker | You can use this class to decorate any data store. It checks for queries which have neither limit nor qualifier and throws an exception.
RelationInfo | Describes a relation between two entities.
RowChangeBroker | Missing <summary> documentation for T:Neo.Core.Util.RowChangeBroker
SingleAssemblyEntityMapFactory | This class is not used internally by NEO. You should subclass this class, to provide an entityMapFactory restricted to a single assembly: Useful when you are using more than one schema at a time and the table names clash. For example when migrating data between two databases.


ColumnChangeBroker Class

Missing <summary> documentation for T:Neo.Core.Util.ColumnChangeBroker

For a list of all members of this type, see ColumnChangeBroker Members.

System.Object
ColumnChangeBroker

public class ColumnChangeBroker

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

ColumnChangeBroker Members | Neo.Core.Util Namespace


ColumnChangeBroker Members

ColumnChangeBroker overview

Public Instance Constructors

ColumnChangeBroker Constructor Initializes a new instance of the ColumnChangeBroker class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
OnColumnChanging | Missing <summary> documentation for M:Neo.Core.Util.ColumnChangeBroker.OnColumnChanging(System.Object,System.Data.DataColumnChangeEventArgs)
RegisterForColumnChanging | Missing <summary> documentation for M:Neo.Core.Util.ColumnChangeBroker.RegisterForColumnChanging(Neo.Core.ColumnChangeHandler,System.String,System.String)
ToString (inherited from Object) | Returns a String that represents the current Object.
UnRegisterForColumnChanging | Missing <summary> documentation for M:Neo.Core.Util.ColumnChangeBroker.UnRegisterForColumnChanging(Neo.Core.ColumnChangeHandler,System.String,System.String)

See Also

ColumnChangeBroker Class | Neo.Core.Util Namespace


ColumnChangeBroker Constructor

Initializes a new instance of the ColumnChangeBroker class.

public ColumnChangeBroker();

See Also

ColumnChangeBroker Class | Neo.Core.Util Namespace


ColumnChangeBroker Methods

The methods of the ColumnChangeBroker class are listed below. For a complete list of ColumnChangeBroker class members, see the ColumnChangeBroker Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
OnColumnChanging | Missing <summary> documentation for M:Neo.Core.Util.ColumnChangeBroker.OnColumnChanging(System.Object,System.Data.DataColumnChangeEventArgs)
RegisterForColumnChanging | Missing <summary> documentation for M:Neo.Core.Util.ColumnChangeBroker.RegisterForColumnChanging(Neo.Core.ColumnChangeHandler,System.String,System.String)
ToString (inherited from Object) | Returns a String that represents the current Object.
UnRegisterForColumnChanging | Missing <summary> documentation for M:Neo.Core.Util.ColumnChangeBroker.UnRegisterForColumnChanging(Neo.Core.ColumnChangeHandler,System.String,System.String)

See Also

ColumnChangeBroker Class | Neo.Core.Util Namespace


ColumnChangeBroker.OnColumnChanging Method

Missing <summary> documentation for M:Neo.Core.Util.ColumnChangeBroker.OnColumnChanging(System.Object,System.Data.DataColumnChangeEventArgs)

public void OnColumnChanging(
object sender,
DataColumnChangeEventArgs e
);

See Also

ColumnChangeBroker Class | Neo.Core.Util Namespace


ColumnChangeBroker.RegisterForColumnChanging Method

Missing <summary> documentation for M:Neo.Core.Util.ColumnChangeBroker.RegisterForColumnChanging(Neo.Core.ColumnChangeHandler,System.String,System.String)

public void RegisterForColumnChanging(
ColumnChangeHandler handler,
string tableName,
string columnName
);

See Also

ColumnChangeBroker Class | Neo.Core.Util Namespace


ColumnChangeBroker.UnRegisterForColumnChanging Method

Missing <summary> documentation for M:Neo.Core.Util.ColumnChangeBroker.UnRegisterForColumnChanging(Neo.Core.ColumnChangeHandler,System.String,System.String)

public void UnRegisterForColumnChanging(
ColumnChangeHandler handler,
string tableName,
string columnName
);

See Also

ColumnChangeBroker Class | Neo.Core.Util Namespace


DefaultEntityMapFactory Class

Default implementation of IEntityMapFactory.

For a list of all members of this type, see DefaultEntityMapFactory Members.

System.Object
EntityMapFactoryBase
DefaultEntityMapFactory

public class DefaultEntityMapFactory : EntityMapFactoryBase

Remarks

Caches entity maps in memory. As a side effect it brings all assemblies that the current app depends on into memory. To avoid loading certain assemblies that are known not to contain entity maps use the AddAssemblyFilters method.

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

DefaultEntityMapFactory Members | Neo.Core.Util Namespace


DefaultEntityMapFactory Members

DefaultEntityMapFactory overview

Public Static Properties

SharedInstance Gets the shared instance of this class.

Public Instance Constructors

DefaultEntityMapFactory Constructor Initialises a new instance of this class.

Public Instance Properties

AssemblyFilters List of regular expressions that describe assemblies which should be ignored by the discovery process because they are known to not contain EntityMaps.

Public Instance Methods

AddCustomType (inherited from EntityMapFactoryBase) | Adds a custom mapping from an object type to an EntityMap.
AddToAssemblyFilters | Adds a regular expression to the assembly filters.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllMaps (inherited from EntityMapFactoryBase) | Gets a collection of all Object Type Maps
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetMap (inherited from EntityMapFactoryBase) | Overloaded. Gets the corresponding map for a table name
GetRegisteredTypes (inherited from EntityMapFactoryBase) | Gets all registered types, forcing a mapping check if necessary
GetType (inherited from Object) | Gets the Type of the current instance.
IsIEntityMap (inherited from EntityMapFactoryBase) | Determines whether the supplied type is a concrete subclass of IEntityMap
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

DefaultEntityMapFactory Class | Neo.Core.Util Namespace


DefaultEntityMapFactory Constructor

Initialises a new instance of this class.

public DefaultEntityMapFactory();

Remarks

Only create new instances if the shared one cannot be used.

See Also

DefaultEntityMapFactory Class | Neo.Core.Util Namespace


DefaultEntityMapFactory Properties

The properties of the DefaultEntityMapFactory class are listed below. For a complete list of DefaultEntityMapFactory class members, see the DefaultEntityMapFactory Members topic.

Public Static Properties

SharedInstance Gets the shared instance of this class.

Public Instance Properties

AssemblyFilters List of regular expressions that describe assemblies which should be ignored by the discovery process because they are known to not contain EntityMaps.

See Also

DefaultEntityMapFactory Class | Neo.Core.Util Namespace


DefaultEntityMapFactory.AssemblyFilters Property

List of regular expressions that describe assemblies which should be ignored by the discovery process because they are known to not contain EntityMaps.

public System.Collections.ArrayList AssemblyFilters {get;}

See Also

DefaultEntityMapFactory Class | Neo.Core.Util Namespace


DefaultEntityMapFactory.SharedInstance Property

Gets the shared instance of this class.

public static DefaultEntityMapFactory SharedInstance {get;}

Remarks

It is possible to create further instances but unless there is a specific need for one it is advisable to use the shared one because this avoids the overhead of searching through the assemblies multiple times.

See Also

DefaultEntityMapFactory Class | Neo.Core.Util Namespace


DefaultEntityMapFactory Methods

The methods of the DefaultEntityMapFactory class are listed below. For a complete list of DefaultEntityMapFactory class members, see the DefaultEntityMapFactory Members topic.

Public Instance Methods

AddCustomType (inherited from EntityMapFactoryBase) | Adds a custom mapping from an object type to an EntityMap.
AddToAssemblyFilters | Adds a regular expression to the assembly filters.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllMaps (inherited from EntityMapFactoryBase) | Gets a collection of all Object Type Maps
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetMap (inherited from EntityMapFactoryBase) | Overloaded. Gets the corresponding map for a table name
GetRegisteredTypes (inherited from EntityMapFactoryBase) | Gets all registered types, forcing a mapping check if necessary
GetType (inherited from Object) | Gets the Type of the current instance.
IsIEntityMap (inherited from EntityMapFactoryBase) | Determines whether the supplied type is a concrete subclass of IEntityMap
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

DefaultEntityMapFactory Class | Neo.Core.Util Namespace


DefaultEntityMapFactory.AddToAssemblyFilters Method

Adds a regular expression to the assembly filters.

public void AddToAssemblyFilters(
string partialName
);

Parameters

partialName
expression to add

See Also

DefaultEntityMapFactory Class | Neo.Core.Util Namespace


EntityMapFactoryBase Class

A useful base class for implementing custom entity map factories.

For a list of all members of this type, see EntityMapFactoryBase Members.

System.Object
EntityMapFactoryBase

public abstract class EntityMapFactoryBase : IEntityMapFactory

Remarks

You do not have to use this base class, of course it is sufficient to implement the IEntityMapFactory interface to be a valid factory.

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

EntityMapFactoryBase Members | Neo.Core.Util Namespace


EntityMapFactoryBase Members

EntityMapFactoryBase overview

Public Instance Methods

AddCustomType | Adds a custom mapping from an object type to an EntityMap.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllMaps | Gets a collection of all Object Type Maps
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetMap | Overloaded. Gets the corresponding map for a table name
GetRegisteredTypes | Gets all registered types, forcing a mapping check if necessary
GetType (inherited from Object) | Gets the Type of the current instance.
IsIEntityMap | Determines whether the supplied type is a concrete subclass of IEntityMap
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

EntityMapFactoryBase Class | Neo.Core.Util Namespace


EntityMapFactoryBase Methods

The methods of the EntityMapFactoryBase class are listed below. For a complete list of EntityMapFactoryBase class members, see the EntityMapFactoryBase Members topic.

Public Instance Methods

AddCustomType | Adds a custom mapping from an object type to an EntityMap.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllMaps | Gets a collection of all Object Type Maps
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetMap | Overloaded. Gets the corresponding map for a table name
GetRegisteredTypes | Gets all registered types, forcing a mapping check if necessary
GetType (inherited from Object) | Gets the Type of the current instance.
IsIEntityMap | Determines whether the supplied type is a concrete subclass of IEntityMap
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

EntityMapFactoryBase Class | Neo.Core.Util Namespace


EntityMapFactoryBase.AddCustomType Method

Adds a custom mapping from an object type to an EntityMap.

public virtual void AddCustomType(
Type objType,
IEntityMap map
);

Parameters

objType
the type
map
the entity map

Implements

IEntityMapFactory.AddCustomType

Remarks

Most of the mappings are defined by the EntityMaps that are created by the factory. Certain additional mappings, for mocks or stubs for example, may be required at runtime.

See Also

EntityMapFactoryBase Class | Neo.Core.Util Namespace


EntityMapFactoryBase.GetAllMaps Method

Gets a collection of all Object Type Maps

public virtual ICollection GetAllMaps();

Return Value

A collection of all Object Type Maps

Implements

IEntityMapFactory.GetAllMaps

See Also

EntityMapFactoryBase Class | Neo.Core.Util Namespace


GetMap Method

The .NET Entity Objects framework

EntityMapFactoryBase.GetMap Method

Gets the corresponding map for a table name

Overload List

Gets the corresponding map for a table name

public virtual IEntityMap GetMap(string);

Gets the corresponding map for a type

public virtual IEntityMap GetMap(Type);

See Also

EntityMapFactoryBase Class | Neo.Core.Util Namespace


EntityMapFactoryBase.GetMap Method (String)

Gets the corresponding map for a table name

public virtual IEntityMap GetMap(
string tablename
);

Parameters

tablename
Table Name to map

Return Value

IEntityMap object matching the supplied table name

Implements

IEntityMapFactory.GetMap

See Also

EntityMapFactoryBase Class | Neo.Core.Util Namespace | EntityMapFactoryBase.GetMap Overload List


EntityMapFactoryBase.GetMap Method (Type)

Gets the corresponding map for a type

public virtual IEntityMap GetMap(
Type type
);

Parameters

type
Type to map

Return Value

IEntityMap object matching the supplied Type

Implements

IEntityMapFactory.GetMap

See Also

EntityMapFactoryBase Class | Neo.Core.Util Namespace | EntityMapFactoryBase.GetMap Overload List


EntityMapFactoryBase.GetRegisteredTypes Method

Gets all registered types, forcing a mapping check if necessary

public virtual ICollection GetRegisteredTypes();

Return Value

All registered types

See Also

EntityMapFactoryBase Class | Neo.Core.Util Namespace


EntityMapFactoryBase.IsIEntityMap Method

Determines whether the supplied type is a concrete subclass of IEntityMap

public bool IsIEntityMap(
Type typeObj,
object criteriaObj
);

Parameters

typeObj
Class to be checked
criteriaObj
Not used

Return Value

true if this is a concrete class and a subclass of IEntityMap

See Also

EntityMapFactoryBase Class | Neo.Core.Util Namespace


InvalidPropertyException Class

Thrown when a property that was accessed using reflection does not exist on a type.

For a list of all members of this type, see InvalidPropertyException Members.

System.Object
Exception
ApplicationException
InvalidPropertyException

public class InvalidPropertyException : ApplicationException

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

InvalidPropertyException Members | Neo.Core.Util Namespace


InvalidPropertyException Members

InvalidPropertyException overview

Public Instance Properties

HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

See Also

InvalidPropertyException Class | Neo.Core.Util Namespace


ObjectHelper Class

Class containing several static methods that

For a list of all members of this type, see ObjectHelper Members.

System.Object
ObjectHelper

public class ObjectHelper

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

ObjectHelper Members | Neo.Core.Util Namespace


ObjectHelper Members

ObjectHelper overview

Public Static Methods

GetProperty | Overloaded. Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.GetProperty(System.Object,System.String)
GetPropertyOrField | Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.GetPropertyOrField(System.Object,System.String)
SetProperty | Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.SetProperty(System.Object,System.String,System.Object)

Public Instance Constructors

ObjectHelper Constructor Initializes a new instance of the ObjectHelper class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

ObjectHelper Class | Neo.Core.Util Namespace


ObjectHelper Constructor

Initializes a new instance of the ObjectHelper class.

public ObjectHelper();

See Also

ObjectHelper Class | Neo.Core.Util Namespace


ObjectHelper Methods

The methods of the ObjectHelper class are listed below. For a complete list of ObjectHelper class members, see the ObjectHelper Members topic.

Public Static Methods

GetProperty | Overloaded. Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.GetProperty(System.Object,System.String)
GetPropertyOrField | Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.GetPropertyOrField(System.Object,System.String)
SetProperty | Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.SetProperty(System.Object,System.String,System.Object)

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

ObjectHelper Class | Neo.Core.Util Namespace


GetProperty Method

The .NET Entity Objects framework

ObjectHelper.GetProperty Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.GetProperty(System.Object,System.String)

Overload List

Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.GetProperty(System.Object,System.String)

public static object GetProperty(object,string);

Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.GetProperty(System.Object,System.String,System.Type@,System.Reflection.PropertyInfo@)

public static object GetProperty(object,string,ref Type,ref PropertyInfo);

See Also

ObjectHelper Class | Neo.Core.Util Namespace


ObjectHelper.GetProperty Method (Object, String)

Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.GetProperty(System.Object,System.String)

public static object GetProperty(
object obj,
string propName
);

See Also

ObjectHelper Class | Neo.Core.Util Namespace | ObjectHelper.GetProperty Overload List


ObjectHelper.GetProperty Method (Object, String, Type, PropertyInfo)

Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.GetProperty(System.Object,System.String,System.Type@,System.Reflection.PropertyInfo@)

public static object GetProperty(
object anObject,
string prop,
ref Type lastType,
ref PropertyInfo propInfo
);

See Also

ObjectHelper Class | Neo.Core.Util Namespace | ObjectHelper.GetProperty Overload List


ObjectHelper.GetPropertyOrField Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.GetPropertyOrField(System.Object,System.String)

public static object GetPropertyOrField(
object obj,
string name
);

See Also

ObjectHelper Class | Neo.Core.Util Namespace


ObjectHelper.SetProperty Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectHelper.SetProperty(System.Object,System.String,System.Object)

public static void SetProperty(
object obj,
string propName,
object propValue
);

See Also

ObjectHelper Class | Neo.Core.Util Namespace


ObjectId Class

A unique identifier for an object comprising its table name and pk values. You should not need to access instances of ObjectId directly.

For a list of all members of this type, see ObjectId Members.

System.Object
ObjectId

public class ObjectId

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

ObjectId Members | Neo.Core.Util Namespace


ObjectId Members

ObjectId overview

Public Static Methods

GetObjectIdForObject | Missing <summary> documentation for M:Neo.Core.Util.ObjectId.GetObjectIdForObject(Neo.Core.IEntityObject)
GetObjectIdForRow | Missing <summary> documentation for M:Neo.Core.Util.ObjectId.GetObjectIdForRow(System.Data.DataRow)

Public Instance Constructors

ObjectId Overloaded. Initializes a new instance of the ObjectId class.

Public Instance Fields

PkValues | Missing <summary> documentation for F:Neo.Core.Util.ObjectId.PkValues
TableName | Missing <summary> documentation for F:Neo.Core.Util.ObjectId.TableName

Public Instance Methods

Equals | Missing <summary> documentation for M:Neo.Core.Util.ObjectId.Equals(System.Object)
GetHashCode | Missing <summary> documentation for M:Neo.Core.Util.ObjectId.GetHashCode
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Core.Util.ObjectId.ToString

See Also

ObjectId Class | Neo.Core.Util Namespace


ObjectId Constructor

Missing <summary> documentation for M:Neo.Core.Util.ObjectId.#ctor(System.String,System.Object[])

Overload List

Missing <summary> documentation for M:Neo.Core.Util.ObjectId.#ctor(System.String,System.Object)

public ObjectId(string,object);

Missing <summary> documentation for M:Neo.Core.Util.ObjectId.#ctor(System.String,System.Object[])

public ObjectId(string,object[]);

See Also

ObjectId Class | Neo.Core.Util Namespace


ObjectId Constructor (String, Object[])

Missing <summary> documentation for M:Neo.Core.Util.ObjectId.#ctor(System.String,System.Object[])

public ObjectId(
string tableName,
object[] pkvalues
);

See Also

ObjectId Class | Neo.Core.Util Namespace | ObjectId Constructor Overload List


ObjectId Constructor (String, Object)

Missing <summary> documentation for M:Neo.Core.Util.ObjectId.#ctor(System.String,System.Object)

public ObjectId(
string tableName,
object pkvalue
);

See Also

ObjectId Class | Neo.Core.Util Namespace | ObjectId Constructor Overload List


ObjectId Fields

The fields of the ObjectId class are listed below. For a complete list of ObjectId class members, see the ObjectId Members topic.

Public Instance Fields

PkValues | Missing <summary> documentation for F:Neo.Core.Util.ObjectId.PkValues
TableName | Missing <summary> documentation for F:Neo.Core.Util.ObjectId.TableName

See Also

ObjectId Class | Neo.Core.Util Namespace


ObjectId.PkValues Field

Missing <summary> documentation for F:Neo.Core.Util.ObjectId.PkValues

public readonly object[] PkValues;

See Also

ObjectId Class | Neo.Core.Util Namespace


ObjectId.TableName Field

Missing <summary> documentation for F:Neo.Core.Util.ObjectId.TableName

public readonly string TableName;

See Also

ObjectId Class | Neo.Core.Util Namespace


ObjectId Methods

The methods of the ObjectId class are listed below. For a complete list of ObjectId class members, see the ObjectId Members topic.

Public Static Methods

GetObjectIdForObject | Missing <summary> documentation for M:Neo.Core.Util.ObjectId.GetObjectIdForObject(Neo.Core.IEntityObject)
GetObjectIdForRow | Missing <summary> documentation for M:Neo.Core.Util.ObjectId.GetObjectIdForRow(System.Data.DataRow)

Public Instance Methods

Equals | Missing <summary> documentation for M:Neo.Core.Util.ObjectId.Equals(System.Object)
GetHashCode | Missing <summary> documentation for M:Neo.Core.Util.ObjectId.GetHashCode
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Core.Util.ObjectId.ToString

See Also

ObjectId Class | Neo.Core.Util Namespace


ObjectId.Equals Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectId.Equals(System.Object)

public override bool Equals(
object anObject
);

See Also

ObjectId Class | Neo.Core.Util Namespace


ObjectId.GetHashCode Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectId.GetHashCode

public override int GetHashCode();

See Also

ObjectId Class | Neo.Core.Util Namespace


ObjectId.GetObjectIdForObject Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectId.GetObjectIdForObject(Neo.Core.IEntityObject)

public static ObjectId GetObjectIdForObject(
IEntityObject eo
);

See Also

ObjectId Class | Neo.Core.Util Namespace


ObjectId.GetObjectIdForRow Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectId.GetObjectIdForRow(System.Data.DataRow)

public static ObjectId GetObjectIdForRow(
DataRow row
);

See Also

ObjectId Class | Neo.Core.Util Namespace


ObjectId.ToString Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectId.ToString

public override string ToString();

See Also

ObjectId Class | Neo.Core.Util Namespace


ObjectTable Class

Missing <summary> documentation for T:Neo.Core.Util.ObjectTable

For a list of all members of this type, see ObjectTable Members.

System.Object
ObjectTable

public class ObjectTable

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

ObjectTable Members | Neo.Core.Util Namespace


ObjectTable Members

ObjectTable overview

Public Instance Constructors

ObjectTable Constructor Initializes a new instance of the ObjectTable class.

Public Instance Methods

AddDeletedObject | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.AddDeletedObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)
AddObject | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.AddObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)
DeleteObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.DeleteObject(Neo.Core.Util.ObjectId)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
ForgetAllDeletedObjects | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.ForgetAllDeletedObjects
ForgetDeletedObject | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.ForgetDeletedObject(Neo.Core.Util.ObjectId)
GetAllDeletedObjectIds | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetAllDeletedObjectIds
GetAllObjects | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetAllObjects
GetDeletedObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetDeletedObject(Neo.Core.Util.ObjectId)
GetDeletedObjects | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetDeletedObjects
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetObject(Neo.Core.Util.ObjectId)
GetObjects | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetObjects(System.String)
GetType (inherited from Object) | Gets the Type of the current instance.
RemoveObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.RemoveObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)
ToString (inherited from Object) | Returns a String that represents the current Object.
UndeleteObject | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.UndeleteObject(Neo.Core.Util.ObjectId)

See Also

ObjectTable Class | Neo.Core.Util Namespace


ObjectTable Constructor

Initializes a new instance of the ObjectTable class.

public ObjectTable();

See Also

ObjectTable Class | Neo.Core.Util Namespace


ObjectTable Methods

The methods of the ObjectTable class are listed below. For a complete list of ObjectTable class members, see the ObjectTable Members topic.

Public Instance Methods

AddDeletedObject | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.AddDeletedObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)
AddObject | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.AddObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)
DeleteObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.DeleteObject(Neo.Core.Util.ObjectId)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
ForgetAllDeletedObjects | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.ForgetAllDeletedObjects
ForgetDeletedObject | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.ForgetDeletedObject(Neo.Core.Util.ObjectId)
GetAllDeletedObjectIds | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetAllDeletedObjectIds
GetAllObjects | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetAllObjects
GetDeletedObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetDeletedObject(Neo.Core.Util.ObjectId)
GetDeletedObjects | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetDeletedObjects
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetObject(Neo.Core.Util.ObjectId)
GetObjects | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetObjects(System.String)
GetType (inherited from Object) | Gets the Type of the current instance.
RemoveObject | Overloaded. Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.RemoveObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)
ToString (inherited from Object) | Returns a String that represents the current Object.
UndeleteObject | Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.UndeleteObject(Neo.Core.Util.ObjectId)

See Also

ObjectTable Class | Neo.Core.Util Namespace


ObjectTable.AddDeletedObject Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.AddDeletedObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)

public void AddDeletedObject(
ObjectId oid,
IEntityObject eo
);

See Also

ObjectTable Class | Neo.Core.Util Namespace


ObjectTable.AddObject Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.AddObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)

public void AddObject(
ObjectId oid,
IEntityObject eo
);

See Also

ObjectTable Class | Neo.Core.Util Namespace


DeleteObject Method

The .NET Entity Objects framework

ObjectTable.DeleteObject Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.DeleteObject(Neo.Core.Util.ObjectId)

Overload List

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.DeleteObject(Neo.Core.Util.ObjectId)

public void DeleteObject(ObjectId);

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.DeleteObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)

public void DeleteObject(ObjectId,IEntityObject);

See Also

ObjectTable Class | Neo.Core.Util Namespace


ObjectTable.DeleteObject Method (ObjectId)

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.DeleteObject(Neo.Core.Util.ObjectId)

public void DeleteObject(
ObjectId oid
);

See Also

ObjectTable Class | Neo.Core.Util Namespace | ObjectTable.DeleteObject Overload List


ObjectTable.DeleteObject Method (ObjectId, IEntityObject)

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.DeleteObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)

public void DeleteObject(
ObjectId oid,
IEntityObject eo
);

See Also

ObjectTable Class | Neo.Core.Util Namespace | ObjectTable.DeleteObject Overload List


ObjectTable.ForgetAllDeletedObjects Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.ForgetAllDeletedObjects

public void ForgetAllDeletedObjects();

See Also

ObjectTable Class | Neo.Core.Util Namespace


ObjectTable.ForgetDeletedObject Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.ForgetDeletedObject(Neo.Core.Util.ObjectId)

public void ForgetDeletedObject(
ObjectId oid
);

See Also

ObjectTable Class | Neo.Core.Util Namespace


ObjectTable.GetAllDeletedObjectIds Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetAllDeletedObjectIds

public IList GetAllDeletedObjectIds();

See Also

ObjectTable Class | Neo.Core.Util Namespace


ObjectTable.GetAllObjects Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetAllObjects

public IList GetAllObjects();

See Also

ObjectTable Class | Neo.Core.Util Namespace


GetDeletedObject Method

The .NET Entity Objects framework

ObjectTable.GetDeletedObject Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetDeletedObject(Neo.Core.Util.ObjectId)

Overload List

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetDeletedObject(Neo.Core.Util.ObjectId)

public IEntityObject GetDeletedObject(ObjectId);

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetDeletedObject(System.String,System.Object[])

public IEntityObject GetDeletedObject(string,object[]);

See Also

ObjectTable Class | Neo.Core.Util Namespace


ObjectTable.GetDeletedObject Method (ObjectId)

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetDeletedObject(Neo.Core.Util.ObjectId)

public IEntityObject GetDeletedObject(
ObjectId oid
);

See Also

ObjectTable Class | Neo.Core.Util Namespace | ObjectTable.GetDeletedObject Overload List


ObjectTable.GetDeletedObject Method (String, Object[])

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetDeletedObject(System.String,System.Object[])

public IEntityObject GetDeletedObject(
string tablename,
object[] pkvalues
);

See Also

ObjectTable Class | Neo.Core.Util Namespace | ObjectTable.GetDeletedObject Overload List


ObjectTable.GetDeletedObjects Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetDeletedObjects

public IList GetDeletedObjects();

See Also

ObjectTable Class | Neo.Core.Util Namespace


GetObject Method

The .NET Entity Objects framework

ObjectTable.GetObject Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetObject(Neo.Core.Util.ObjectId)

Overload List

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetObject(Neo.Core.Util.ObjectId)

public IEntityObject GetObject(ObjectId);

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetObject(System.String,System.Object[])

public IEntityObject GetObject(string,object[]);

See Also

ObjectTable Class | Neo.Core.Util Namespace


ObjectTable.GetObject Method (ObjectId)

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetObject(Neo.Core.Util.ObjectId)

public IEntityObject GetObject(
ObjectId oid
);

See Also

ObjectTable Class | Neo.Core.Util Namespace | ObjectTable.GetObject Overload List


ObjectTable.GetObject Method (String, Object[])

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetObject(System.String,System.Object[])

public IEntityObject GetObject(
string tablename,
object[] pkvalues
);

See Also

ObjectTable Class | Neo.Core.Util Namespace | ObjectTable.GetObject Overload List


ObjectTable.GetObjects Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.GetObjects(System.String)

public IList GetObjects(
string tablename
);

See Also

ObjectTable Class | Neo.Core.Util Namespace


RemoveObject Method

The .NET Entity Objects framework

ObjectTable.RemoveObject Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.RemoveObject(Neo.Core.IEntityObject)

Overload List

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.RemoveObject(Neo.Core.IEntityObject)

public void RemoveObject(IEntityObject);

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.RemoveObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)

public void RemoveObject(ObjectId,IEntityObject);

See Also

ObjectTable Class | Neo.Core.Util Namespace


ObjectTable.RemoveObject Method (IEntityObject)

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.RemoveObject(Neo.Core.IEntityObject)

public void RemoveObject(
IEntityObject eo
);

See Also

ObjectTable Class | Neo.Core.Util Namespace | ObjectTable.RemoveObject Overload List


ObjectTable.RemoveObject Method (ObjectId, IEntityObject)

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.RemoveObject(Neo.Core.Util.ObjectId,Neo.Core.IEntityObject)

public void RemoveObject(
ObjectId oid,
IEntityObject eo
);

See Also

ObjectTable Class | Neo.Core.Util Namespace | ObjectTable.RemoveObject Overload List


ObjectTable.UndeleteObject Method

Missing <summary> documentation for M:Neo.Core.Util.ObjectTable.UndeleteObject(Neo.Core.Util.ObjectId)

public void UndeleteObject(
ObjectId oid
);

See Also

ObjectTable Class | Neo.Core.Util Namespace


OrderedTableCollection Class

Missing <summary> documentation for T:Neo.Core.Util.OrderedTableCollection

For a list of all members of this type, see OrderedTableCollection Members.

System.Object
ReadOnlyCollectionBase
OrderedTableCollection

public class OrderedTableCollection : ReadOnlyCollectionBase

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

OrderedTableCollection Members | Neo.Core.Util Namespace


OrderedTableCollection Members

OrderedTableCollection overview

Public Instance Constructors

OrderedTableCollection Constructor Missing <summary> documentation for M:Neo.Core.Util.OrderedTableCollection.#ctor(System.Data.DataSet)

Public Instance Properties

Count (inherited from ReadOnlyCollectionBase) | Gets the number of elements contained in the ReadOnlyCollectionBase instance.
Item | Missing <summary> documentation for P:Neo.Core.Util.OrderedTableCollection.Item(System.Int32)

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator (inherited from ReadOnlyCollectionBase) | Returns an enumerator that can iterate through the ReadOnlyCollectionBase instance.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

ICollection.CopyTo (inherited from ReadOnlyCollectionBase)

See Also

OrderedTableCollection Class | Neo.Core.Util Namespace


OrderedTableCollection Constructor

Missing <summary> documentation for M:Neo.Core.Util.OrderedTableCollection.#ctor(System.Data.DataSet)

public OrderedTableCollection(
DataSet aDataSet
);

See Also

OrderedTableCollection Class | Neo.Core.Util Namespace


OrderedTableCollection Properties

The properties of the OrderedTableCollection class are listed below. For a complete list of OrderedTableCollection class members, see the OrderedTableCollection Members topic.

Public Instance Properties

Count (inherited from ReadOnlyCollectionBase) | Gets the number of elements contained in the ReadOnlyCollectionBase instance.
Item | Missing <summary> documentation for P:Neo.Core.Util.OrderedTableCollection.Item(System.Int32)

See Also

OrderedTableCollection Class | Neo.Core.Util Namespace


OrderedTableCollection.Item Property

Missing <summary> documentation for P:Neo.Core.Util.OrderedTableCollection.Item(System.Int32)

public System.Data.DataTable this[
int index
] {get;}

See Also

OrderedTableCollection Class | Neo.Core.Util Namespace


QualifierConverter Class

Missing <summary> documentation for T:Neo.Core.Util.QualifierConverter

For a list of all members of this type, see QualifierConverter Members.

System.Object
QualifierConverter

public class QualifierConverter

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

QualifierConverter Members | Neo.Core.Util Namespace


QualifierConverter Members

QualifierConverter overview

Public Instance Constructors

QualifierConverter Constructor Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.#ctor(Neo.Core.IEntityMap)

Public Instance Methods

ConvertToColumnQualifier | Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.ConvertToColumnQualifier(Neo.Core.Qualifiers.PropertyQualifier)
ConvertToColumnQualifiersRecursively | Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.ConvertToColumnQualifiersRecursively(Neo.Core.Qualifier)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
MoveEntityObject | Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.MoveEntityObject(Neo.Core.Qualifiers.PropertyQualifier,Neo.Core.ObjectContext)
MoveEntityObjectsRecursively | Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.MoveEntityObjectsRecursively(Neo.Core.Qualifier,Neo.Core.ObjectContext)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

QualifierConverter Class | Neo.Core.Util Namespace


QualifierConverter Constructor

Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.#ctor(Neo.Core.IEntityMap)

public QualifierConverter(
IEntityMap anEmap
);

See Also

QualifierConverter Class | Neo.Core.Util Namespace


QualifierConverter Methods

The methods of the QualifierConverter class are listed below. For a complete list of QualifierConverter class members, see the QualifierConverter Members topic.

Public Instance Methods

ConvertToColumnQualifier | Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.ConvertToColumnQualifier(Neo.Core.Qualifiers.PropertyQualifier)
ConvertToColumnQualifiersRecursively | Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.ConvertToColumnQualifiersRecursively(Neo.Core.Qualifier)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
MoveEntityObject | Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.MoveEntityObject(Neo.Core.Qualifiers.PropertyQualifier,Neo.Core.ObjectContext)
MoveEntityObjectsRecursively | Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.MoveEntityObjectsRecursively(Neo.Core.Qualifier,Neo.Core.ObjectContext)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

QualifierConverter Class | Neo.Core.Util Namespace


QualifierConverter.ConvertToColumnQualifier Method

Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.ConvertToColumnQualifier(Neo.Core.Qualifiers.PropertyQualifier)

public ColumnQualifier ConvertToColumnQualifier(
PropertyQualifier propQualifier
);

See Also

QualifierConverter Class | Neo.Core.Util Namespace


QualifierConverter.ConvertToColumnQualifiersRecursively Method

Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.ConvertToColumnQualifiersRecursively(Neo.Core.Qualifier)

public Qualifier ConvertToColumnQualifiersRecursively(
Qualifier aQualifier
);

See Also

QualifierConverter Class | Neo.Core.Util Namespace


QualifierConverter.MoveEntityObject Method

Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.MoveEntityObject(Neo.Core.Qualifiers.PropertyQualifier,Neo.Core.ObjectContext)

public PropertyQualifier MoveEntityObject(
PropertyQualifier propQualifier,
ObjectContext newContext
);

See Also

QualifierConverter Class | Neo.Core.Util Namespace


QualifierConverter.MoveEntityObjectsRecursively Method

Missing <summary> documentation for M:Neo.Core.Util.QualifierConverter.MoveEntityObjectsRecursively(Neo.Core.Qualifier,Neo.Core.ObjectContext)

public Qualifier MoveEntityObjectsRecursively(
Qualifier aQualifier,
ObjectContext newContext
);

See Also

QualifierConverter Class | Neo.Core.Util Namespace


QueryChecker Class

You can use this class to decorate any data store. It checks for queries which have neither limit nor qualifier and throws an exception.

For a list of all members of this type, see QueryChecker Members.

System.Object
QueryChecker

public class QueryChecker : IDataStore

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

QueryChecker Members | Neo.Core.Util Namespace


QueryChecker Members

QueryChecker overview

Public Instance Constructors

QueryChecker Constructor Missing <summary> documentation for M:Neo.Core.Util.QueryChecker.#ctor(Neo.Core.IDataStore)

Public Instance Properties

TypeFilter A regular expression string that specifies which types are allowed to have unqualified queries.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FetchRows | Missing <summary> documentation for M:Neo.Core.Util.QueryChecker.FetchRows(Neo.Core.IFetchSpecification)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
SaveChangesInObjectContext | Missing <summary> documentation for M:Neo.Core.Util.QueryChecker.SaveChangesInObjectContext(Neo.Core.ObjectContext)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

QueryChecker Class | Neo.Core.Util Namespace


QueryChecker Constructor

Missing <summary> documentation for M:Neo.Core.Util.QueryChecker.#ctor(Neo.Core.IDataStore)

public QueryChecker(
IDataStore aDataStore
);

See Also

QueryChecker Class | Neo.Core.Util Namespace


QueryChecker Properties

The properties of the QueryChecker class are listed below. For a complete list of QueryChecker class members, see the QueryChecker Members topic.

Public Instance Properties

TypeFilter A regular expression string that specifies which types are allowed to have unqualified queries.

See Also

QueryChecker Class | Neo.Core.Util Namespace


QueryChecker.TypeFilter Property

A regular expression string that specifies which types are allowed to have unqualified queries.

public string TypeFilter {get; set;}

See Also

QueryChecker Class | Neo.Core.Util Namespace


QueryChecker Methods

The methods of the QueryChecker class are listed below. For a complete list of QueryChecker class members, see the QueryChecker Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FetchRows | Missing <summary> documentation for M:Neo.Core.Util.QueryChecker.FetchRows(Neo.Core.IFetchSpecification)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
SaveChangesInObjectContext | Missing <summary> documentation for M:Neo.Core.Util.QueryChecker.SaveChangesInObjectContext(Neo.Core.ObjectContext)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

QueryChecker Class | Neo.Core.Util Namespace


QueryChecker.FetchRows Method

Missing <summary> documentation for M:Neo.Core.Util.QueryChecker.FetchRows(Neo.Core.IFetchSpecification)

public virtual DataSet FetchRows(
IFetchSpecification fetchSpec
);

Implements

IDataStore.FetchRows

See Also

QueryChecker Class | Neo.Core.Util Namespace


QueryChecker.SaveChangesInObjectContext Method

Missing <summary> documentation for M:Neo.Core.Util.QueryChecker.SaveChangesInObjectContext(Neo.Core.ObjectContext)

public virtual ICollection SaveChangesInObjectContext(
ObjectContext context
);

Implements

IDataStore.SaveChangesInObjectContext

See Also

QueryChecker Class | Neo.Core.Util Namespace


RelationInfo Class

Describes a relation between two entities.

For a list of all members of this type, see RelationInfo Members.

System.Object
RelationInfo

public class RelationInfo

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

RelationInfo Members | Neo.Core.Util Namespace


RelationInfo Members

RelationInfo overview

Public Instance Constructors

RelationInfo Overloaded. Initializes a new instance of the RelationInfo class.

Public Instance Fields

ChildEntity | Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ChildEntity
ChildKey | Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ChildKey
ParentEntity | Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ParentEntity
ParentKey | Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ParentKey

Public Instance Methods

Equals | Missing <summary> documentation for M:Neo.Core.Util.RelationInfo.Equals(System.Object)
GetHashCode | Missing <summary> documentation for M:Neo.Core.Util.RelationInfo.GetHashCode
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

RelationInfo Class | Neo.Core.Util Namespace


RelationInfo Constructor

Missing <summary> documentation for M:Neo.Core.Util.RelationInfo.#ctor(Neo.Core.IEntityMap,Neo.Core.IEntityMap,System.String,System.String)

Overload List

Missing <summary> documentation for M:Neo.Core.Util.RelationInfo.#ctor(Neo.Core.IEntityMap,Neo.Core.IEntityMap,System.String,System.String)

public RelationInfo(IEntityMap,IEntityMap,string,string);

Missing <summary> documentation for M:Neo.Core.Util.RelationInfo.#ctor(Neo.Core.IEntityMapFactory,System.Type,System.Type,System.String,System.String)

public RelationInfo(IEntityMapFactory,Type,Type,string,string);

See Also

RelationInfo Class | Neo.Core.Util Namespace


RelationInfo Constructor (IEntityMap, IEntityMap, String, String)

Missing <summary> documentation for M:Neo.Core.Util.RelationInfo.#ctor(Neo.Core.IEntityMap,Neo.Core.IEntityMap,System.String,System.String)

public RelationInfo(
IEntityMap parentEntity,
IEntityMap childEntity,
string parentKey,
string childKey
);

See Also

RelationInfo Class | Neo.Core.Util Namespace | RelationInfo Constructor Overload List


RelationInfo Constructor (IEntityMapFactory, Type, Type, String, String)

Missing <summary> documentation for M:Neo.Core.Util.RelationInfo.#ctor(Neo.Core.IEntityMapFactory,System.Type,System.Type,System.String,System.String)

public RelationInfo(
IEntityMapFactory factory,
Type parentType,
Type childType,
string parentKey,
string childKey
);

See Also

RelationInfo Class | Neo.Core.Util Namespace | RelationInfo Constructor Overload List


RelationInfo Fields

The fields of the RelationInfo class are listed below. For a complete list of RelationInfo class members, see the RelationInfo Members topic.

Public Instance Fields

ChildEntity | Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ChildEntity
ChildKey | Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ChildKey
ParentEntity | Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ParentEntity
ParentKey | Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ParentKey

See Also

RelationInfo Class | Neo.Core.Util Namespace


RelationInfo.ChildEntity Field

Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ChildEntity

public readonly IEntityMap ChildEntity;

See Also

RelationInfo Class | Neo.Core.Util Namespace


RelationInfo.ChildKey Field

Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ChildKey

public readonly string ChildKey;

See Also

RelationInfo Class | Neo.Core.Util Namespace


RelationInfo.ParentEntity Field

Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ParentEntity

public readonly IEntityMap ParentEntity;

See Also

RelationInfo Class | Neo.Core.Util Namespace


RelationInfo.ParentKey Field

Missing <summary> documentation for F:Neo.Core.Util.RelationInfo.ParentKey

public readonly string ParentKey;

See Also

RelationInfo Class | Neo.Core.Util Namespace


RelationInfo Methods

The methods of the RelationInfo class are listed below. For a complete list of RelationInfo class members, see the RelationInfo Members topic.

Public Instance Methods

Equals | Missing <summary> documentation for M:Neo.Core.Util.RelationInfo.Equals(System.Object)
GetHashCode | Missing <summary> documentation for M:Neo.Core.Util.RelationInfo.GetHashCode
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

RelationInfo Class | Neo.Core.Util Namespace


RelationInfo.Equals Method

Missing <summary> documentation for M:Neo.Core.Util.RelationInfo.Equals(System.Object)

public override bool Equals(
object obj
);

See Also

RelationInfo Class | Neo.Core.Util Namespace


RelationInfo.GetHashCode Method

Missing <summary> documentation for M:Neo.Core.Util.RelationInfo.GetHashCode

public override int GetHashCode();

See Also

RelationInfo Class | Neo.Core.Util Namespace


RowChangeBroker Class

Missing <summary> documentation for T:Neo.Core.Util.RowChangeBroker

For a list of all members of this type, see RowChangeBroker Members.

System.Object
RowChangeBroker

public class RowChangeBroker

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

RowChangeBroker Members | Neo.Core.Util Namespace


RowChangeBroker Members

RowChangeBroker overview

Public Instance Constructors

RowChangeBroker Constructor Initializes a new instance of the RowChangeBroker class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
OnRowDeleting | Missing <summary> documentation for M:Neo.Core.Util.RowChangeBroker.OnRowDeleting(System.Object,System.Data.DataRowChangeEventArgs)
RegisterForRowChanged | Missing <summary> documentation for M:Neo.Core.Util.RowChangeBroker.RegisterForRowChanged(Neo.Core.RowChangeHandler,System.String)
ToString (inherited from Object) | Returns a String that represents the current Object.
UnRegisterForRowChanged | Missing <summary> documentation for M:Neo.Core.Util.RowChangeBroker.UnRegisterForRowChanged(Neo.Core.RowChangeHandler,System.String)

See Also

RowChangeBroker Class | Neo.Core.Util Namespace


RowChangeBroker Constructor

Initializes a new instance of the RowChangeBroker class.

public RowChangeBroker();

See Also

RowChangeBroker Class | Neo.Core.Util Namespace


RowChangeBroker Methods

The methods of the RowChangeBroker class are listed below. For a complete list of RowChangeBroker class members, see the RowChangeBroker Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
OnRowDeleting | Missing <summary> documentation for M:Neo.Core.Util.RowChangeBroker.OnRowDeleting(System.Object,System.Data.DataRowChangeEventArgs)
RegisterForRowChanged | Missing <summary> documentation for M:Neo.Core.Util.RowChangeBroker.RegisterForRowChanged(Neo.Core.RowChangeHandler,System.String)
ToString (inherited from Object) | Returns a String that represents the current Object.
UnRegisterForRowChanged | Missing <summary> documentation for M:Neo.Core.Util.RowChangeBroker.UnRegisterForRowChanged(Neo.Core.RowChangeHandler,System.String)

See Also

RowChangeBroker Class | Neo.Core.Util Namespace


RowChangeBroker.OnRowDeleting Method

Missing <summary> documentation for M:Neo.Core.Util.RowChangeBroker.OnRowDeleting(System.Object,System.Data.DataRowChangeEventArgs)

public void OnRowDeleting(
object sender,
DataRowChangeEventArgs e
);

See Also

RowChangeBroker Class | Neo.Core.Util Namespace


RowChangeBroker.RegisterForRowChanged Method

Missing <summary> documentation for M:Neo.Core.Util.RowChangeBroker.RegisterForRowChanged(Neo.Core.RowChangeHandler,System.String)

public void RegisterForRowChanged(
RowChangeHandler handler,
string tableName
);

See Also

RowChangeBroker Class | Neo.Core.Util Namespace


RowChangeBroker.UnRegisterForRowChanged Method

Missing <summary> documentation for M:Neo.Core.Util.RowChangeBroker.UnRegisterForRowChanged(Neo.Core.RowChangeHandler,System.String)

public void UnRegisterForRowChanged(
RowChangeHandler handler,
string tableName
);

See Also

RowChangeBroker Class | Neo.Core.Util Namespace


SingleAssemblyEntityMapFactory Class

This class is not used internally by NEO. You should subclass this class, to provide an entityMapFactory restricted to a single assembly: Useful when you are using more than one schema at a time and the table names clash. For example when migrating data between two databases.

For a list of all members of this type, see SingleAssemblyEntityMapFactory Members.

System.Object
EntityMapFactoryBase
SingleAssemblyEntityMapFactory

public abstract class SingleAssemblyEntityMapFactory : EntityMapFactoryBase

Remarks

The minimal subclass is:
public class MyEntityMapFactory : SingleAssemblyEntityMapFactory
{
  public override Assembly GetContainingAssembly()
  {
    return typeof(MyEntityMapFactory).Assembly;
  }
}
then use...
context = new ObjectContext();
context.Factory = new MyEntityMapFactory();

A more useful factory might be:

public class SingletonEntityMapFactory : SingleAsssemblyEntityMapFactory
{
    private static SingletonEntityMapFactory sharedInstance;
    public SingletonEntityMapFactory() : base()
    {
    }
    public static SingletonEntityMapFactory SharedInstance
    {
        get
        {
            if(sharedInstance == null)
            sharedInstance = new SingletonEntityMapFactory();
            return sharedInstance;
        }
    }
  public override Assembly GetContainingAssembly()
  {
    return typeof(SingletonEntityMapFactory).Assembly;
  }
}

and use:
context.Factory = SingletonEntityMapFactory.SharedInstance;

Requirements

Namespace: Neo.Core.Util

Assembly: Neo (in Neo.dll)

See Also

SingleAssemblyEntityMapFactory Members | Neo.Core.Util Namespace


SingleAssemblyEntityMapFactory Members

SingleAssemblyEntityMapFactory overview

Public Instance Constructors

SingleAssemblyEntityMapFactory Constructor Initializes a new instance of the SingleAssemblyEntityMapFactory class.

Public Instance Methods

AddCustomType (inherited from EntityMapFactoryBase) | Adds a custom mapping from an object type to an EntityMap.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllMaps (inherited from EntityMapFactoryBase) | Gets a collection of all Object Type Maps
GetContainingAssembly | Missing <summary> documentation for M:Neo.Core.Util.SingleAssemblyEntityMapFactory.GetContainingAssembly
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetMap (inherited from EntityMapFactoryBase) | Overloaded. Gets the corresponding map for a table name
GetRegisteredTypes (inherited from EntityMapFactoryBase) | Gets all registered types, forcing a mapping check if necessary
GetType (inherited from Object) | Gets the Type of the current instance.
IsIEntityMap (inherited from EntityMapFactoryBase) | Determines whether the supplied type is a concrete subclass of IEntityMap
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

SingleAssemblyEntityMapFactory Class | Neo.Core.Util Namespace


SingleAssemblyEntityMapFactory Constructor

Initializes a new instance of the SingleAssemblyEntityMapFactory class.

public SingleAssemblyEntityMapFactory();

See Also

SingleAssemblyEntityMapFactory Class | Neo.Core.Util Namespace


SingleAssemblyEntityMapFactory Methods

The methods of the SingleAssemblyEntityMapFactory class are listed below. For a complete list of SingleAssemblyEntityMapFactory class members, see the SingleAssemblyEntityMapFactory Members topic.

Public Instance Methods

AddCustomType (inherited from EntityMapFactoryBase) | Adds a custom mapping from an object type to an EntityMap.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllMaps (inherited from EntityMapFactoryBase) | Gets a collection of all Object Type Maps
GetContainingAssembly | Missing <summary> documentation for M:Neo.Core.Util.SingleAssemblyEntityMapFactory.GetContainingAssembly
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetMap (inherited from EntityMapFactoryBase) | Overloaded. Gets the corresponding map for a table name
GetRegisteredTypes (inherited from EntityMapFactoryBase) | Gets all registered types, forcing a mapping check if necessary
GetType (inherited from Object) | Gets the Type of the current instance.
IsIEntityMap (inherited from EntityMapFactoryBase) | Determines whether the supplied type is a concrete subclass of IEntityMap
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

SingleAssemblyEntityMapFactory Class | Neo.Core.Util Namespace


SingleAssemblyEntityMapFactory.GetContainingAssembly Method

Missing <summary> documentation for M:Neo.Core.Util.SingleAssemblyEntityMapFactory.GetContainingAssembly

public abstract Assembly GetContainingAssembly();

See Also

SingleAssemblyEntityMapFactory Class | Neo.Core.Util Namespace


Neo.Database

The .NET Entity Objects framework

Neo.Database Namespace

The Neo.Database namespace contains abstract classes and interfaces that can be used to implement an IDataStore for relational databases. All three database clients that ship with Neo, that is SQL Server, Oracle and Firebird, are implemented in terms of these classes.

Classes

Class | Description
DbDataStore | Missing <summary> documentation for T:Neo.Database.DbDataStore
DbImplementationFactoryAdaptor | Missing <summary> documentation for T:Neo.Database.DbImplementationFactoryAdaptor
GenericSql92Builder | Missing <summary> documentation for T:Neo.Database.GenericSql92Builder

Interfaces

Interface | Description
IDbCommandBuilder | Missing <summary> documentation for T:Neo.Database.IDbCommandBuilder
IDbImplementationFactory | Missing <summary> documentation for T:Neo.Database.IDbImplementationFactory


DbDataStore Class

Missing <summary> documentation for T:Neo.Database.DbDataStore

For a list of all members of this type, see DbDataStore Members.

System.Object
DbDataStore

public abstract class DbDataStore : IDataStore, ISerializable

Requirements

Namespace: Neo.Database

Assembly: Neo (in Neo.dll)

See Also

DbDataStore Members | Neo.Database Namespace


DbDataStore Members

DbDataStore overview

Public Instance Constructors

DbDataStore Constructor Initializes a new instance of the DbDataStore class.

Public Instance Properties

CommandTimeout | Missing <summary> documentation for P:Neo.Database.DbDataStore.CommandTimeout
Transaction | Missing <summary> documentation for P:Neo.Database.DbDataStore.Transaction
UsesDelimitedIdentifiers | Missing <summary> documentation for P:Neo.Database.DbDataStore.UsesDelimitedIdentifiers

Public Instance Methods

BeginTransaction | Missing <summary> documentation for M:Neo.Database.DbDataStore.BeginTransaction
CheckConnection | Missing <summary> documentation for M:Neo.Database.DbDataStore.CheckConnection
CommitTransaction | Missing <summary> documentation for M:Neo.Database.DbDataStore.CommitTransaction
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FetchRows | Missing <summary> documentation for M:Neo.Database.DbDataStore.FetchRows(Neo.Core.IFetchSpecification)
FillTable | Missing <summary> documentation for M:Neo.Database.DbDataStore.FillTable(System.Data.DataTable,System.String,System.Collections.IList)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData | Missing <summary> documentation for M:Neo.Database.DbDataStore.GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)
GetType (inherited from Object) | Gets the Type of the current instance.
ProcessDeletes | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessDeletes(System.Data.DataTable)
ProcessInserts | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessInserts(System.Data.DataTable,System.Collections.ArrayList)
ProcessUpdates | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessUpdates(System.Data.DataTable)
RollbackTransaction | Missing <summary> documentation for M:Neo.Database.DbDataStore.RollbackTransaction
SaveChangesInObjectContext | Missing <summary> documentation for M:Neo.Database.DbDataStore.SaveChangesInObjectContext(Neo.Core.ObjectContext)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore Constructor

Initializes a new instance of the DbDataStore class.

public DbDataStore();

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore Properties

The properties of the DbDataStore class are listed below. For a complete list of DbDataStore class members, see the DbDataStore Members topic.

Public Instance Properties

CommandTimeout | Missing <summary> documentation for P:Neo.Database.DbDataStore.CommandTimeout
Transaction | Missing <summary> documentation for P:Neo.Database.DbDataStore.Transaction
UsesDelimitedIdentifiers | Missing <summary> documentation for P:Neo.Database.DbDataStore.UsesDelimitedIdentifiers

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.CommandTimeout Property

Missing <summary> documentation for P:Neo.Database.DbDataStore.CommandTimeout

public int CommandTimeout {get; set;}

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.Transaction Property

Missing <summary> documentation for P:Neo.Database.DbDataStore.Transaction

public System.Data.IDbTransaction Transaction {get;}

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.UsesDelimitedIdentifiers Property

Missing <summary> documentation for P:Neo.Database.DbDataStore.UsesDelimitedIdentifiers

public bool UsesDelimitedIdentifiers {get; set;}

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore Methods

The methods of the DbDataStore class are listed below. For a complete list of DbDataStore class members, see the DbDataStore Members topic.

Public Instance Methods

BeginTransaction | Missing <summary> documentation for M:Neo.Database.DbDataStore.BeginTransaction
CheckConnection | Missing <summary> documentation for M:Neo.Database.DbDataStore.CheckConnection
CommitTransaction | Missing <summary> documentation for M:Neo.Database.DbDataStore.CommitTransaction
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FetchRows | Missing <summary> documentation for M:Neo.Database.DbDataStore.FetchRows(Neo.Core.IFetchSpecification)
FillTable | Missing <summary> documentation for M:Neo.Database.DbDataStore.FillTable(System.Data.DataTable,System.String,System.Collections.IList)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData | Missing <summary> documentation for M:Neo.Database.DbDataStore.GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)
GetType (inherited from Object) | Gets the Type of the current instance.
ProcessDeletes | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessDeletes(System.Data.DataTable)
ProcessInserts | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessInserts(System.Data.DataTable,System.Collections.ArrayList)
ProcessUpdates | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessUpdates(System.Data.DataTable)
RollbackTransaction | Missing <summary> documentation for M:Neo.Database.DbDataStore.RollbackTransaction
SaveChangesInObjectContext | Missing <summary> documentation for M:Neo.Database.DbDataStore.SaveChangesInObjectContext(Neo.Core.ObjectContext)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.BeginTransaction Method

Missing <summary> documentation for M:Neo.Database.DbDataStore.BeginTransaction

public virtual void BeginTransaction();

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.CheckConnection Method

Missing <summary> documentation for M:Neo.Database.DbDataStore.CheckConnection

public virtual void CheckConnection();

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.CommitTransaction Method

Missing <summary> documentation for M:Neo.Database.DbDataStore.CommitTransaction

public virtual void CommitTransaction();

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.FetchRows Method

Missing <summary> documentation for M:Neo.Database.DbDataStore.FetchRows(Neo.Core.IFetchSpecification)

public virtual DataSet FetchRows(
IFetchSpecification fetchSpec
);

Implements

IDataStore.FetchRows

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.FillTable Method

Missing <summary> documentation for M:Neo.Database.DbDataStore.FillTable(System.Data.DataTable,System.String,System.Collections.IList)

public virtual void FillTable(
DataTable table,
string sqlCommand,
IList parameters
);

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.GetObjectData Method

Missing <summary> documentation for M:Neo.Database.DbDataStore.GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)

public virtual void GetObjectData(
SerializationInfo info,
StreamingContext context
);

Implements

ISerializable.GetObjectData

See Also

DbDataStore Class | Neo.Database Namespace


ProcessDeletes Method

The .NET Entity Objects framework

DbDataStore.ProcessDeletes Method

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessDeletes(Neo.Core.Util.OrderedTableCollection)

Overload List

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessDeletes(Neo.Core.Util.OrderedTableCollection)

public virtual void ProcessDeletes(OrderedTableCollection);

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessDeletes(System.Data.DataTable)

public virtual void ProcessDeletes(DataTable);

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.ProcessDeletes Method (OrderedTableCollection)

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessDeletes(Neo.Core.Util.OrderedTableCollection)

public virtual void ProcessDeletes(
OrderedTableCollection tables
);

See Also

DbDataStore Class | Neo.Database Namespace | DbDataStore.ProcessDeletes Overload List


DbDataStore.ProcessDeletes Method (DataTable)

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessDeletes(System.Data.DataTable)

public virtual void ProcessDeletes(
DataTable table
);

See Also

DbDataStore Class | Neo.Database Namespace | DbDataStore.ProcessDeletes Overload List


ProcessInserts Method

The .NET Entity Objects framework

DbDataStore.ProcessInserts Method

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessInserts(Neo.Core.Util.OrderedTableCollection,System.Collections.ArrayList)

Overload List

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessInserts(Neo.Core.Util.OrderedTableCollection,System.Collections.ArrayList)

public virtual void ProcessInserts(OrderedTableCollection,ArrayList);

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessInserts(System.Data.DataTable,System.Collections.ArrayList)

public virtual void ProcessInserts(DataTable,ArrayList);

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.ProcessInserts Method (OrderedTableCollection, ArrayList)

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessInserts(Neo.Core.Util.OrderedTableCollection,System.Collections.ArrayList)

public virtual void ProcessInserts(
OrderedTableCollection tables,
ArrayList pkChangeTables
);

See Also

DbDataStore Class | Neo.Database Namespace | DbDataStore.ProcessInserts Overload List


DbDataStore.ProcessInserts Method (DataTable, ArrayList)

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessInserts(System.Data.DataTable,System.Collections.ArrayList)

public virtual void ProcessInserts(
DataTable table,
ArrayList pkChangeTables
);

See Also

DbDataStore Class | Neo.Database Namespace | DbDataStore.ProcessInserts Overload List


ProcessUpdates Method

The .NET Entity Objects framework

DbDataStore.ProcessUpdates Method

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessUpdates(Neo.Core.Util.OrderedTableCollection)

Overload List

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessUpdates(Neo.Core.Util.OrderedTableCollection)

public virtual void ProcessUpdates(OrderedTableCollection);

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessUpdates(System.Data.DataTable)

public virtual void ProcessUpdates(DataTable);

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.ProcessUpdates Method (OrderedTableCollection)

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessUpdates(Neo.Core.Util.OrderedTableCollection)

public virtual void ProcessUpdates(
OrderedTableCollection tables
);

See Also

DbDataStore Class | Neo.Database Namespace | DbDataStore.ProcessUpdates Overload List


DbDataStore.ProcessUpdates Method (DataTable)

Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessUpdates(System.Data.DataTable)

public virtual void ProcessUpdates(
DataTable table
);

See Also

DbDataStore Class | Neo.Database Namespace | DbDataStore.ProcessUpdates Overload List


DbDataStore.RollbackTransaction Method

Missing <summary> documentation for M:Neo.Database.DbDataStore.RollbackTransaction

public virtual void RollbackTransaction();

See Also

DbDataStore Class | Neo.Database Namespace


DbDataStore.SaveChangesInObjectContext Method

Missing <summary> documentation for M:Neo.Database.DbDataStore.SaveChangesInObjectContext(Neo.Core.ObjectContext)

public virtual ICollection SaveChangesInObjectContext(
ObjectContext context
);

Implements

IDataStore.SaveChangesInObjectContext

See Also

DbDataStore Class | Neo.Database Namespace


DbImplementationFactoryAdaptor Class

Missing <summary> documentation for T:Neo.Database.DbImplementationFactoryAdaptor

For a list of all members of this type, see DbImplementationFactoryAdaptor Members.

System.Object
DbImplementationFactoryAdaptor

public class DbImplementationFactoryAdaptor : IDbConnectionFactory, ISerializable

Requirements

Namespace: Neo.Database

Assembly: Neo (in Neo.dll)

See Also

DbImplementationFactoryAdaptor Members | Neo.Database Namespace


DbImplementationFactoryAdaptor Members

DbImplementationFactoryAdaptor overview

Public Instance Constructors

DbImplementationFactoryAdaptor Constructor Missing <summary> documentation for M:Neo.Database.DbImplementationFactoryAdaptor.#ctor(Neo.Database.IDbImplementationFactory,System.String)

Public Instance Methods

CreateConnection | Missing <summary> documentation for M:Neo.Database.DbImplementationFactoryAdaptor.CreateConnection
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData | Missing <summary> documentation for M:Neo.Database.DbImplementationFactoryAdaptor.GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

DbImplementationFactoryAdaptor Class | Neo.Database Namespace


DbImplementationFactoryAdaptor Constructor

Missing <summary> documentation for M:Neo.Database.DbImplementationFactoryAdaptor.#ctor(Neo.Database.IDbImplementationFactory,System.String)

public DbImplementationFactoryAdaptor(
IDbImplementationFactory factory,
string connectionString
);

See Also

DbImplementationFactoryAdaptor Class | Neo.Database Namespace


DbImplementationFactoryAdaptor Methods

The methods of the DbImplementationFactoryAdaptor class are listed below. For a complete list of DbImplementationFactoryAdaptor class members, see the DbImplementationFactoryAdaptor Members topic.

Public Instance Methods

CreateConnection | Missing <summary> documentation for M:Neo.Database.DbImplementationFactoryAdaptor.CreateConnection
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData | Missing <summary> documentation for M:Neo.Database.DbImplementationFactoryAdaptor.GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

DbImplementationFactoryAdaptor Class | Neo.Database Namespace


DbImplementationFactoryAdaptor.CreateConnection Method

Missing <summary> documentation for M:Neo.Database.DbImplementationFactoryAdaptor.CreateConnection

public IDbConnection CreateConnection();

Implements

IDbConnectionFactory.CreateConnection

See Also

DbImplementationFactoryAdaptor Class | Neo.Database Namespace


DbImplementationFactoryAdaptor.GetObjectData Method

Missing <summary> documentation for M:Neo.Database.DbImplementationFactoryAdaptor.GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)

public virtual void GetObjectData(
SerializationInfo info,
StreamingContext context
);

Implements

ISerializable.GetObjectData

See Also

DbImplementationFactoryAdaptor Class | Neo.Database Namespace


GenericSql92Builder Class

Missing <summary> documentation for T:Neo.Database.GenericSql92Builder

For a list of all members of this type, see GenericSql92Builder Members.

System.Object
GenericSql92Builder

public class GenericSql92Builder : IDbCommandBuilder, IQualifierVisitor, ICloneable

Requirements

Namespace: Neo.Database

Assembly: Neo (in Neo.dll)

See Also

GenericSql92Builder Members | Neo.Database Namespace


GenericSql92Builder Members

GenericSql92Builder overview

Public Instance Constructors

GenericSql92Builder Constructor Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.#ctor(System.Data.DataTable,Neo.Database.IDbImplementationFactory)

Public Instance Properties

Command | Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.Command
Parameters | Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.Parameters
UsesDelimitedIdentifiers | Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.UsesDelimitedIdentifiers

Public Instance Methods

Clone | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.Clone
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
VisitAndQualifier | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitAndQualifier(Neo.Core.Qualifiers.AndQualifier)
VisitColumnQualifier | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitColumnQualifier(Neo.Core.Qualifiers.ColumnQualifier)
VisitOrQualifier | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitOrQualifier(Neo.Core.Qualifiers.OrQualifier)
VisitPathQualifier | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitPathQualifier(Neo.Core.Qualifiers.PathQualifier)
VisitPropertyQualifier | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitPropertyQualifier(Neo.Core.Qualifiers.PropertyQualifier)
WriteDelete | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteDelete(System.Data.DataRow)
WriteInsert | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteInsert(System.Data.DataRow,System.Collections.IList)
WriteSelect | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteSelect(Neo.Core.IFetchSpecification)
WriteUpdate | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteUpdate(System.Data.DataRow)

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder Constructor

Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.#ctor(System.Data.DataTable,Neo.Database.IDbImplementationFactory)

public GenericSql92Builder(
DataTable aTable,
IDbImplementationFactory aParamFactory
);

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder Properties

The properties of the GenericSql92Builder class are listed below. For a complete list of GenericSql92Builder class members, see the GenericSql92Builder Members topic.

Public Instance Properties

Command | Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.Command
Parameters | Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.Parameters
UsesDelimitedIdentifiers | Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.UsesDelimitedIdentifiers

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.Command Property

Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.Command

public string Command {get;}

Implements

IDbCommandBuilder.Command

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.Parameters Property

Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.Parameters

public System.Collections.IList Parameters {get;}

Implements

IDbCommandBuilder.Parameters

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.UsesDelimitedIdentifiers Property

Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.UsesDelimitedIdentifiers

public bool UsesDelimitedIdentifiers {get; set;}

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder Methods

The methods of the GenericSql92Builder class are listed below. For a complete list of GenericSql92Builder class members, see the GenericSql92Builder Members topic.

Public Instance Methods

Clone | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.Clone
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
VisitAndQualifier | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitAndQualifier(Neo.Core.Qualifiers.AndQualifier)
VisitColumnQualifier | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitColumnQualifier(Neo.Core.Qualifiers.ColumnQualifier)
VisitOrQualifier | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitOrQualifier(Neo.Core.Qualifiers.OrQualifier)
VisitPathQualifier | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitPathQualifier(Neo.Core.Qualifiers.PathQualifier)
VisitPropertyQualifier | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitPropertyQualifier(Neo.Core.Qualifiers.PropertyQualifier)
WriteDelete | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteDelete(System.Data.DataRow)
WriteInsert | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteInsert(System.Data.DataRow,System.Collections.IList)
WriteSelect | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteSelect(Neo.Core.IFetchSpecification)
WriteUpdate | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteUpdate(System.Data.DataRow)

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.Clone Method

Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.Clone

public virtual object Clone();

Implements

ICloneable.Clone

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.VisitAndQualifier Method

Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitAndQualifier(Neo.Core.Qualifiers.AndQualifier)

public object VisitAndQualifier(
AndQualifier q
);

Implements

IQualifierVisitor.VisitAndQualifier

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.VisitColumnQualifier Method

Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitColumnQualifier(Neo.Core.Qualifiers.ColumnQualifier)

public object VisitColumnQualifier(
ColumnQualifier q
);

Implements

IQualifierVisitor.VisitColumnQualifier

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.VisitOrQualifier Method

Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitOrQualifier(Neo.Core.Qualifiers.OrQualifier)

public object VisitOrQualifier(
OrQualifier q
);

Implements

IQualifierVisitor.VisitOrQualifier

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.VisitPathQualifier Method

Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitPathQualifier(Neo.Core.Qualifiers.PathQualifier)

public object VisitPathQualifier(
PathQualifier q
);

Implements

IQualifierVisitor.VisitPathQualifier

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.VisitPropertyQualifier Method

Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitPropertyQualifier(Neo.Core.Qualifiers.PropertyQualifier)

public object VisitPropertyQualifier(
PropertyQualifier q
);

Implements

IQualifierVisitor.VisitPropertyQualifier

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.WriteDelete Method

Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteDelete(System.Data.DataRow)

public virtual void WriteDelete(
DataRow row
);

Implements

IDbCommandBuilder.WriteDelete

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.WriteInsert Method

Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteInsert(System.Data.DataRow,System.Collections.IList)

public virtual void WriteInsert(
DataRow row,
IList columnList
);

Implements

IDbCommandBuilder.WriteInsert

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.WriteSelect Method

Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteSelect(Neo.Core.IFetchSpecification)

public virtual void WriteSelect(
IFetchSpecification fetchSpec
);

Implements

IDbCommandBuilder.WriteSelect

See Also

GenericSql92Builder Class | Neo.Database Namespace


GenericSql92Builder.WriteUpdate Method

Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteUpdate(System.Data.DataRow)

public virtual void WriteUpdate(
DataRow row
);

Implements

IDbCommandBuilder.WriteUpdate

See Also

GenericSql92Builder Class | Neo.Database Namespace


IDbCommandBuilder Interface

Missing <summary> documentation for T:Neo.Database.IDbCommandBuilder

For a list of all members of this type, see IDbCommandBuilder Members.

public interface IDbCommandBuilder

Requirements

Namespace: Neo.Database

Assembly: Neo (in Neo.dll)

See Also

IDbCommandBuilder Members | Neo.Database Namespace


IDbCommandBuilder Members

IDbCommandBuilder overview

Public Instance Properties

Command | Missing <summary> documentation for P:Neo.Database.IDbCommandBuilder.Command
Parameters | Missing <summary> documentation for P:Neo.Database.IDbCommandBuilder.Parameters

Public Instance Methods

WriteDelete | Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteDelete(System.Data.DataRow)
WriteInsert | Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteInsert(System.Data.DataRow,System.Collections.IList)
WriteSelect | Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteSelect(Neo.Core.IFetchSpecification)
WriteUpdate | Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteUpdate(System.Data.DataRow)

See Also

IDbCommandBuilder Interface | Neo.Database Namespace


IDbCommandBuilder Properties

The properties of the IDbCommandBuilder interface are listed below. For a complete list of IDbCommandBuilder interface members, see the IDbCommandBuilder Members topic.

Public Instance Properties

Command | Missing <summary> documentation for P:Neo.Database.IDbCommandBuilder.Command
Parameters | Missing <summary> documentation for P:Neo.Database.IDbCommandBuilder.Parameters

See Also

IDbCommandBuilder Interface | Neo.Database Namespace


IDbCommandBuilder.Command Property

Missing <summary> documentation for P:Neo.Database.IDbCommandBuilder.Command

string Command {get;}

See Also

IDbCommandBuilder Interface | Neo.Database Namespace


IDbCommandBuilder.Parameters Property

Missing <summary> documentation for P:Neo.Database.IDbCommandBuilder.Parameters

System.Collections.IList Parameters {get;}

See Also

IDbCommandBuilder Interface | Neo.Database Namespace


IDbCommandBuilder Methods

The methods of the IDbCommandBuilder interface are listed below. For a complete list of IDbCommandBuilder interface members, see the IDbCommandBuilder Members topic.

Public Instance Methods

WriteDelete | Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteDelete(System.Data.DataRow)
WriteInsert | Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteInsert(System.Data.DataRow,System.Collections.IList)
WriteSelect | Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteSelect(Neo.Core.IFetchSpecification)
WriteUpdate | Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteUpdate(System.Data.DataRow)

See Also

IDbCommandBuilder Interface | Neo.Database Namespace


IDbCommandBuilder.WriteDelete Method

Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteDelete(System.Data.DataRow)

void WriteDelete(
DataRow row
);

See Also

IDbCommandBuilder Interface | Neo.Database Namespace


IDbCommandBuilder.WriteInsert Method

Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteInsert(System.Data.DataRow,System.Collections.IList)

void WriteInsert(
DataRow row,
IList columnList
);

See Also

IDbCommandBuilder Interface | Neo.Database Namespace


IDbCommandBuilder.WriteSelect Method

Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteSelect(Neo.Core.IFetchSpecification)

void WriteSelect(
IFetchSpecification fetchSpec
);

See Also

IDbCommandBuilder Interface | Neo.Database Namespace


IDbCommandBuilder.WriteUpdate Method

Missing <summary> documentation for M:Neo.Database.IDbCommandBuilder.WriteUpdate(System.Data.DataRow)

void WriteUpdate(
DataRow row
);

See Also

IDbCommandBuilder Interface | Neo.Database Namespace


IDbImplementationFactory Interface

Missing <summary> documentation for T:Neo.Database.IDbImplementationFactory

For a list of all members of this type, see IDbImplementationFactory Members.

public interface IDbImplementationFactory

Requirements

Namespace: Neo.Database

Assembly: Neo (in Neo.dll)

See Also

IDbImplementationFactory Members | Neo.Database Namespace


IDbImplementationFactory Members

IDbImplementationFactory overview

Public Instance Methods

CreateCommand | Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateCommand
CreateCommandBuilder | Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateCommandBuilder(System.Data.DataTable)
CreateConnection | Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateConnection(System.String)
CreateDataAdapter | Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateDataAdapter
CreateParameter | Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateParameter(System.Data.DataColumn,System.String,System.Object)

See Also

IDbImplementationFactory Interface | Neo.Database Namespace


IDbImplementationFactory Methods

The methods of the IDbImplementationFactory interface are listed below. For a complete list of IDbImplementationFactory interface members, see the IDbImplementationFactory Members topic.

Public Instance Methods

CreateCommand | Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateCommand
CreateCommandBuilder | Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateCommandBuilder(System.Data.DataTable)
CreateConnection | Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateConnection(System.String)
CreateDataAdapter | Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateDataAdapter
CreateParameter | Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateParameter(System.Data.DataColumn,System.String,System.Object)

See Also

IDbImplementationFactory Interface | Neo.Database Namespace


IDbImplementationFactory.CreateCommand Method

Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateCommand

IDbCommand CreateCommand();

See Also

IDbImplementationFactory Interface | Neo.Database Namespace


IDbImplementationFactory.CreateCommandBuilder Method

Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateCommandBuilder(System.Data.DataTable)

IDbCommandBuilder CreateCommandBuilder(
DataTable table
);

See Also

IDbImplementationFactory Interface | Neo.Database Namespace


IDbImplementationFactory.CreateConnection Method

Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateConnection(System.String)

IDbConnection CreateConnection(
string connectionString
);

See Also

IDbImplementationFactory Interface | Neo.Database Namespace


IDbImplementationFactory.CreateDataAdapter Method

Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateDataAdapter

IDbDataAdapter CreateDataAdapter();

See Also

IDbImplementationFactory Interface | Neo.Database Namespace


IDbImplementationFactory.CreateParameter Method

Missing <summary> documentation for M:Neo.Database.IDbImplementationFactory.CreateParameter(System.Data.DataColumn,System.String,System.Object)

IDataParameter CreateParameter(
DataColumn pcolumn,
string pname,
object pvalue
);

See Also

IDbImplementationFactory Interface | Neo.Database Namespace


Neo.Framework

The .NET Entity Objects framework

Neo.Framework Namespace

The Neo.Framework namespace contains classes that make up a default framework to use the functionality provided by the Neo core.

Classes

Class | Description
EntityMap | Missing <summary> documentation for T:Neo.Framework.EntityMap
EntityObject | A good base class for your entity objects. CodeGen/Norque uses these.
GuidPkInitializer | Missing <summary> documentation for T:Neo.Framework.GuidPkInitializer
GuidStringPkInitializer | Missing <summary> documentation for T:Neo.Framework.GuidStringPkInitializer
IdBrokerPkInitializer | Missing <summary> documentation for T:Neo.Framework.IdBrokerPkInitializer
NativePkInitializer | Missing <summary> documentation for T:Neo.Framework.NativePkInitializer
NewGuidPkInitializer | Missing <summary> documentation for T:Neo.Framework.NewGuidPkInitializer
ObjectCollectionBase | Missing <summary> documentation for T:Neo.Framework.ObjectCollectionBase
ObjectFactory | Missing <summary> documentation for T:Neo.Framework.ObjectFactory
ObjectListBase | Missing <summary> documentation for T:Neo.Framework.ObjectListBase
ObjectRelationBase | This is to be subclassed to provide strongly typed representations of the set of objects which are part of a relation.
QueryTemplate | A good base class for your query templates. CodeGen/Norque uses these.
UserPkInitializer | Missing <summary> documentation for T:Neo.Framework.UserPkInitializer


EntityMap Class

Missing <summary> documentation for T:Neo.Framework.EntityMap

For a list of all members of this type, see EntityMap Members.

System.Object
EntityMap

public abstract class EntityMap : IEntityMap

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

EntityMap Members | Neo.Framework Namespace


EntityMap Members

EntityMap overview

Public Instance Properties

Attributes | Missing <summary> documentation for P:Neo.Framework.EntityMap.Attributes
Columns | Missing <summary> documentation for P:Neo.Framework.EntityMap.Columns
ConcreteObjectType | Missing <summary> documentation for P:Neo.Framework.EntityMap.ConcreteObjectType
Factory | Missing <summary> documentation for P:Neo.Framework.EntityMap.Factory
ObjectType | Missing <summary> documentation for P:Neo.Framework.EntityMap.ObjectType
PrimaryKeyColumns | Missing <summary> documentation for P:Neo.Framework.EntityMap.PrimaryKeyColumns
Relations | Missing <summary> documentation for P:Neo.Framework.EntityMap.Relations
TableName | Missing <summary> documentation for P:Neo.Framework.EntityMap.TableName

Public Instance Methods

CreateInstance | Missing <summary> documentation for M:Neo.Framework.EntityMap.CreateInstance(System.Data.DataRow,Neo.Core.ObjectContext)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetColumnForAttribute | Missing <summary> documentation for M:Neo.Framework.EntityMap.GetColumnForAttribute(System.String)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetPkInitializer | Missing <summary> documentation for M:Neo.Framework.EntityMap.GetPkInitializer
GetRelationInfo | Missing <summary> documentation for M:Neo.Framework.EntityMap.GetRelationInfo(System.String)
GetRelationName | Missing <summary> documentation for M:Neo.Framework.EntityMap.GetRelationName(Neo.Core.Util.RelationInfo)
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Framework.EntityMap.ToString
UpdateSchema | Missing <summary> documentation for M:Neo.Framework.EntityMap.UpdateSchema(System.Data.DataTable,Neo.Core.SchemaUpdate)
UpdateSchemaInDataSet | Overloaded. Missing <summary> documentation for M:Neo.Framework.EntityMap.UpdateSchemaInDataSet(System.Data.DataSet,Neo.Core.SchemaUpdate)

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap Properties

The properties of the EntityMap class are listed below. For a complete list of EntityMap class members, see the EntityMap Members topic.

Public Instance Properties

Attributes | Missing <summary> documentation for P:Neo.Framework.EntityMap.Attributes
Columns | Missing <summary> documentation for P:Neo.Framework.EntityMap.Columns
ConcreteObjectType | Missing <summary> documentation for P:Neo.Framework.EntityMap.ConcreteObjectType
Factory | Missing <summary> documentation for P:Neo.Framework.EntityMap.Factory
ObjectType | Missing <summary> documentation for P:Neo.Framework.EntityMap.ObjectType
PrimaryKeyColumns | Missing <summary> documentation for P:Neo.Framework.EntityMap.PrimaryKeyColumns
Relations | Missing <summary> documentation for P:Neo.Framework.EntityMap.Relations
TableName | Missing <summary> documentation for P:Neo.Framework.EntityMap.TableName

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.Attributes Property

Missing <summary> documentation for P:Neo.Framework.EntityMap.Attributes

public abstract string[] Attributes {get;}

Implements

IEntityMap.Attributes

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.Columns Property

Missing <summary> documentation for P:Neo.Framework.EntityMap.Columns

public abstract string[] Columns {get;}

Implements

IEntityMap.Columns

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.ConcreteObjectType Property

Missing <summary> documentation for P:Neo.Framework.EntityMap.ConcreteObjectType

public virtual System.Type ConcreteObjectType {get; set;}

Implements

IEntityMap.ConcreteObjectType

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.Factory Property

Missing <summary> documentation for P:Neo.Framework.EntityMap.Factory

public Neo.Core.IEntityMapFactory Factory {get; set;}

Implements

IEntityMap.Factory

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.ObjectType Property

Missing <summary> documentation for P:Neo.Framework.EntityMap.ObjectType

public abstract System.Type ObjectType {get;}

Implements

IEntityMap.ObjectType

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.PrimaryKeyColumns Property

Missing <summary> documentation for P:Neo.Framework.EntityMap.PrimaryKeyColumns

public abstract string[] PrimaryKeyColumns {get;}

Implements

IEntityMap.PrimaryKeyColumns

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.Relations Property

Missing <summary> documentation for P:Neo.Framework.EntityMap.Relations

public abstract string[] Relations {get;}

Implements

IEntityMap.Relations

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.TableName Property

Missing <summary> documentation for P:Neo.Framework.EntityMap.TableName

public abstract string TableName {get;}

Implements

IEntityMap.TableName

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap Methods

The methods of the EntityMap class are listed below. For a complete list of EntityMap class members, see the EntityMap Members topic.

Public Instance Methods

CreateInstance | Missing <summary> documentation for M:Neo.Framework.EntityMap.CreateInstance(System.Data.DataRow,Neo.Core.ObjectContext)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetColumnForAttribute | Missing <summary> documentation for M:Neo.Framework.EntityMap.GetColumnForAttribute(System.String)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetPkInitializer | Missing <summary> documentation for M:Neo.Framework.EntityMap.GetPkInitializer
GetRelationInfo | Missing <summary> documentation for M:Neo.Framework.EntityMap.GetRelationInfo(System.String)
GetRelationName | Missing <summary> documentation for M:Neo.Framework.EntityMap.GetRelationName(Neo.Core.Util.RelationInfo)
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Missing <summary> documentation for M:Neo.Framework.EntityMap.ToString
UpdateSchema | Missing <summary> documentation for M:Neo.Framework.EntityMap.UpdateSchema(System.Data.DataTable,Neo.Core.SchemaUpdate)
UpdateSchemaInDataSet | Overloaded. Missing <summary> documentation for M:Neo.Framework.EntityMap.UpdateSchemaInDataSet(System.Data.DataSet,Neo.Core.SchemaUpdate)

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.CreateInstance Method

Missing <summary> documentation for M:Neo.Framework.EntityMap.CreateInstance(System.Data.DataRow,Neo.Core.ObjectContext)

public virtual IEntityObject CreateInstance(
DataRow row,
ObjectContext context
);

Implements

IEntityMap.CreateInstance

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.GetColumnForAttribute Method

Missing <summary> documentation for M:Neo.Framework.EntityMap.GetColumnForAttribute(System.String)

public string GetColumnForAttribute(
string attribute
);

Implements

IEntityMap.GetColumnForAttribute

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.GetPkInitializer Method

Missing <summary> documentation for M:Neo.Framework.EntityMap.GetPkInitializer

public abstract IPkInitializer GetPkInitializer();

Implements

IEntityMap.GetPkInitializer

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.GetRelationInfo Method

Missing <summary> documentation for M:Neo.Framework.EntityMap.GetRelationInfo(System.String)

public RelationInfo GetRelationInfo(
string relation
);

Implements

IEntityMap.GetRelationInfo

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.GetRelationName Method

Missing <summary> documentation for M:Neo.Framework.EntityMap.GetRelationName(Neo.Core.Util.RelationInfo)

public string GetRelationName(
RelationInfo info
);

Implements

IEntityMap.GetRelationName

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.ToString Method

Missing <summary> documentation for M:Neo.Framework.EntityMap.ToString

public override string ToString();

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.UpdateSchema Method

Missing <summary> documentation for M:Neo.Framework.EntityMap.UpdateSchema(System.Data.DataTable,Neo.Core.SchemaUpdate)

public virtual void UpdateSchema(
DataTable table,
SchemaUpdate update
);

Implements

IEntityMap.UpdateSchema

See Also

EntityMap Class | Neo.Framework Namespace


UpdateSchemaInDataSet Method

The .NET Entity Objects framework

EntityMap.UpdateSchemaInDataSet Method

Missing <summary> documentation for M:Neo.Framework.EntityMap.UpdateSchemaInDataSet(System.Data.DataSet)

Overload List

Missing <summary> documentation for M:Neo.Framework.EntityMap.UpdateSchemaInDataSet(System.Data.DataSet)

public virtual void UpdateSchemaInDataSet(DataSet);

Missing <summary> documentation for M:Neo.Framework.EntityMap.UpdateSchemaInDataSet(System.Data.DataSet,Neo.Core.SchemaUpdate)

public virtual void UpdateSchemaInDataSet(DataSet,SchemaUpdate);

See Also

EntityMap Class | Neo.Framework Namespace


EntityMap.UpdateSchemaInDataSet Method (DataSet)

Missing <summary> documentation for M:Neo.Framework.EntityMap.UpdateSchemaInDataSet(System.Data.DataSet)

public virtual void UpdateSchemaInDataSet(
DataSet aDataSet
);

See Also

EntityMap Class | Neo.Framework Namespace | EntityMap.UpdateSchemaInDataSet Overload List


EntityMap.UpdateSchemaInDataSet Method (DataSet, SchemaUpdate)

Missing <summary> documentation for M:Neo.Framework.EntityMap.UpdateSchemaInDataSet(System.Data.DataSet,Neo.Core.SchemaUpdate)

public virtual void UpdateSchemaInDataSet(
DataSet aDataSet,
SchemaUpdate update
);

Implements

IEntityMap.UpdateSchemaInDataSet

See Also

EntityMap Class | Neo.Framework Namespace | EntityMap.UpdateSchemaInDataSet Overload List


EntityObject Class

A good base class for your entity objects. CodeGen/Norque uses these.

For a list of all members of this type, see EntityObject Members.

System.Object
EntityObject

public class EntityObject : IEntityObject

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

EntityObject Members | Neo.Framework Namespace


EntityObject Members

EntityObject overview

Public Instance Properties

Context | Missing <summary> documentation for P:Neo.Framework.EntityObject.Context
Row | Missing <summary> documentation for P:Neo.Framework.EntityObject.Row

Public Instance Methods

Delete | Missing <summary> documentation for M:Neo.Framework.EntityObject.Delete
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetPrimaryKeyValues | Missing <summary> documentation for M:Neo.Framework.EntityObject.GetPrimaryKeyValues
GetProperty | Missing <summary> documentation for M:Neo.Framework.EntityObject.GetProperty(System.String)
GetReferences | Overloaded. Missing <summary> documentation for M:Neo.Framework.EntityObject.GetReferences
GetType (inherited from Object) | Gets the Type of the current instance.
HasChanges | Missing <summary> documentation for M:Neo.Framework.EntityObject.HasChanges
IsDeleted | Missing <summary> documentation for M:Neo.Framework.EntityObject.IsDeleted
IsSame | Missing <summary> documentation for M:Neo.Framework.EntityObject.IsSame(Neo.Framework.EntityObject)
RejectChanges | Missing <summary> documentation for M:Neo.Framework.EntityObject.RejectChanges
SetProperty | Missing <summary> documentation for M:Neo.Framework.EntityObject.SetProperty(System.String,System.Object)
ToString | Missing <summary> documentation for M:Neo.Framework.EntityObject.ToString
ToStringAllProperties | Missing <summary> documentation for M:Neo.Framework.EntityObject.ToStringAllProperties

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject Properties

The properties of the EntityObject class are listed below. For a complete list of EntityObject class members, see the EntityObject Members topic.

Public Instance Properties

Context | Missing <summary> documentation for P:Neo.Framework.EntityObject.Context
Row | Missing <summary> documentation for P:Neo.Framework.EntityObject.Row

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.Context Property

Missing <summary> documentation for P:Neo.Framework.EntityObject.Context

public Neo.Core.ObjectContext Context {get;}

Implements

IEntityObject.Context

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.Row Property

Missing <summary> documentation for P:Neo.Framework.EntityObject.Row

public System.Data.DataRow Row {get;}

Implements

IEntityObject.Row

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject Methods

The methods of the EntityObject class are listed below. For a complete list of EntityObject class members, see the EntityObject Members topic.

Public Instance Methods

Delete | Missing <summary> documentation for M:Neo.Framework.EntityObject.Delete
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetPrimaryKeyValues | Missing <summary> documentation for M:Neo.Framework.EntityObject.GetPrimaryKeyValues
GetProperty | Missing <summary> documentation for M:Neo.Framework.EntityObject.GetProperty(System.String)
GetReferences | Overloaded. Missing <summary> documentation for M:Neo.Framework.EntityObject.GetReferences
GetType (inherited from Object) | Gets the Type of the current instance.
HasChanges | Missing <summary> documentation for M:Neo.Framework.EntityObject.HasChanges
IsDeleted | Missing <summary> documentation for M:Neo.Framework.EntityObject.IsDeleted
IsSame | Missing <summary> documentation for M:Neo.Framework.EntityObject.IsSame(Neo.Framework.EntityObject)
RejectChanges | Missing <summary> documentation for M:Neo.Framework.EntityObject.RejectChanges
SetProperty | Missing <summary> documentation for M:Neo.Framework.EntityObject.SetProperty(System.String,System.Object)
ToString | Missing <summary> documentation for M:Neo.Framework.EntityObject.ToString
ToStringAllProperties | Missing <summary> documentation for M:Neo.Framework.EntityObject.ToStringAllProperties

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.Delete Method

Missing <summary> documentation for M:Neo.Framework.EntityObject.Delete

public virtual void Delete();

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.GetPrimaryKeyValues Method

Missing <summary> documentation for M:Neo.Framework.EntityObject.GetPrimaryKeyValues

public object[] GetPrimaryKeyValues();

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.GetProperty Method

Missing <summary> documentation for M:Neo.Framework.EntityObject.GetProperty(System.String)

public virtual object GetProperty(
string propName
);

See Also

EntityObject Class | Neo.Framework Namespace


GetReferences Method

The .NET Entity Objects framework

EntityObject.GetReferences Method

Missing <summary> documentation for M:Neo.Framework.EntityObject.GetReferences

Overload List

Missing <summary> documentation for M:Neo.Framework.EntityObject.GetReferences

public IList GetReferences();

Missing <summary> documentation for M:Neo.Framework.EntityObject.GetReferences(System.Boolean)

public IList GetReferences(bool);

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.GetReferences Method ()

Missing <summary> documentation for M:Neo.Framework.EntityObject.GetReferences

public IList GetReferences();

See Also

EntityObject Class | Neo.Framework Namespace | EntityObject.GetReferences Overload List


EntityObject.GetReferences Method (Boolean)

Missing <summary> documentation for M:Neo.Framework.EntityObject.GetReferences(System.Boolean)

public IList GetReferences(
bool excludeCascades
);

See Also

EntityObject Class | Neo.Framework Namespace | EntityObject.GetReferences Overload List


EntityObject.HasChanges Method

Missing <summary> documentation for M:Neo.Framework.EntityObject.HasChanges

public virtual bool HasChanges();

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.IsDeleted Method

Missing <summary> documentation for M:Neo.Framework.EntityObject.IsDeleted

public bool IsDeleted();

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.IsSame Method

Missing <summary> documentation for M:Neo.Framework.EntityObject.IsSame(Neo.Framework.EntityObject)

public bool IsSame(
EntityObject eo
);

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.RejectChanges Method

Missing <summary> documentation for M:Neo.Framework.EntityObject.RejectChanges

public virtual void RejectChanges();

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.SetProperty Method

Missing <summary> documentation for M:Neo.Framework.EntityObject.SetProperty(System.String,System.Object)

public void SetProperty(
string propName,
object propValue
);

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.ToString Method

Missing <summary> documentation for M:Neo.Framework.EntityObject.ToString

public override string ToString();

See Also

EntityObject Class | Neo.Framework Namespace


EntityObject.ToStringAllProperties Method

Missing <summary> documentation for M:Neo.Framework.EntityObject.ToStringAllProperties

public string ToStringAllProperties();

See Also

EntityObject Class | Neo.Framework Namespace


GuidPkInitializer Class

Missing <summary> documentation for T:Neo.Framework.GuidPkInitializer

For a list of all members of this type, see GuidPkInitializer Members.

System.Object
GuidPkInitializer

public class GuidPkInitializer : IPkInitializer

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

GuidPkInitializer Members | Neo.Framework Namespace


GuidPkInitializer Members

GuidPkInitializer overview

Public Static Methods

getGuid Missing <summary> documentation for M:Neo.Framework.GuidPkInitializer.getGuid

Public Instance Constructors

GuidPkInitializer Constructor Initializes a new instance of the GuidPkInitializer class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.GuidPkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

GuidPkInitializer Class | Neo.Framework Namespace


GuidPkInitializer Constructor

Initializes a new instance of the GuidPkInitializer class.

public GuidPkInitializer();

See Also

GuidPkInitializer Class | Neo.Framework Namespace


GuidPkInitializer Methods

The methods of the GuidPkInitializer class are listed below. For a complete list of GuidPkInitializer class members, see the GuidPkInitializer Members topic.

Public Static Methods

getGuid Missing <summary> documentation for M:Neo.Framework.GuidPkInitializer.getGuid

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.GuidPkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

GuidPkInitializer Class | Neo.Framework Namespace


GuidPkInitializer.getGuid Method

Missing <summary> documentation for M:Neo.Framework.GuidPkInitializer.getGuid

public static byte[] getGuid();

See Also

GuidPkInitializer Class | Neo.Framework Namespace


GuidPkInitializer.InitializeRow Method

Missing <summary> documentation for M:Neo.Framework.GuidPkInitializer.InitializeRow(System.Data.DataRow,System.Object)

public void InitializeRow(
DataRow row,
object argument
);

Implements

IPkInitializer.InitializeRow

See Also

GuidPkInitializer Class | Neo.Framework Namespace


GuidStringPkInitializer Class

Missing <summary> documentation for T:Neo.Framework.GuidStringPkInitializer

For a list of all members of this type, see GuidStringPkInitializer Members.

System.Object
GuidStringPkInitializer

public class GuidStringPkInitializer : IPkInitializer

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

GuidStringPkInitializer Members | Neo.Framework Namespace


GuidStringPkInitializer Members

GuidStringPkInitializer overview

Public Instance Constructors

GuidStringPkInitializer Constructor Initializes a new instance of the GuidStringPkInitializer class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.GuidStringPkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

GuidStringPkInitializer Class | Neo.Framework Namespace


GuidStringPkInitializer Constructor

Initializes a new instance of the GuidStringPkInitializer class.

public GuidStringPkInitializer();

See Also

GuidStringPkInitializer Class | Neo.Framework Namespace


GuidStringPkInitializer Methods

The methods of the GuidStringPkInitializer class are listed below. For a complete list of GuidStringPkInitializer class members, see the GuidStringPkInitializer Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.GuidStringPkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

GuidStringPkInitializer Class | Neo.Framework Namespace


GuidStringPkInitializer.InitializeRow Method

Missing <summary> documentation for M:Neo.Framework.GuidStringPkInitializer.InitializeRow(System.Data.DataRow,System.Object)

public void InitializeRow(
DataRow row,
object argument
);

Implements

IPkInitializer.InitializeRow

See Also

GuidStringPkInitializer Class | Neo.Framework Namespace


IdBrokerPkInitializer Class

Missing <summary> documentation for T:Neo.Framework.IdBrokerPkInitializer

For a list of all members of this type, see IdBrokerPkInitializer Members.

System.Object
IdBrokerPkInitializer

public class IdBrokerPkInitializer : IPkInitializer

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

IdBrokerPkInitializer Members | Neo.Framework Namespace


IdBrokerPkInitializer Members

IdBrokerPkInitializer overview

Public Instance Constructors

IdBrokerPkInitializer Constructor Initializes a new instance of the IdBrokerPkInitializer class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.IdBrokerPkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

IdBrokerPkInitializer Class | Neo.Framework Namespace


IdBrokerPkInitializer Constructor

Initializes a new instance of the IdBrokerPkInitializer class.

public IdBrokerPkInitializer();

See Also

IdBrokerPkInitializer Class | Neo.Framework Namespace


IdBrokerPkInitializer Methods

The methods of the IdBrokerPkInitializer class are listed below. For a complete list of IdBrokerPkInitializer class members, see the IdBrokerPkInitializer Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.IdBrokerPkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

IdBrokerPkInitializer Class | Neo.Framework Namespace


IdBrokerPkInitializer.InitializeRow Method

Missing <summary> documentation for M:Neo.Framework.IdBrokerPkInitializer.InitializeRow(System.Data.DataRow,System.Object)

public void InitializeRow(
DataRow row,
object argument
);

Implements

IPkInitializer.InitializeRow

See Also

IdBrokerPkInitializer Class | Neo.Framework Namespace


NativePkInitializer Class

Missing <summary> documentation for T:Neo.Framework.NativePkInitializer

For a list of all members of this type, see NativePkInitializer Members.

System.Object
NativePkInitializer

public class NativePkInitializer : IPkInitializer

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

NativePkInitializer Members | Neo.Framework Namespace


NativePkInitializer Members

NativePkInitializer overview

Public Instance Constructors

NativePkInitializer Constructor Initializes a new instance of the NativePkInitializer class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.NativePkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

NativePkInitializer Class | Neo.Framework Namespace


NativePkInitializer Constructor

Initializes a new instance of the NativePkInitializer class.

public NativePkInitializer();

See Also

NativePkInitializer Class | Neo.Framework Namespace


NativePkInitializer Methods

The methods of the NativePkInitializer class are listed below. For a complete list of NativePkInitializer class members, see the NativePkInitializer Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.NativePkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

NativePkInitializer Class | Neo.Framework Namespace


NativePkInitializer.InitializeRow Method

Missing <summary> documentation for M:Neo.Framework.NativePkInitializer.InitializeRow(System.Data.DataRow,System.Object)

public void InitializeRow(
DataRow row,
object argument
);

Implements

IPkInitializer.InitializeRow

See Also

NativePkInitializer Class | Neo.Framework Namespace


NewGuidPkInitializer Class

Missing <summary> documentation for T:Neo.Framework.NewGuidPkInitializer

For a list of all members of this type, see NewGuidPkInitializer Members.

System.Object
NewGuidPkInitializer

public class NewGuidPkInitializer : IPkInitializer

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

NewGuidPkInitializer Members | Neo.Framework Namespace


NewGuidPkInitializer Members

NewGuidPkInitializer overview

Public Instance Constructors

NewGuidPkInitializer Constructor Initializes a new instance of the NewGuidPkInitializer class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.NewGuidPkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

NewGuidPkInitializer Class | Neo.Framework Namespace


NewGuidPkInitializer Constructor

Initializes a new instance of the NewGuidPkInitializer class.

public NewGuidPkInitializer();

See Also

NewGuidPkInitializer Class | Neo.Framework Namespace


NewGuidPkInitializer Methods

The methods of the NewGuidPkInitializer class are listed below. For a complete list of NewGuidPkInitializer class members, see the NewGuidPkInitializer Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.NewGuidPkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

NewGuidPkInitializer Class | Neo.Framework Namespace


NewGuidPkInitializer.InitializeRow Method

Missing <summary> documentation for M:Neo.Framework.NewGuidPkInitializer.InitializeRow(System.Data.DataRow,System.Object)

public void InitializeRow(
DataRow row,
object argument
);

Implements

IPkInitializer.InitializeRow

See Also

NewGuidPkInitializer Class | Neo.Framework Namespace


ObjectCollectionBase Class

Missing <summary> documentation for T:Neo.Framework.ObjectCollectionBase

For a list of all members of this type, see ObjectCollectionBase Members.

System.Object
ObjectCollectionBase

public abstract class ObjectCollectionBase : IBindingList, IList, ICollection, IEnumerable

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

ObjectCollectionBase Members | Neo.Framework Namespace


ObjectCollectionBase Members

ObjectCollectionBase overview

Public Instance Properties

Count | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.Count
IsFixedSize | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsFixedSize
IsReadOnly | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsReadOnly
IsSynchronized | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsSynchronized
SupportsSorting | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SupportsSorting
SyncRoot | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SyncRoot

Public Instance Methods

Clear | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.Clear
ContainsSameObjects | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.ContainsSameObjects(Neo.Framework.ObjectCollectionBase)
CopyTo | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.CopyTo(System.Array,System.Int32)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetEnumerator
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetProperty | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetProperty(System.String)
GetType (inherited from Object) | Gets the Type of the current instance.
RemoveAt | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.RemoveAt(System.Int32)
ToString (inherited from Object) | Returns a String that represents the current Object.

Public Instance Events

ListChanged Missing <summary> documentation for E:Neo.Framework.ObjectCollectionBase.ListChanged

Private Instance Properties

System.Collections.IList.Item | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.Collections.IList.Item(System.Int32)
System.ComponentModel.IBindingList.AllowEdit | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.AllowEdit
System.ComponentModel.IBindingList.AllowNew | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.AllowNew
System.ComponentModel.IBindingList.AllowRemove | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.AllowRemove
System.ComponentModel.IBindingList.IsSorted | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.IsSorted
System.ComponentModel.IBindingList.SortDirection | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SortDirection
System.ComponentModel.IBindingList.SortProperty | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SortProperty
System.ComponentModel.IBindingList.SupportsChangeNotification | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SupportsChangeNotification
System.ComponentModel.IBindingList.SupportsSearching | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SupportsSearching

Explicit Interface Implementations

IBindingList.AddIndex | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.AddNew | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddNew
IBindingList.ApplySort | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#ApplySort(System.ComponentModel.PropertyDescriptor,System.ComponentModel.ListSortDirection)
IBindingList.Find | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#Find(System.ComponentModel.PropertyDescriptor,System.Object)
IBindingList.RemoveIndex | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.RemoveSort | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveSort
IList.Add | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Add(System.Object)
IList.Contains | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Contains(System.Object)
IList.IndexOf | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#IndexOf(System.Object)
IList.Insert | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Insert(System.Int32,System.Object)
IList.Remove | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Remove(System.Object)

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase Properties

The properties of the ObjectCollectionBase class are listed below. For a complete list of ObjectCollectionBase class members, see the ObjectCollectionBase Members topic.

Public Instance Properties

Count | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.Count
IsFixedSize | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsFixedSize
IsReadOnly | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsReadOnly
IsSynchronized | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsSynchronized
SupportsSorting | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SupportsSorting
SyncRoot | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SyncRoot

Private Instance Properties

System.Collections.IList.Item | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.Collections.IList.Item(System.Int32)
System.ComponentModel.IBindingList.AllowEdit | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.AllowEdit
System.ComponentModel.IBindingList.AllowNew | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.AllowNew
System.ComponentModel.IBindingList.AllowRemove | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.AllowRemove
System.ComponentModel.IBindingList.IsSorted | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.IsSorted
System.ComponentModel.IBindingList.SortDirection | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SortDirection
System.ComponentModel.IBindingList.SortProperty | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SortProperty
System.ComponentModel.IBindingList.SupportsChangeNotification | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SupportsChangeNotification
System.ComponentModel.IBindingList.SupportsSearching | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SupportsSearching

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.Count Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.Count

public int Count {get;}

Implements

ICollection.Count

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IsFixedSize Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsFixedSize

public virtual bool IsFixedSize {get;}

Implements

IList.IsFixedSize

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IsReadOnly Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsReadOnly

public virtual bool IsReadOnly {get;}

Implements

IList.IsReadOnly

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IsSynchronized Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsSynchronized

public bool IsSynchronized {get;}

Implements

ICollection.IsSynchronized

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.SupportsSorting Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SupportsSorting

public virtual bool SupportsSorting {get;}

Implements

IBindingList.SupportsSorting

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.SyncRoot Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SyncRoot

public object SyncRoot {get;}

Implements

ICollection.SyncRoot

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.System.Collections.IList.Item Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.Collections.IList.Item(System.Int32)

private object this[
int index
] {get; set;}

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.System.ComponentModel.IBindingList.AllowEdit Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.AllowEdit

private bool System.ComponentModel.IBindingList.AllowEdit {get;}

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.System.ComponentModel.IBindingList.AllowNew Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.AllowNew

private bool System.ComponentModel.IBindingList.AllowNew {get;}

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.System.ComponentModel.IBindingList.AllowRemove Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.AllowRemove

private bool System.ComponentModel.IBindingList.AllowRemove {get;}

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.System.ComponentModel.IBindingList.IsSorted Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.IsSorted

private bool System.ComponentModel.IBindingList.IsSorted {get;}

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.System.ComponentModel.IBindingList.SortDirection Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SortDirection

private System.ComponentModel.ListSortDirection System.ComponentModel.IBindingList.SortDirection {get;}

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.System.ComponentModel.IBindingList.SortProperty Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SortProperty

private System.ComponentModel.PropertyDescriptor System.ComponentModel.IBindingList.SortProperty {get;}

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.System.ComponentModel.IBindingList.SupportsChangeNotification Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SupportsChangeNotification

private bool System.ComponentModel.IBindingList.SupportsChangeNotification {get;}

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.System.ComponentModel.IBindingList.SupportsSearching Property

Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.System.ComponentModel.IBindingList.SupportsSearching

private bool System.ComponentModel.IBindingList.SupportsSearching {get;}

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase Methods

The methods of the ObjectCollectionBase class are listed below. For a complete list of ObjectCollectionBase class members, see the ObjectCollectionBase Members topic.

Public Instance Methods

Clear | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.Clear
ContainsSameObjects | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.ContainsSameObjects(Neo.Framework.ObjectCollectionBase)
CopyTo | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.CopyTo(System.Array,System.Int32)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetEnumerator
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetProperty | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetProperty(System.String)
GetType (inherited from Object) | Gets the Type of the current instance.
RemoveAt | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.RemoveAt(System.Int32)
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

IBindingList.AddIndex | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.AddNew | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddNew
IBindingList.ApplySort | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#ApplySort(System.ComponentModel.PropertyDescriptor,System.ComponentModel.ListSortDirection)
IBindingList.Find | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#Find(System.ComponentModel.PropertyDescriptor,System.Object)
IBindingList.RemoveIndex | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.RemoveSort | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveSort
IList.Add | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Add(System.Object)
IList.Contains | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Contains(System.Object)
IList.IndexOf | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#IndexOf(System.Object)
IList.Insert | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Insert(System.Int32,System.Object)
IList.Remove | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Remove(System.Object)

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.Clear Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.Clear

public void Clear();

Implements

IList.Clear

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.ContainsSameObjects Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.ContainsSameObjects(Neo.Framework.ObjectCollectionBase)

public bool ContainsSameObjects(
ObjectCollectionBase other
);

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.CopyTo Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.CopyTo(System.Array,System.Int32)

public void CopyTo(
Array arr,
int index
);

Implements

ICollection.CopyTo

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.GetEnumerator Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetEnumerator

public virtual IEnumerator GetEnumerator();

Implements

IEnumerable.GetEnumerator

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.GetProperty Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetProperty(System.String)

public IList GetProperty(
string propName
);

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.RemoveAt Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.RemoveAt(System.Int32)

public void RemoveAt(
int index
);

Implements

IList.RemoveAt

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IList.Add Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Add(System.Object)

int IList.Add(
object newObject
);

Implements

IList.Add

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IList.Contains Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Contains(System.Object)

bool IList.Contains(
object eo
);

Implements

IList.Contains

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IList.IndexOf Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#IndexOf(System.Object)

int IList.IndexOf(
object eo
);

Implements

IList.IndexOf

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IList.Insert Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Insert(System.Int32,System.Object)

void IList.Insert(
int index,
object eo
);

Implements

IList.Insert

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IList.Remove Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Remove(System.Object)

void IList.Remove(
object existingObject
);

Implements

IList.Remove

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IBindingList.AddIndex Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddIndex(System.ComponentModel.PropertyDescriptor)

void IBindingList.AddIndex(
PropertyDescriptor property
);

Implements

IBindingList.AddIndex

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IBindingList.AddNew Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddNew

object IBindingList.AddNew();

Implements

IBindingList.AddNew

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IBindingList.ApplySort Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#ApplySort(System.ComponentModel.PropertyDescriptor,System.ComponentModel.ListSortDirection)

void IBindingList.ApplySort(
PropertyDescriptor property,
ListSortDirection direction
);

Implements

IBindingList.ApplySort

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IBindingList.Find Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#Find(System.ComponentModel.PropertyDescriptor,System.Object)

int IBindingList.Find(
PropertyDescriptor property,
object key
);

Implements

IBindingList.Find

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IBindingList.RemoveIndex Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveIndex(System.ComponentModel.PropertyDescriptor)

void IBindingList.RemoveIndex(
PropertyDescriptor property
);

Implements

IBindingList.RemoveIndex

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.IBindingList.RemoveSort Method

Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveSort

void IBindingList.RemoveSort();

Implements

IBindingList.RemoveSort

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase Events

The events of the ObjectCollectionBase class are listed below. For a complete list of ObjectCollectionBase class members, see the ObjectCollectionBase Members topic.

Public Instance Events

ListChanged Missing <summary> documentation for E:Neo.Framework.ObjectCollectionBase.ListChanged

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectCollectionBase.ListChanged Event

Missing <summary> documentation for E:Neo.Framework.ObjectCollectionBase.ListChanged

public event ListChangedEventHandler ListChanged;

Implements

IBindingList.ListChanged

See Also

ObjectCollectionBase Class | Neo.Framework Namespace


ObjectFactory Class

Missing <summary> documentation for T:Neo.Framework.ObjectFactory

For a list of all members of this type, see ObjectFactory Members.

System.Object
ObjectFactory

public class ObjectFactory

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

ObjectFactory Members | Neo.Framework Namespace


ObjectFactory Members

ObjectFactory overview

Public Instance Constructors

ObjectFactory Constructor Missing <summary> documentation for M:Neo.Framework.ObjectFactory.#ctor(Neo.Core.ObjectContext,System.Type)

Public Instance Fields

Context | Missing <summary> documentation for F:Neo.Framework.ObjectFactory.Context
EntityMap | Missing <summary> documentation for F:Neo.Framework.ObjectFactory.EntityMap

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
Find | Overloaded. Missing <summary> documentation for M:Neo.Framework.ObjectFactory.Find(Neo.Core.IFetchSpecification)
FindAllObjects | Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindAllObjects
FindFirst | Overloaded. Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindFirst(System.String,System.Object[])
FindUnique | Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindUnique(System.String,System.Object[])
FindWithLimit | Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindWithLimit(System.Int32,System.String,System.Object[])
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

ObjectFactory Class | Neo.Framework Namespace


ObjectFactory Constructor

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.#ctor(Neo.Core.ObjectContext,System.Type)

public ObjectFactory(
ObjectContext aContext,
Type objectType
);

See Also

ObjectFactory Class | Neo.Framework Namespace


ObjectFactory Fields

The fields of the ObjectFactory class are listed below. For a complete list of ObjectFactory class members, see the ObjectFactory Members topic.

Public Instance Fields

Context | Missing <summary> documentation for F:Neo.Framework.ObjectFactory.Context
EntityMap | Missing <summary> documentation for F:Neo.Framework.ObjectFactory.EntityMap

See Also

ObjectFactory Class | Neo.Framework Namespace


ObjectFactory.Context Field

Missing <summary> documentation for F:Neo.Framework.ObjectFactory.Context

public readonly ObjectContext Context;

See Also

ObjectFactory Class | Neo.Framework Namespace


ObjectFactory.EntityMap Field

Missing <summary> documentation for F:Neo.Framework.ObjectFactory.EntityMap

public readonly IEntityMap EntityMap;

See Also

ObjectFactory Class | Neo.Framework Namespace


ObjectFactory Methods

The methods of the ObjectFactory class are listed below. For a complete list of ObjectFactory class members, see the ObjectFactory Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
Find | Overloaded. Missing <summary> documentation for M:Neo.Framework.ObjectFactory.Find(Neo.Core.IFetchSpecification)
FindAllObjects | Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindAllObjects
FindFirst | Overloaded. Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindFirst(System.String,System.Object[])
FindUnique | Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindUnique(System.String,System.Object[])
FindWithLimit | Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindWithLimit(System.Int32,System.String,System.Object[])
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

ObjectFactory Class | Neo.Framework Namespace


Find Method

The .NET Entity Objects framework

ObjectFactory.Find Method

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.Find(Neo.Core.IFetchSpecification)

Overload List

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.Find(Neo.Core.IFetchSpecification)

public IList Find(IFetchSpecification);

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.Find(Neo.Core.Qualifier)

public IList Find(Qualifier);

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.Find(System.String,System.Object[])

public IList Find(string,params object[]);

See Also

ObjectFactory Class | Neo.Framework Namespace


ObjectFactory.Find Method (IFetchSpecification)

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.Find(Neo.Core.IFetchSpecification)

public IList Find(
IFetchSpecification fetchSpec
);

See Also

ObjectFactory Class | Neo.Framework Namespace | ObjectFactory.Find Overload List


ObjectFactory.Find Method (Qualifier)

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.Find(Neo.Core.Qualifier)

public IList Find(
Qualifier qualifier
);

See Also

ObjectFactory Class | Neo.Framework Namespace | ObjectFactory.Find Overload List


ObjectFactory.Find Method (String, Object[])

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.Find(System.String,System.Object[])

public IList Find(
string qualifierFormat,
params object[] parameters
);

See Also

ObjectFactory Class | Neo.Framework Namespace | ObjectFactory.Find Overload List


ObjectFactory.FindAllObjects Method

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindAllObjects

public IList FindAllObjects();

See Also

ObjectFactory Class | Neo.Framework Namespace


FindFirst Method

The .NET Entity Objects framework

ObjectFactory.FindFirst Method

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindFirst(Neo.Core.Qualifier)

Overload List

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindFirst(Neo.Core.Qualifier)

public IEntityObject FindFirst(Qualifier);

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindFirst(System.String,System.Object[])

public IEntityObject FindFirst(string,params object[]);

See Also

ObjectFactory Class | Neo.Framework Namespace


ObjectFactory.FindFirst Method (Qualifier)

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindFirst(Neo.Core.Qualifier)

public IEntityObject FindFirst(
Qualifier q
);

See Also

ObjectFactory Class | Neo.Framework Namespace | ObjectFactory.FindFirst Overload List


ObjectFactory.FindFirst Method (String, Object[])

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindFirst(System.String,System.Object[])

public IEntityObject FindFirst(
string qualifierFormat,
params object[] parameters
);

See Also

ObjectFactory Class | Neo.Framework Namespace | ObjectFactory.FindFirst Overload List


ObjectFactory.FindUnique Method

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindUnique(System.String,System.Object[])

public IEntityObject FindUnique(
string qualifierFormat,
params object[] parameters
);

See Also

ObjectFactory Class | Neo.Framework Namespace


ObjectFactory.FindWithLimit Method

Missing <summary> documentation for M:Neo.Framework.ObjectFactory.FindWithLimit(System.Int32,System.String,System.Object[])

public IList FindWithLimit(
int limit,
string qualifierFormat,
params object[] parameters
);

See Also

ObjectFactory Class | Neo.Framework Namespace


ObjectListBase Class

Missing <summary> documentation for T:Neo.Framework.ObjectListBase

For a list of all members of this type, see ObjectListBase Members.

System.Object
ObjectCollectionBase
ObjectListBase

public abstract class ObjectListBase : ObjectCollectionBase

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

ObjectListBase Members | Neo.Framework Namespace


ObjectListBase Members

ObjectListBase overview

Public Instance Properties

Count (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.Count
IsFixedSize (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsFixedSize
IsReadOnly | Missing <summary> documentation for P:Neo.Framework.ObjectListBase.IsReadOnly
IsSynchronized (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsSynchronized
SupportsSorting (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SupportsSorting
SyncRoot (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SyncRoot

Public Instance Methods

Clear (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.Clear
ContainsSameObjects (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.ContainsSameObjects(Neo.Framework.ObjectCollectionBase)
CopyTo (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.CopyTo(System.Array,System.Int32)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetEnumerator
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetProperty (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetProperty(System.String)
GetType (inherited from Object) | Gets the Type of the current instance.
MakeReadOnly | Missing <summary> documentation for M:Neo.Framework.ObjectListBase.MakeReadOnly
RemoveAt (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.RemoveAt(System.Int32)
Sort | Overloaded. Missing <summary> documentation for M:Neo.Framework.ObjectListBase.Sort(System.String,Neo.Core.SortDirection)
ToString (inherited from Object) | Returns a String that represents the current Object.

Public Instance Events

ListChanged (inherited from ObjectCollectionBase) Missing <summary> documentation for E:Neo.Framework.ObjectCollectionBase.ListChanged

Explicit Interface Implementations

IBindingList.AddIndex (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.AddNew (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddNew
IBindingList.ApplySort (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#ApplySort(System.ComponentModel.PropertyDescriptor,System.ComponentModel.ListSortDirection)
IBindingList.Find (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#Find(System.ComponentModel.PropertyDescriptor,System.Object)
IBindingList.RemoveIndex (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.RemoveSort (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveSort
IList.Add (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Add(System.Object)
IList.Contains (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Contains(System.Object)
IList.IndexOf (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#IndexOf(System.Object)
IList.Insert (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Insert(System.Int32,System.Object)
IList.Remove (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Remove(System.Object)

See Also

ObjectListBase Class | Neo.Framework Namespace


ObjectListBase Properties

The properties of the ObjectListBase class are listed below. For a complete list of ObjectListBase class members, see the ObjectListBase Members topic.

Public Instance Properties

Count (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.Count
IsFixedSize (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsFixedSize
IsReadOnly | Missing <summary> documentation for P:Neo.Framework.ObjectListBase.IsReadOnly
IsSynchronized (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsSynchronized
SupportsSorting (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SupportsSorting
SyncRoot (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SyncRoot

See Also

ObjectListBase Class | Neo.Framework Namespace


ObjectListBase.IsReadOnly Property

Missing <summary> documentation for P:Neo.Framework.ObjectListBase.IsReadOnly

public override bool IsReadOnly {get;}

Implements

IList.IsReadOnly

See Also

ObjectListBase Class | Neo.Framework Namespace


ObjectListBase Methods

The methods of the ObjectListBase class are listed below. For a complete list of ObjectListBase class members, see the ObjectListBase Members topic.

Public Instance Methods

Clear (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.Clear
ContainsSameObjects (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.ContainsSameObjects(Neo.Framework.ObjectCollectionBase)
CopyTo (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.CopyTo(System.Array,System.Int32)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetEnumerator
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetProperty (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetProperty(System.String)
GetType (inherited from Object) | Gets the Type of the current instance.
MakeReadOnly | Missing <summary> documentation for M:Neo.Framework.ObjectListBase.MakeReadOnly
RemoveAt (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.RemoveAt(System.Int32)
Sort | Overloaded. Missing <summary> documentation for M:Neo.Framework.ObjectListBase.Sort(System.String,Neo.Core.SortDirection)
ToString (inherited from Object) | Returns a String that represents the current Object.

Explicit Interface Implementations

IBindingList.AddIndex (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.AddNew (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddNew
IBindingList.ApplySort (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#ApplySort(System.ComponentModel.PropertyDescriptor,System.ComponentModel.ListSortDirection)
IBindingList.Find (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#Find(System.ComponentModel.PropertyDescriptor,System.Object)
IBindingList.RemoveIndex (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.RemoveSort (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveSort
IList.Add (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Add(System.Object)
IList.Contains (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Contains(System.Object)
IList.IndexOf (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#IndexOf(System.Object)
IList.Insert (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Insert(System.Int32,System.Object)
IList.Remove (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Remove(System.Object)

See Also

ObjectListBase Class | Neo.Framework Namespace


ObjectListBase.MakeReadOnly Method

Missing <summary> documentation for M:Neo.Framework.ObjectListBase.MakeReadOnly

public virtual void MakeReadOnly();

See Also

ObjectListBase Class | Neo.Framework Namespace


Sort Method

The .NET Entity Objects framework

ObjectListBase.Sort Method

Missing <summary> documentation for M:Neo.Framework.ObjectListBase.Sort(System.Collections.IComparer)

Overload List

Missing <summary> documentation for M:Neo.Framework.ObjectListBase.Sort(System.Collections.IComparer)

public virtual void Sort(IComparer);

Missing <summary> documentation for M:Neo.Framework.ObjectListBase.Sort(System.String,Neo.Core.SortDirection)

public virtual void Sort(string,SortDirection);

See Also

ObjectListBase Class | Neo.Framework Namespace


ObjectListBase.Sort Method (IComparer)

Missing <summary> documentation for M:Neo.Framework.ObjectListBase.Sort(System.Collections.IComparer)

public virtual void Sort(
IComparer comparer
);

See Also

ObjectListBase Class | Neo.Framework Namespace | ObjectListBase.Sort Overload List


ObjectListBase.Sort Method (String, SortDirection)

Missing <summary> documentation for M:Neo.Framework.ObjectListBase.Sort(System.String,Neo.Core.SortDirection)

public virtual void Sort(
string propName,
SortDirection dir
);

See Also

ObjectListBase Class | Neo.Framework Namespace | ObjectListBase.Sort Overload List


ObjectRelationBase Class

This is to be subclassed to provide strongly typed representations of the set of objects which are part of a relation.

For a list of all members of this type, see ObjectRelationBase Members.

System.Object
ObjectCollectionBase
ObjectRelationBase

public abstract class ObjectRelationBase : ObjectCollectionBase

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

ObjectRelationBase Members | Neo.Framework Namespace


ObjectRelationBase Members

ObjectRelationBase overview

Public Instance Properties

Count (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.Count
IsFixedSize (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsFixedSize
IsReadOnly (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsReadOnly
IsSynchronized (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.IsSynchronized
SupportsSorting (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SupportsSorting
SyncRoot (inherited from ObjectCollectionBase) | Missing <summary> documentation for P:Neo.Framework.ObjectCollectionBase.SyncRoot

Public Instance Methods

Clear (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.Clear
ContainsSameObjects (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.ContainsSameObjects(Neo.Framework.ObjectCollectionBase)
CopyTo (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.CopyTo(System.Array,System.Int32)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetEnumerator
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetProperty (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetProperty(System.String)
GetType (inherited from Object) | Gets the Type of the current instance.
InvalidateCache | Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.InvalidateCache
OnColumnChanging | Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.OnColumnChanging(System.Object,System.Data.DataColumnChangeEventArgs)
OnRowDeleting | Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.OnRowDeleting(System.Object,System.Data.DataRowChangeEventArgs)
RemoveAt (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.RemoveAt(System.Int32)
ToString (inherited from Object) | Returns a String that represents the current Object.
Touch | Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.Touch

Public Instance Events

ListChanged Missing <summary> documentation for E:Neo.Framework.ObjectRelationBase.ListChanged

Explicit Interface Implementations

IBindingList.AddIndex (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.AddNew (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddNew
IBindingList.ApplySort (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#ApplySort(System.ComponentModel.PropertyDescriptor,System.ComponentModel.ListSortDirection)
IBindingList.Find (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#Find(System.ComponentModel.PropertyDescriptor,System.Object)
IBindingList.RemoveIndex (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.RemoveSort (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveSort
IList.Add (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Add(System.Object)
IList.Contains (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Contains(System.Object)
IList.IndexOf (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#IndexOf(System.Object)
IList.Insert (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Insert(System.Int32,System.Object)
IList.Remove (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Remove(System.Object)

See Also

ObjectRelationBase Class | Neo.Framework Namespace


ObjectRelationBase Methods

The methods of the ObjectRelationBase class are listed below. For a complete list of ObjectRelationBase class members, see the ObjectRelationBase Members topic.

Public Instance Methods

Clear (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.Clear
ContainsSameObjects (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.ContainsSameObjects(Neo.Framework.ObjectCollectionBase)
CopyTo (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.CopyTo(System.Array,System.Int32)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetEnumerator
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetProperty (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.GetProperty(System.String)
GetType (inherited from Object) | Gets the Type of the current instance.
InvalidateCache | Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.InvalidateCache
OnColumnChanging | Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.OnColumnChanging(System.Object,System.Data.DataColumnChangeEventArgs)
OnRowDeleting | Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.OnRowDeleting(System.Object,System.Data.DataRowChangeEventArgs)
RemoveAt (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.RemoveAt(System.Int32)
ToString (inherited from Object) | Returns a String that represents the current Object.
Touch | Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.Touch

Explicit Interface Implementations

IBindingList.AddIndex (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.AddNew (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#AddNew
IBindingList.ApplySort (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#ApplySort(System.ComponentModel.PropertyDescriptor,System.ComponentModel.ListSortDirection)
IBindingList.Find (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#Find(System.ComponentModel.PropertyDescriptor,System.Object)
IBindingList.RemoveIndex (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveIndex(System.ComponentModel.PropertyDescriptor)
IBindingList.RemoveSort (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#ComponentModel#IBindingList#RemoveSort
IList.Add (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Add(System.Object)
IList.Contains (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Contains(System.Object)
IList.IndexOf (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#IndexOf(System.Object)
IList.Insert (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Insert(System.Int32,System.Object)
IList.Remove (inherited from ObjectCollectionBase) | Missing <summary> documentation for M:Neo.Framework.ObjectCollectionBase.System#Collections#IList#Remove(System.Object)

See Also

ObjectRelationBase Class | Neo.Framework Namespace


ObjectRelationBase.InvalidateCache Method

Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.InvalidateCache

public virtual void InvalidateCache();

See Also

ObjectRelationBase Class | Neo.Framework Namespace


ObjectRelationBase.OnColumnChanging Method

Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.OnColumnChanging(System.Object,System.Data.DataColumnChangeEventArgs)

public void OnColumnChanging(
object sender,
DataColumnChangeEventArgs e
);

See Also

ObjectRelationBase Class | Neo.Framework Namespace


ObjectRelationBase.OnRowDeleting Method

Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.OnRowDeleting(System.Object,System.Data.DataRowChangeEventArgs)

public void OnRowDeleting(
object sender,
DataRowChangeEventArgs e
);

See Also

ObjectRelationBase Class | Neo.Framework Namespace


ObjectRelationBase.Touch Method

Missing <summary> documentation for M:Neo.Framework.ObjectRelationBase.Touch

public virtual void Touch();

See Also

ObjectRelationBase Class | Neo.Framework Namespace


ObjectRelationBase Events

The events of the ObjectRelationBase class are listed below. For a complete list of ObjectRelationBase class members, see the ObjectRelationBase Members topic.

Public Instance Events

ListChanged Missing <summary> documentation for E:Neo.Framework.ObjectRelationBase.ListChanged

See Also

ObjectRelationBase Class | Neo.Framework Namespace


ObjectRelationBase.ListChanged Event

Missing <summary> documentation for E:Neo.Framework.ObjectRelationBase.ListChanged

public event ListChangedEventHandler ListChanged;

Implements

IBindingList.ListChanged

See Also

ObjectRelationBase Class | Neo.Framework Namespace


QueryTemplate Class

A good base class for your query templates. CodeGen/Norque uses these.

For a list of all members of this type, see QueryTemplate Members.

System.Object
QueryTemplate

public class QueryTemplate : IFetchSpecification

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

QueryTemplate Members | Neo.Framework Namespace


QueryTemplate Members

QueryTemplate overview

Public Instance Properties

EntityMap | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.EntityMap
FetchLimit | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.FetchLimit
Qualifier | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.Qualifier
RefreshStrategy | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.RefreshStrategy
SortOrderings | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.SortOrderings
Spans | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.Spans

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

QueryTemplate Class | Neo.Framework Namespace


QueryTemplate Properties

The properties of the QueryTemplate class are listed below. For a complete list of QueryTemplate class members, see the QueryTemplate Members topic.

Public Instance Properties

EntityMap | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.EntityMap
FetchLimit | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.FetchLimit
Qualifier | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.Qualifier
RefreshStrategy | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.RefreshStrategy
SortOrderings | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.SortOrderings
Spans | Missing <summary> documentation for P:Neo.Framework.QueryTemplate.Spans

See Also

QueryTemplate Class | Neo.Framework Namespace


QueryTemplate.EntityMap Property

Missing <summary> documentation for P:Neo.Framework.QueryTemplate.EntityMap

public virtual Neo.Core.IEntityMap EntityMap {get;}

Implements

IFetchSpecification.EntityMap

See Also

QueryTemplate Class | Neo.Framework Namespace


QueryTemplate.FetchLimit Property

Missing <summary> documentation for P:Neo.Framework.QueryTemplate.FetchLimit

public virtual int FetchLimit {get; set;}

Implements

IFetchSpecification.FetchLimit

See Also

QueryTemplate Class | Neo.Framework Namespace


QueryTemplate.Qualifier Property

Missing <summary> documentation for P:Neo.Framework.QueryTemplate.Qualifier

public virtual Neo.Core.Qualifier Qualifier {get;}

Implements

IFetchSpecification.Qualifier

See Also

QueryTemplate Class | Neo.Framework Namespace


QueryTemplate.RefreshStrategy Property

Missing <summary> documentation for P:Neo.Framework.QueryTemplate.RefreshStrategy

public Neo.Core.RefreshStrategy RefreshStrategy {get; set;}

Implements

IFetchSpecification.RefreshStrategy

See Also

QueryTemplate Class | Neo.Framework Namespace


QueryTemplate.SortOrderings Property

Missing <summary> documentation for P:Neo.Framework.QueryTemplate.SortOrderings

public virtual Neo.Core.PropertyComparer[] SortOrderings {get; set;}

Implements

IFetchSpecification.SortOrderings

See Also

QueryTemplate Class | Neo.Framework Namespace


QueryTemplate.Spans Property

Missing <summary> documentation for P:Neo.Framework.QueryTemplate.Spans

public virtual string[] Spans {get; set;}

Implements

IFetchSpecification.Spans

See Also

QueryTemplate Class | Neo.Framework Namespace


UserPkInitializer Class

Missing <summary> documentation for T:Neo.Framework.UserPkInitializer

For a list of all members of this type, see UserPkInitializer Members.

System.Object
UserPkInitializer

public class UserPkInitializer : IPkInitializer

Requirements

Namespace: Neo.Framework

Assembly: Neo (in Neo.dll)

See Also

UserPkInitializer Members | Neo.Framework Namespace


UserPkInitializer Members

UserPkInitializer overview

Public Instance Constructors

UserPkInitializer Constructor Initializes a new instance of the UserPkInitializer class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.UserPkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

UserPkInitializer Class | Neo.Framework Namespace


UserPkInitializer Constructor

Initializes a new instance of the UserPkInitializer class.

public UserPkInitializer();

See Also

UserPkInitializer Class | Neo.Framework Namespace


UserPkInitializer Methods

The methods of the UserPkInitializer class are listed below. For a complete list of UserPkInitializer class members, see the UserPkInitializer Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InitializeRow | Missing <summary> documentation for M:Neo.Framework.UserPkInitializer.InitializeRow(System.Data.DataRow,System.Object)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

UserPkInitializer Class | Neo.Framework Namespace


UserPkInitializer.InitializeRow Method

Missing <summary> documentation for M:Neo.Framework.UserPkInitializer.InitializeRow(System.Data.DataRow,System.Object)

public void InitializeRow(
DataRow row,
object argument
);

Implements

IPkInitializer.InitializeRow

See Also

UserPkInitializer Class | Neo.Framework Namespace


Neo.SqlClient

The .NET Entity Objects framework

Neo.SqlClient Namespace

The Neo.SqlClient namespace contains an implementation of the IDataStore interface for SQL Server, it is not a generic SQL datastore. (See the Neo.Database namespace for generic classes and the Neo.OracleClient and Neo.FirebirdClient DLLs for implementations for other databases.) Typical applications instantiate a data store, pass it to an ObjectContext, and then let the context handle all interactions with the store.

Classes

Class | Description
SqlCommandBuilder | Missing <summary> documentation for T:Neo.SqlClient.SqlCommandBuilder
SqlDataStore | Missing <summary> documentation for T:Neo.SqlClient.SqlDataStore
SqlImplFactory | Missing <summary> documentation for T:Neo.SqlClient.SqlImplFactory


SqlCommandBuilder Class

Missing <summary> documentation for T:Neo.SqlClient.SqlCommandBuilder

For a list of all members of this type, see SqlCommandBuilder Members.

System.Object
GenericSql92Builder
SqlCommandBuilder

public class SqlCommandBuilder : GenericSql92Builder

Requirements

Namespace: Neo.SqlClient

Assembly: Neo (in Neo.dll)

See Also

SqlCommandBuilder Members | Neo.SqlClient Namespace


SqlCommandBuilder Members

SqlCommandBuilder overview

Public Instance Constructors

SqlCommandBuilder Constructor Missing <summary> documentation for M:Neo.SqlClient.SqlCommandBuilder.#ctor(System.Data.DataTable,Neo.Database.IDbImplementationFactory)

Public Instance Properties

Command (inherited from GenericSql92Builder) | Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.Command
Parameters (inherited from GenericSql92Builder) | Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.Parameters
UsesDelimitedIdentifiers (inherited from GenericSql92Builder) | Missing <summary> documentation for P:Neo.Database.GenericSql92Builder.UsesDelimitedIdentifiers

Public Instance Methods

Clone (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.Clone
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
VisitAndQualifier (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitAndQualifier(Neo.Core.Qualifiers.AndQualifier)
VisitColumnQualifier (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitColumnQualifier(Neo.Core.Qualifiers.ColumnQualifier)
VisitOrQualifier (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitOrQualifier(Neo.Core.Qualifiers.OrQualifier)
VisitPathQualifier (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitPathQualifier(Neo.Core.Qualifiers.PathQualifier)
VisitPropertyQualifier (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitPropertyQualifier(Neo.Core.Qualifiers.PropertyQualifier)
WriteDelete (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteDelete(System.Data.DataRow)
WriteInsert (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteInsert(System.Data.DataRow,System.Collections.IList)
WriteSelect | Missing <summary> documentation for M:Neo.SqlClient.SqlCommandBuilder.WriteSelect(Neo.Core.IFetchSpecification)
WriteUpdate (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteUpdate(System.Data.DataRow)

See Also

SqlCommandBuilder Class | Neo.SqlClient Namespace


SqlCommandBuilder Constructor

Missing <summary> documentation for M:Neo.SqlClient.SqlCommandBuilder.#ctor(System.Data.DataTable,Neo.Database.IDbImplementationFactory)

public SqlCommandBuilder(
DataTable aTable,
IDbImplementationFactory aParamFactory
);

See Also

SqlCommandBuilder Class | Neo.SqlClient Namespace


SqlCommandBuilder Methods

The methods of the SqlCommandBuilder class are listed below. For a complete list of SqlCommandBuilder class members, see the SqlCommandBuilder Members topic.

Public Instance Methods

Clone (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.Clone
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
VisitAndQualifier (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitAndQualifier(Neo.Core.Qualifiers.AndQualifier)
VisitColumnQualifier (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitColumnQualifier(Neo.Core.Qualifiers.ColumnQualifier)
VisitOrQualifier (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitOrQualifier(Neo.Core.Qualifiers.OrQualifier)
VisitPathQualifier (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitPathQualifier(Neo.Core.Qualifiers.PathQualifier)
VisitPropertyQualifier (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.VisitPropertyQualifier(Neo.Core.Qualifiers.PropertyQualifier)
WriteDelete (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteDelete(System.Data.DataRow)
WriteInsert (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteInsert(System.Data.DataRow,System.Collections.IList)
WriteSelect | Missing <summary> documentation for M:Neo.SqlClient.SqlCommandBuilder.WriteSelect(Neo.Core.IFetchSpecification)
WriteUpdate (inherited from GenericSql92Builder) | Missing <summary> documentation for M:Neo.Database.GenericSql92Builder.WriteUpdate(System.Data.DataRow)

See Also

SqlCommandBuilder Class | Neo.SqlClient Namespace


SqlCommandBuilder.WriteSelect Method

Missing <summary> documentation for M:Neo.SqlClient.SqlCommandBuilder.WriteSelect(Neo.Core.IFetchSpecification)

public override void WriteSelect(
IFetchSpecification fetchSpec
);

Implements

IDbCommandBuilder.WriteSelect

See Also

SqlCommandBuilder Class | Neo.SqlClient Namespace


SqlDataStore Class

Missing <summary> documentation for T:Neo.SqlClient.SqlDataStore

For a list of all members of this type, see SqlDataStore Members.

System.Object
DbDataStore
SqlDataStore

public class SqlDataStore : DbDataStore

Requirements

Namespace: Neo.SqlClient

Assembly: Neo (in Neo.dll)

See Also

SqlDataStore Members | Neo.SqlClient Namespace


SqlDataStore Members

SqlDataStore overview

Public Instance Constructors

SqlDataStore Overloaded. Initializes a new instance of the SqlDataStore class.

Public Instance Properties

CommandTimeout (inherited from DbDataStore) | Missing <summary> documentation for P:Neo.Database.DbDataStore.CommandTimeout
Transaction (inherited from DbDataStore) | Missing <summary> documentation for P:Neo.Database.DbDataStore.Transaction
UsesDelimitedIdentifiers (inherited from DbDataStore) | Missing <summary> documentation for P:Neo.Database.DbDataStore.UsesDelimitedIdentifiers

Public Instance Methods

BeginTransaction (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.BeginTransaction
CheckConnection (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.CheckConnection
ClearTable | Missing <summary> documentation for M:Neo.SqlClient.SqlDataStore.ClearTable(System.String)
CommitTransaction (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.CommitTransaction
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FetchRows (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.FetchRows(Neo.Core.IFetchSpecification)
FillTable (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.FillTable(System.Data.DataTable,System.String,System.Collections.IList)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)
GetType (inherited from Object) | Gets the Type of the current instance.
ProcessDeletes (inherited from DbDataStore) | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessDeletes(System.Data.DataTable)
ProcessInserts (inherited from DbDataStore) | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessInserts(System.Data.DataTable,System.Collections.ArrayList)
ProcessUpdates (inherited from DbDataStore) | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessUpdates(System.Data.DataTable)
RollbackTransaction (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.RollbackTransaction
SaveChangesInObjectContext (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.SaveChangesInObjectContext(Neo.Core.ObjectContext)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

SqlDataStore Class | Neo.SqlClient Namespace


SqlDataStore Constructor

Initializes a new instance of the SqlDataStore class.

Overload List

Initializes a new instance of the SqlDataStore class.

public SqlDataStore();

Missing <summary> documentation for M:Neo.SqlClient.SqlDataStore.#ctor(Foo.IDbConnectionFactory)

public SqlDataStore(IDbConnectionFactory);

Missing <summary> documentation for M:Neo.SqlClient.SqlDataStore.#ctor(System.String)

public SqlDataStore(string);

Missing <summary> documentation for M:Neo.SqlClient.SqlDataStore.#ctor(System.String,System.Boolean)

public SqlDataStore(string,bool);

See Also

SqlDataStore Class | Neo.SqlClient Namespace


SqlDataStore Constructor ()

Initializes a new instance of the SqlDataStore class.

public SqlDataStore();

See Also

SqlDataStore Class | Neo.SqlClient Namespace | SqlDataStore Constructor Overload List


SqlDataStore Constructor (String)

Missing <summary> documentation for M:Neo.SqlClient.SqlDataStore.#ctor(System.String)

public SqlDataStore(
string connectionString
);

See Also

SqlDataStore Class | Neo.SqlClient Namespace | SqlDataStore Constructor Overload List


SqlDataStore Constructor (String, Boolean)

Missing <summary> documentation for M:Neo.SqlClient.SqlDataStore.#ctor(System.String,System.Boolean)

public SqlDataStore(
string connectionString,
bool useDelimitedIdentifiers
);

See Also

SqlDataStore Class | Neo.SqlClient Namespace | SqlDataStore Constructor Overload List


SqlDataStore Constructor (IDbConnectionFactory)

Missing <summary> documentation for M:Neo.SqlClient.SqlDataStore.#ctor(Foo.IDbConnectionFactory)

public SqlDataStore(
IDbConnectionFactory connectionFactory
);

See Also

SqlDataStore Class | Neo.SqlClient Namespace | SqlDataStore Constructor Overload List


SqlDataStore Methods

The methods of the SqlDataStore class are listed below. For a complete list of SqlDataStore class members, see the SqlDataStore Members topic.

Public Instance Methods

BeginTransaction (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.BeginTransaction
CheckConnection (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.CheckConnection
ClearTable | Missing <summary> documentation for M:Neo.SqlClient.SqlDataStore.ClearTable(System.String)
CommitTransaction (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.CommitTransaction
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FetchRows (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.FetchRows(Neo.Core.IFetchSpecification)
FillTable (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.FillTable(System.Data.DataTable,System.String,System.Collections.IList)
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.GetObjectData(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)
GetType (inherited from Object) | Gets the Type of the current instance.
ProcessDeletes (inherited from DbDataStore) | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessDeletes(System.Data.DataTable)
ProcessInserts (inherited from DbDataStore) | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessInserts(System.Data.DataTable,System.Collections.ArrayList)
ProcessUpdates (inherited from DbDataStore) | Overloaded. Missing <summary> documentation for M:Neo.Database.DbDataStore.ProcessUpdates(System.Data.DataTable)
RollbackTransaction (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.RollbackTransaction
SaveChangesInObjectContext (inherited from DbDataStore) | Missing <summary> documentation for M:Neo.Database.DbDataStore.SaveChangesInObjectContext(Neo.Core.ObjectContext)
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

SqlDataStore Class | Neo.SqlClient Namespace


SqlDataStore.ClearTable Method

Missing <summary> documentation for M:Neo.SqlClient.SqlDataStore.ClearTable(System.String)

public virtual void ClearTable(
string tableName
);

See Also

SqlDataStore Class | Neo.SqlClient Namespace


SqlImplFactory Class

Missing <summary> documentation for T:Neo.SqlClient.SqlImplFactory

For a list of all members of this type, see SqlImplFactory Members.

System.Object
SqlImplFactory

public class SqlImplFactory : IDbImplementationFactory

Requirements

Namespace: Neo.SqlClient

Assembly: Neo (in Neo.dll)

See Also

SqlImplFactory Members | Neo.SqlClient Namespace


SqlImplFactory Members

SqlImplFactory overview

Public Instance Constructors

SqlImplFactory Constructor Initializes a new instance of the SqlImplFactory class.

Public Instance Methods

CreateCommand | Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateCommand
CreateCommandBuilder | Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateCommandBuilder(System.Data.DataTable)
CreateConnection | Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateConnection(System.String)
CreateDataAdapter | Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateDataAdapter
CreateParameter | Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateParameter(System.Data.DataColumn,System.String,System.Object)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

SqlImplFactory Class | Neo.SqlClient Namespace


SqlImplFactory Constructor

Initializes a new instance of the SqlImplFactory class.

public SqlImplFactory();

See Also

SqlImplFactory Class | Neo.SqlClient Namespace


SqlImplFactory Methods

The methods of the SqlImplFactory class are listed below. For a complete list of SqlImplFactory class members, see the SqlImplFactory Members topic.

Public Instance Methods

CreateCommand | Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateCommand
CreateCommandBuilder | Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateCommandBuilder(System.Data.DataTable)
CreateConnection | Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateConnection(System.String)
CreateDataAdapter | Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateDataAdapter
CreateParameter | Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateParameter(System.Data.DataColumn,System.String,System.Object)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

See Also

SqlImplFactory Class | Neo.SqlClient Namespace


SqlImplFactory.CreateCommand Method

Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateCommand

public IDbCommand CreateCommand();

Implements

IDbImplementationFactory.CreateCommand

See Also

SqlImplFactory Class | Neo.SqlClient Namespace


SqlImplFactory.CreateCommandBuilder Method

Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateCommandBuilder(System.Data.DataTable)

public IDbCommandBuilder CreateCommandBuilder(
DataTable table
);

Implements

IDbImplementationFactory.CreateCommandBuilder

See Also

SqlImplFactory Class | Neo.SqlClient Namespace


SqlImplFactory.CreateConnection Method

Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateConnection(System.String)

public IDbConnection CreateConnection(
string connectionString
);

Implements

IDbImplementationFactory.CreateConnection

See Also

SqlImplFactory Class | Neo.SqlClient Namespace


SqlImplFactory.CreateDataAdapter Method

Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateDataAdapter

public IDbDataAdapter CreateDataAdapter();

Implements

IDbImplementationFactory.CreateDataAdapter

See Also

SqlImplFactory Class | Neo.SqlClient Namespace


SqlImplFactory.CreateParameter Method

Missing <summary> documentation for M:Neo.SqlClient.SqlImplFactory.CreateParameter(System.Data.DataColumn,System.String,System.Object)

public IDataParameter CreateParameter(
DataColumn pcolumn,
string pname,
object pvalue
);

Implements

IDbImplementationFactory.CreateParameter

See Also

SqlImplFactory Class | Neo.SqlClient Namespace